--- old/usr/src/Makefile.master	Thu Aug  8 11:06:24 2019
+++ new/usr/src/Makefile.master	Thu Aug  8 11:06:24 2019
@@ -460,6 +460,10 @@
 # Unfortunately, this option can misfire very easily and unfixably.
 CERRWARN +=	-_gcc=-Wno-array-bounds
 
+# gcc4 lacks -Wno-maybe-uninitialized
+CNOWARN_UNINIT = -_gcc4=-Wno-uninitialized \
+    -_gcc7=-Wno-maybe-uninitialized \
+    -_gcc8=-Wno-maybe-uninitialized
 
 CERRWARN += -_smatch=-p=illumos_user
 include $(SRC)/Makefile.smatch
@@ -1248,8 +1252,3 @@
 
 .xml.xmlchk:
 	$(MANIFEST_CHECK)
-
-#
-# Include rules to render automated sccs get rules "safe".
-#
-include $(SRC)/Makefile.noget
--- old/usr/src/Makefile.noget	Thu Aug  8 11:06:24 2019
+++ /dev/null	Thu Aug  8 11:06:24 2019
@@ -1,236 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-
-#
-# Makefile.noget: disable automated "sccs get" which causes us no end
-# of trouble in as many different ways as possible.
-# 
-# Ordinarily, we'd say "$(ONBLD_TOOLS)/bin/sccscheck" here, but make
-# has special knowledge of SCCS and will refuse to run an SCCS rule if
-# the target is a writeable file, for fear that it will be destroying
-# your edits in progress.  But with .KEEP_STATE enabled, any change to
-# the command which would have been used to "build" the source file
-# forces the command to be re-run.  So if your effective ONBLD_TOOLS
-# changes (for instance, if you do a nightly -t to populate a
-# workspace, and then "ws" into it to check out a file and then do
-# some selective builds, make will notice the change in the full path
-# of the "sccscheck" command, will seek to re-run it, and abort the
-# build because the checked-out file is writeable.  So instead, by
-# default, we just use whichever sccscheck happens to be first in
-# $PATH and hope for the best.  Those who don't entirely trust this
-# are of course welcome to consistently set SCCSCHECK in their
-# environment to override this.
-# 
-SCCSCHECK=sccscheck
-GET=sccscheck
-
-# Deliberately sabotage other attempts to use "sccs get" from makefiles,
-# with flags known not to be accepted by "sccs get" or "get", 
-# in the event that one of these rules is overridden elsewhere in the tree.
-SCCSFLAGS=--dont-get-it-now
-SCCSGETFLAGS=--dont-get-it-now
-GFLAGS=--dont-get-it-now
-
-# Disable these targets as well
-.SCCS_GET:
-	$(SCCSCHECK) $@
-
-.SCCS_GET_POSIX:
-	$(SCCSCHECK) $@
-
-.GET_POSIX:
-	$(SCCSCHECK) $@
-
-# The list of ~-suffix rules here was extracted from a copy of 
-# 	/usr/share/lib/make/make.rules 
-# which was tagged:
-# 	"make.rules.file   1.21    03/11/14 SMI"
-#
-# These could be consolidated into a smaller number of targets but 
-# are intentionally left as-is to facilitate cross-checking against 
-# newer versions of make.rules
-#
-
-.c~:
-	$(SCCSCHECK) $<
-
-.c~.o:
-	$(SCCSCHECK) $<
-
-.c~.i:
-	$(SCCSCHECK) $<
-
-.c~.ln:
-	$(SCCSCHECK) $<
-
-.c~.a:
-	$(SCCSCHECK) $<
-
-.y~:
-	$(SCCSCHECK) $<
-
-.y~.c:
-	$(SCCSCHECK) $<
-
-.y~.ln:
-	$(SCCSCHECK) $<
-
-.y~.o:
-	$(SCCSCHECK) $<
-
-.l~:
-	$(SCCSCHECK) $<
-
-.l~.c:
-	$(SCCSCHECK) $<
-
-.l~.ln:
-	$(SCCSCHECK) $<
-
-.l~.o:
-	$(SCCSCHECK) $<
-
-.cc~:
-	$(SCCSCHECK) $<
-
-.cc~.o:
-	$(SCCSCHECK) $<
-
-.cc~.i:
-	$(SCCSCHECK) $<
-
-.cc~.a:
-	$(SCCSCHECK) $<
-
-.C~:
-	$(SCCSCHECK) $<
-
-.C~.o:
-	$(SCCSCHECK) $<
-
-.C~.i:
-	$(SCCSCHECK) $<
-
-.C~.a:
-	$(SCCSCHECK) $<
-
-.f~:
-	$(SCCSCHECK) $<
-
-.f~.o:
-	$(SCCSCHECK) $<
-
-.f~.a:
-	$(SCCSCHECK) $<
-
-.for~:
-	$(SCCSCHECK) $<
-
-.for~.o:
-	$(SCCSCHECK) $<
-
-.for~.a:
-	$(SCCSCHECK) $<
-
-.F~:
-	$(SCCSCHECK) $<
-
-.F~.o:
-	$(SCCSCHECK) $<
-
-.F~.a:
-	$(SCCSCHECK) $<
-
-.r~:
-	$(SCCSCHECK) $<
-
-.r~.o:
-	$(SCCSCHECK) $<
-
-.r~.a:
-	$(SCCSCHECK) $<
-
-.f90~:
-	$(SCCSCHECK) $<
-
-.f90~.o:
-	$(SCCSCHECK) $<
-
-.f90~.a:
-	$(SCCSCHECK) $<
-
-.ftn~:
-	$(SCCSCHECK) $<
-
-.ftn~.o:
-	$(SCCSCHECK) $<
-
-.ftn~.a:
-	$(SCCSCHECK) $<
-
-.def~.sym:
-	$(SCCSCHECK) $<
-
-.mod~:
-	$(SCCSCHECK) $<
-
-.mod~.o:
-	$(SCCSCHECK) $<
-
-.mod~.a:
-	$(SCCSCHECK) $<
-
-.p~:
-	$(SCCSCHECK) $<
-
-.p~.o:
-	$(SCCSCHECK) $<
-
-.p~.a:
-	$(SCCSCHECK) $<
-
-.s~.o:
-	$(SCCSCHECK) $<
-
-.s~.a:
-	$(SCCSCHECK) $<
-
-.S~.o:
-	$(SCCSCHECK) $<
-
-.S~.a:
-	$(SCCSCHECK) $<
-
-.sh~:
-	$(SCCSCHECK) $<
-
-.cps~.h:
-	$(SCCSCHECK) $<
-
-.java~.class:
-	$(SCCSCHECK) $<
--- old/usr/src/cmd/abi/spectrans/parser/Makefile.targ	Thu Aug  8 11:06:24 2019
+++ new/usr/src/cmd/abi/spectrans/parser/Makefile.targ	Thu Aug  8 11:06:24 2019
@@ -44,7 +44,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/acctadm/Makefile	Thu Aug  8 11:06:25 2019
+++ new/usr/src/cmd/acctadm/Makefile	Thu Aug  8 11:06:25 2019
@@ -35,7 +35,7 @@
 ROOTMANIFESTDIR = $(ROOTSVCSYSTEM)
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -lexacct -lscf -lsecdb -ldladm
 POFILE = acctadm.po
--- old/usr/src/cmd/addbadsec/Makefile	Thu Aug  8 11:06:27 2019
+++ new/usr/src/cmd/addbadsec/Makefile	Thu Aug  8 11:06:27 2019
@@ -33,7 +33,7 @@
 
 CPPFLAGS += -D_EXTVTOC
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/allocate/Makefile	Thu Aug  8 11:06:29 2019
+++ new/usr/src/cmd/allocate/Makefile	Thu Aug  8 11:06:29 2019
@@ -29,7 +29,7 @@
 include		../Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-unused-value
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
 
--- old/usr/src/cmd/amt/Makefile.com	Thu Aug  8 11:06:29 2019
+++ new/usr/src/cmd/amt/Makefile.com	Thu Aug  8 11:06:29 2019
@@ -35,7 +35,7 @@
 LINTFLAGS +=	-erroff=E_NAME_USED_NOT_DEF2
 LINTFLAGS64 +=	-erroff=E_NAME_USED_NOT_DEF2
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CLEANFILES	+= $(PROG) $(OBJS)
 
--- old/usr/src/cmd/ast/msgcc/Makefile	Thu Aug  8 11:06:31 2019
+++ new/usr/src/cmd/ast/msgcc/Makefile	Thu Aug  8 11:06:31 2019
@@ -50,7 +50,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-empty-body
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/audio/audioctl/Makefile	Thu Aug  8 11:06:33 2019
+++ new/usr/src/cmd/audio/audioctl/Makefile	Thu Aug  8 11:06:34 2019
@@ -30,7 +30,7 @@
 
 LDLIBS += -ldevinfo
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/audio/audioplay/Makefile	Thu Aug  8 11:06:37 2019
+++ new/usr/src/cmd/audio/audioplay/Makefile	Thu Aug  8 11:06:37 2019
@@ -39,7 +39,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += indenting
 
--- old/usr/src/cmd/audio/utilities/Makefile	Thu Aug  8 11:06:40 2019
+++ new/usr/src/cmd/audio/utilities/Makefile	Thu Aug  8 11:06:40 2019
@@ -33,7 +33,7 @@
 CPPFLAGS += $(INCLUDES)
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/auditconfig/Makefile	Thu Aug  8 11:06:42 2019
+++ new/usr/src/cmd/auditconfig/Makefile	Thu Aug  8 11:06:43 2019
@@ -38,7 +38,7 @@
 MSGFILES = $(SRCS)
 
 CPPFLAGS += -I$(LIBBSM)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 .KEEP_STATE:
--- old/usr/src/cmd/auditreduce/Makefile	Thu Aug  8 11:06:45 2019
+++ new/usr/src/cmd/auditreduce/Makefile	Thu Aug  8 11:06:45 2019
@@ -41,7 +41,7 @@
 CPPFLAGS += -I$(TABLEDIR) -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 LDLIBS += -lnsl -lbsm -lscf -ltsol
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 # false positives / need cleanup
--- old/usr/src/cmd/autopush/Makefile	Thu Aug  8 11:06:47 2019
+++ new/usr/src/cmd/autopush/Makefile	Thu Aug  8 11:06:47 2019
@@ -29,7 +29,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/awk/Makefile	Thu Aug  8 11:06:48 2019
+++ new/usr/src/cmd/awk/Makefile	Thu Aug  8 11:06:48 2019
@@ -41,7 +41,7 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/awk_xpg4/Makefile	Thu Aug  8 11:06:49 2019
+++ new/usr/src/cmd/awk_xpg4/Makefile	Thu Aug  8 11:06:49 2019
@@ -44,7 +44,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 YFLAGS += -d
 LDLIBS += -lm
 CLEANFILES= awk.c y.tab.h
--- old/usr/src/cmd/backup/Makefile.backup	Thu Aug  8 11:06:49 2019
+++ new/usr/src/cmd/backup/Makefile.backup	Thu Aug  8 11:06:49 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 
 # not linted
--- old/usr/src/cmd/backup/dump/Makefile	Thu Aug  8 11:06:51 2019
+++ new/usr/src/cmd/backup/dump/Makefile	Thu Aug  8 11:06:51 2019
@@ -69,7 +69,7 @@
 		-D_LARGEFILE64_SOURCE=1
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-extra
 LIBDUMP=	../lib/libdump.a
--- old/usr/src/cmd/bart/Makefile	Thu Aug  8 11:06:52 2019
+++ new/usr/src/cmd/bart/Makefile	Thu Aug  8 11:06:52 2019
@@ -33,7 +33,7 @@
 
 LDLIBS +=	-lsec -lmd
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF +=	indenting
 
--- old/usr/src/cmd/bdiff/Makefile	Thu Aug  8 11:06:54 2019
+++ new/usr/src/cmd/bdiff/Makefile	Thu Aug  8 11:06:54 2019
@@ -32,7 +32,7 @@
 FILEMODE=	755
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/bnu/Makefile.inc	Thu Aug  8 11:06:55 2019
+++ new/usr/src/cmd/bnu/Makefile.inc	Thu Aug  8 11:06:55 2019
@@ -44,7 +44,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-extra
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 
--- old/usr/src/cmd/cal/Makefile	Thu Aug  8 11:06:57 2019
+++ new/usr/src/cmd/cal/Makefile	Thu Aug  8 11:06:57 2019
@@ -33,7 +33,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/cdrw/Makefile	Thu Aug  8 11:06:59 2019
+++ new/usr/src/cmd/cdrw/Makefile	Thu Aug  8 11:06:59 2019
@@ -38,7 +38,7 @@
 LDLIBS +=	-lhal -lsecdb
 NONLINTLDLIBS =	-ldbus-1
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CPPFLAGS +=	-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(HAL_DBUS_CPPFLAGS)
 LINTFLAGS += 	-um
--- old/usr/src/cmd/chmod/Makefile	Thu Aug  8 11:07:02 2019
+++ new/usr/src/cmd/chmod/Makefile	Thu Aug  8 11:07:02 2019
@@ -33,7 +33,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
--- old/usr/src/cmd/cmd-crypto/cryptoadm/Makefile	Thu Aug  8 11:07:03 2019
+++ new/usr/src/cmd/cmd-crypto/cryptoadm/Makefile	Thu Aug  8 11:07:03 2019
@@ -40,7 +40,7 @@
 POFILE = $(PROG)_all.po
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 LDLIBS += -lcryptoutil
--- old/usr/src/cmd/cmd-crypto/decrypt/Makefile.com	Thu Aug  8 11:07:04 2019
+++ new/usr/src/cmd/cmd-crypto/decrypt/Makefile.com	Thu Aug  8 11:07:04 2019
@@ -39,7 +39,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lkmf -lpkcs11 -lcryptoutil
 
--- old/usr/src/cmd/cmd-crypto/digest/Makefile.com	Thu Aug  8 11:07:05 2019
+++ new/usr/src/cmd/cmd-crypto/digest/Makefile.com	Thu Aug  8 11:07:05 2019
@@ -38,7 +38,7 @@
 CFLAGS64 += $(CCVERBOSE)
 CPPFLAGS +=-D_FILE_OFFSET_BITS=64
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lkmf -lpkcs11 -lcryptoutil
 
--- old/usr/src/cmd/cmd-crypto/pktool/Makefile	Thu Aug  8 11:07:06 2019
+++ new/usr/src/cmd/cmd-crypto/pktool/Makefile	Thu Aug  8 11:07:06 2019
@@ -53,7 +53,7 @@
 	-I$(KMFDIR)/ber_der/inc
 
 CFLAGS += $(CCVERBOSE) -DDEBUG
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 
 # not linted, too much mess, but it should be
--- old/usr/src/cmd/cmd-inet/lib/ipmgmtd/Makefile	Thu Aug  8 11:07:06 2019
+++ new/usr/src/cmd/cmd-inet/lib/ipmgmtd/Makefile	Thu Aug  8 11:07:06 2019
@@ -39,7 +39,7 @@
 ROOTMANIFESTDIR=	$(ROOTSVCNETWORK)
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(ROOTCFGFILES)	:= OWNER= ipadm
 $(ROOTCFGFILES)	:= GROUP= sys
--- old/usr/src/cmd/cmd-inet/lib/nwamd/Makefile	Thu Aug  8 11:07:08 2019
+++ new/usr/src/cmd/cmd-inet/lib/nwamd/Makefile	Thu Aug  8 11:07:08 2019
@@ -54,7 +54,7 @@
 		-linetutil -lipadm -lkstat -lnsl -lnvpair -lnwam \
 		-lsecdb -lscf -lsocket -lsysevent -lumem -luutil
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/cmd/cmd-inet/usr.bin/Makefile	Thu Aug  8 11:07:09 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/Makefile	Thu Aug  8 11:07:09 2019
@@ -73,7 +73,7 @@
 
 CPPFLAGS +=	-DSYSV -DSTRNET -DBSD_COMP -I$(CMDINETCOMMONDIR)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 ruptime :=     SMOFF += leaks
--- old/usr/src/cmd/cmd-inet/usr.bin/ftp/Makefile	Thu Aug  8 11:07:10 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/ftp/Makefile	Thu Aug  8 11:07:10 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/cmd/cmd-inet/usr.bin/nc/Makefile	Thu Aug  8 11:07:11 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/nc/Makefile	Thu Aug  8 11:07:11 2019
@@ -31,7 +31,7 @@
 include		../../../Makefile.cmd
 
 LDLIBS +=	-lresolv -lsocket
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/cmd-inet/usr.bin/netstat/Makefile	Thu Aug  8 11:07:13 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/netstat/Makefile	Thu Aug  8 11:07:13 2019
@@ -46,7 +46,7 @@
 SRCS=		$(LOCALSRCS) $(COMMONSRCS) $(STAT_COMMON_SRCS)
 
 CPPFLAGS += -DNDEBUG -I$(CMDINETCOMMONDIR) -I$(STATCOMMONDIR)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -ldhcpagent -lsocket -lnsl -lkstat -ltsnet -ltsol
 
--- old/usr/src/cmd/cmd-inet/usr.bin/pppd/Makefile	Thu Aug  8 11:07:16 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/pppd/Makefile	Thu Aug  8 11:07:16 2019
@@ -51,7 +51,7 @@
 EXOBJS +=	mschap_test.o
 CLOBBERFILES +=	mschap_test
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # main() is too hairy for smatch
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.bin/pppdump/Makefile	Thu Aug  8 11:07:17 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/pppdump/Makefile	Thu Aug  8 11:07:17 2019
@@ -15,7 +15,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.bin/rdist/Makefile	Thu Aug  8 11:07:20 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/rdist/Makefile	Thu Aug  8 11:07:20 2019
@@ -53,7 +53,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.bin/talk/Makefile	Thu Aug  8 11:07:23 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/talk/Makefile	Thu Aug  8 11:07:23 2019
@@ -39,7 +39,7 @@
 #
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-DSYSV -DSTRNET -DBSD_COMP
 LDLIBS +=	-lcurses -lsocket -lnsl
 
--- old/usr/src/cmd/cmd-inet/usr.lib/ilbd/Makefile	Thu Aug  8 11:07:23 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ilbd/Makefile	Thu Aug  8 11:07:23 2019
@@ -51,7 +51,7 @@
 CPPFLAGS +=	-I$(SRC)/uts/common
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/cmd/cmd-inet/usr.lib/ilbd/ilb/Makefile	Thu Aug  8 11:07:25 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ilbd/ilb/Makefile	Thu Aug  8 11:07:25 2019
@@ -36,7 +36,7 @@
 
 include	../../Makefile.lib
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 ROOTLIBINETILB =	$(ROOTLIBINET)/ilb
 ROOTLIBINETILBPROG =	$(PROG:%=$(ROOTLIBINETILB)/%)
--- old/usr/src/cmd/cmd-inet/usr.lib/in.mpathd/Makefile	Thu Aug  8 11:07:27 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.mpathd/Makefile	Thu Aug  8 11:07:27 2019
@@ -46,7 +46,7 @@
 LDLIBS	+= -lsocket -lnsl -lsysevent -lnvpair -lipmp -linetutil -ldlpi
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2 -erroff=E_INCONS_ARG_USED2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Instrument in.mpathd with CTF data to ease debugging.
--- old/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/Makefile	Thu Aug  8 11:07:29 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/Makefile	Thu Aug  8 11:07:29 2019
@@ -58,7 +58,7 @@
 LINTFLAGS +=	-erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.lib/mdnsd/Makefile	Thu Aug  8 11:07:30 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/mdnsd/Makefile	Thu Aug  8 11:07:30 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.lib/ncaconfd/Makefile	Thu Aug  8 11:07:31 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ncaconfd/Makefile	Thu Aug  8 11:07:31 2019
@@ -36,7 +36,7 @@
 LDLIBS += -lsocket -lnsl
 CPPFLAGS += -I$(SRC)/uts/common/inet/nca
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 POFILE = ${PROG}.po
 
--- old/usr/src/cmd/cmd-inet/usr.lib/vrrpd/Makefile	Thu Aug  8 11:07:34 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/vrrpd/Makefile	Thu Aug  8 11:07:34 2019
@@ -47,7 +47,7 @@
 LDLIBS += -lvrrpadm -lsocket -lnsl -ldladm -linetutil -lipadm -lsysevent -lnvpair -lsecdb
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2  -erroff=E_INCONS_ARG_USED2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Instrument vrrpd with CTF data to ease debugging.
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Thu Aug  8 11:07:35 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Thu Aug  8 11:07:35 2019
@@ -102,7 +102,7 @@
 SRCS+=		$(COMMONSRCS)
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-parentheses
--- old/usr/src/cmd/cmd-inet/usr.sbin/ifconfig/Makefile	Thu Aug  8 11:07:36 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ifconfig/Makefile	Thu Aug  8 11:07:36 2019
@@ -37,7 +37,7 @@
 SRCS=		$(LOCALSRCS) $(COMMONSRCS)
 
 CPPFLAGS +=	-I$(CMDINETCOMMONDIR) -I$(SRC)/common/net/dhcp
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 LDLIBS +=       -ldhcpagent -ldlpi -linetutil -lipmp -ldladm -lipadm
 LINTFLAGS +=	-m
--- old/usr/src/cmd/cmd-inet/usr.sbin/ilbadm/Makefile	Thu Aug  8 11:07:39 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ilbadm/Makefile	Thu Aug  8 11:07:39 2019
@@ -38,7 +38,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.sbin/in.routed/Makefile	Thu Aug  8 11:07:41 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/in.routed/Makefile	Thu Aug  8 11:07:41 2019
@@ -39,7 +39,7 @@
 CPPFLAGS +=	$(_D_XOPEN_EXTN)
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 # not linted
 SMATCH=off
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/in.talkd/Makefile	Thu Aug  8 11:07:44 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/in.talkd/Makefile	Thu Aug  8 11:07:44 2019
@@ -35,7 +35,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS +=	-lsocket -lnsl
 
 .KEEP_STATE:
--- old/usr/src/cmd/cmd-inet/usr.sbin/inetadm/Makefile	Thu Aug  8 11:07:47 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/inetadm/Makefile	Thu Aug  8 11:07:47 2019
@@ -33,7 +33,7 @@
 
 LDLIBS +=	-lscf -luutil -linetsvc
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 lint := LINTFLAGS = -ux
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/inetconv/Makefile	Thu Aug  8 11:07:49 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/inetconv/Makefile	Thu Aug  8 11:07:49 2019
@@ -29,7 +29,7 @@
 include ../../../Makefile.cmd
 
 LDLIBS += -lscf -linetsvc
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipmpstat/Makefile	Thu Aug  8 11:07:50 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipmpstat/Makefile	Thu Aug  8 11:07:50 2019
@@ -29,7 +29,7 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CSTD = $(CSTD_GNU99)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lipmp -lsocket -lsysevent -lnvpair -lofmt
 XGETFLAGS += -a -x $(PROG).xcl
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/Makefile	Thu Aug  8 11:07:51 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/Makefile	Thu Aug  8 11:07:51 2019
@@ -51,7 +51,7 @@
 CPPFLAGS +=	-D__EXTENSIONS__
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipsecutils/Makefile	Thu Aug  8 11:07:51 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipsecutils/Makefile	Thu Aug  8 11:07:51 2019
@@ -57,7 +57,7 @@
 
 CPPFLAGS +=     -DSYSV -DBSD_COMP -I$(CMDINETCOMMONDIR) -I.
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/cmd/cmd-inet/usr.sbin/kssl/kssladm/Makefile	Thu Aug  8 11:07:52 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/kssl/kssladm/Makefile	Thu Aug  8 11:07:52 2019
@@ -42,7 +42,7 @@
 .KEEP_STATE:
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 LDLIBS += -lkmf -lpkcs11 -lcryptoutil -lnsl -lsocket
--- old/usr/src/cmd/cmd-inet/usr.sbin/nwamadm/Makefile	Thu Aug  8 11:07:53 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/nwamadm/Makefile	Thu Aug  8 11:07:53 2019
@@ -33,7 +33,7 @@
 LDLIBS +=	-lofmt -linetutil -lnsl -lnwam -lumem -lscf
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.sbin/nwamcfg/Makefile	Thu Aug  8 11:07:53 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/nwamcfg/Makefile	Thu Aug  8 11:07:53 2019
@@ -39,7 +39,7 @@
 CLEANFILES +=	$(PROG).ln
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/cmd-inet/usr.sbin/routeadm/Makefile	Thu Aug  8 11:07:54 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/routeadm/Makefile	Thu Aug  8 11:07:54 2019
@@ -50,7 +50,7 @@
 
 CPPFLAGS +=	-I../../../../common/svc -I$(CMDINETCOMMONDIR)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 $(NOT_RELEASE_BUILD)CPPFLAGS +=	-DDEBUG
 
 LDLIBS +=		-lscf -luutil -lsocket
--- old/usr/src/cmd/cmd-inet/usr.sbin/snoop/Makefile	Thu Aug  8 11:07:55 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/snoop/Makefile	Thu Aug  8 11:07:55 2019
@@ -53,7 +53,7 @@
 LDFLAGS += $(MAPFILE.NGB:%=-M%)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
--- old/usr/src/cmd/cmd-inet/usr.sbin/traceroute/Makefile	Thu Aug  8 11:07:56 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/traceroute/Makefile	Thu Aug  8 11:07:56 2019
@@ -51,7 +51,7 @@
 LINTFLAGS +=	-erroff=E_FUNC_DECL_VAR_ARG2 -erroff=E_INCONS_ARG_DECL2 \
 		-erroff=E_INCONS_ARG_USED2 -erroff=E_INCONS_VAL_TYPE_DECL2
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 
 .KEEP_STATE:
--- old/usr/src/cmd/consadm/Makefile.com	Thu Aug  8 11:07:56 2019
+++ new/usr/src/cmd/consadm/Makefile.com	Thu Aug  8 11:07:56 2019
@@ -33,7 +33,7 @@
 include ../../Makefile.cmd
 
 CFLAGS	+=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=
 
 FILEMODE = 0555
--- old/usr/src/cmd/cpc/cpustat/Makefile	Thu Aug  8 11:07:57 2019
+++ new/usr/src/cmd/cpc/cpustat/Makefile	Thu Aug  8 11:07:57 2019
@@ -37,7 +37,7 @@
 SRCS += $(STAT_COMMON_SRCS)
 
 CFLAGS		+= $(CCVERBOSE) $(CTF_FLAGS)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CPPFLAGS	+= -D_REENTRANT -I$(SRC)/lib/libcpc/common -I$(STATCOMMONDIR)
 LDLIBS +=	-lcpc -lkstat
 
--- old/usr/src/cmd/cpio/Makefile	Thu Aug  8 11:07:59 2019
+++ new/usr/src/cmd/cpio/Makefile	Thu Aug  8 11:07:59 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -DSOLARIS_PRIVS
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cron/Makefile	Thu Aug  8 11:08:01 2019
+++ new/usr/src/cmd/cron/Makefile	Thu Aug  8 11:08:02 2019
@@ -36,7 +36,7 @@
 CPPFLAGS +=	-D_FILE_OFFSET_BITS=64 -I $(SRC)/common/util
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-value
 
--- old/usr/src/cmd/csh/i386/Makefile	Thu Aug  8 11:08:04 2019
+++ new/usr/src/cmd/csh/i386/Makefile	Thu Aug  8 11:08:04 2019
@@ -26,7 +26,7 @@
 LDLIBS += -lcurses
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-int
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/csh/sparc/Makefile	Thu Aug  8 11:08:06 2019
+++ new/usr/src/cmd/csh/sparc/Makefile	Thu Aug  8 11:08:06 2019
@@ -23,7 +23,7 @@
 CPPFLAGS +=	-I../../sh
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-int
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/csplit/Makefile	Thu Aug  8 11:08:09 2019
+++ new/usr/src/cmd/csplit/Makefile	Thu Aug  8 11:08:09 2019
@@ -33,7 +33,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/ctrun/Makefile	Thu Aug  8 11:08:10 2019
+++ new/usr/src/cmd/ctrun/Makefile	Thu Aug  8 11:08:10 2019
@@ -30,7 +30,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lcontract -luutil
 
 .KEEP_STATE:
--- old/usr/src/cmd/dc/Makefile	Thu Aug  8 11:08:10 2019
+++ new/usr/src/cmd/dc/Makefile	Thu Aug  8 11:08:10 2019
@@ -36,7 +36,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/dcs/sparc/sun4u/Makefile	Thu Aug  8 11:08:11 2019
+++ new/usr/src/cmd/dcs/sparc/sun4u/Makefile	Thu Aug  8 11:08:11 2019
@@ -90,7 +90,7 @@
 XGETFLAGS +=	-a -s -x $(PROG).xcl
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 #
 # LIBRARIES:
--- old/usr/src/cmd/dd/Makefile	Thu Aug  8 11:08:11 2019
+++ new/usr/src/cmd/dd/Makefile	Thu Aug  8 11:08:11 2019
@@ -29,7 +29,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 LDLIBS += -lcmdutils
 
--- old/usr/src/cmd/devfsadm/Makefile.com	Thu Aug  8 11:08:12 2019
+++ new/usr/src/cmd/devfsadm/Makefile.com	Thu Aug  8 11:08:12 2019
@@ -97,7 +97,7 @@
 LINTFLAGS += -erroff=E_NAME_DEF_NOT_USED2
 LINTFLAGS += -erroff=E_NAME_MULTIPLY_DEF2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/devinfo/Makefile	Thu Aug  8 11:08:13 2019
+++ new/usr/src/cmd/devinfo/Makefile	Thu Aug  8 11:08:13 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -ladm -lefi
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/devmgmt/cmds/Makefile	Thu Aug  8 11:08:13 2019
+++ new/usr/src/cmd/devmgmt/cmds/Makefile	Thu Aug  8 11:08:13 2019
@@ -37,7 +37,7 @@
 LDLIBS += -ladm
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/cmd/dfs.cmds/dfshares/Makefile	Thu Aug  8 11:08:14 2019
+++ new/usr/src/cmd/dfs.cmds/dfshares/Makefile	Thu Aug  8 11:08:14 2019
@@ -34,7 +34,7 @@
 include ../../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/dfs.cmds/sharectl/Makefile.com	Thu Aug  8 11:08:14 2019
+++ new/usr/src/cmd/dfs.cmds/sharectl/Makefile.com	Thu Aug  8 11:08:14 2019
@@ -40,7 +40,7 @@
 CPPFLAGS += $(MYCPPFLAGS)
 LDLIBS += -lshare -lumem
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SRCS = $(SHARECTL_SRC)
 OBJS = $(SHARECTL_OBJ)
--- old/usr/src/cmd/dfs.cmds/sharemgr/Makefile.com	Thu Aug  8 11:08:15 2019
+++ new/usr/src/cmd/dfs.cmds/sharemgr/Makefile.com	Thu Aug  8 11:08:15 2019
@@ -43,7 +43,7 @@
 all install := LDLIBS += -lxml2
 LINTFLAGS	+= -u
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 POFILES = $(SRCS:.c=.po)
 POFILE  = sharemgr.po
--- old/usr/src/cmd/diff/Makefile	Thu Aug  8 11:08:16 2019
+++ new/usr/src/cmd/diff/Makefile	Thu Aug  8 11:08:16 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 
 #
--- old/usr/src/cmd/dis/Makefile	Thu Aug  8 11:08:17 2019
+++ new/usr/src/cmd/dis/Makefile	Thu Aug  8 11:08:17 2019
@@ -32,7 +32,7 @@
 include	../Makefile.cmd
 
 LDLIBS += -ldisasm -luutil -lelf -ldemangle-sys
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/dispadmin/Makefile	Thu Aug  8 11:08:17 2019
+++ new/usr/src/cmd/dispadmin/Makefile	Thu Aug  8 11:08:17 2019
@@ -39,7 +39,7 @@
 include ../Makefile.cmd
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 ROOTDIR=	$(ROOT)/usr/lib/class
 ROOTDIRS=	$(ROOTDIR)	\
--- old/usr/src/cmd/dladm/Makefile	Thu Aug  8 11:08:18 2019
+++ new/usr/src/cmd/dladm/Makefile	Thu Aug  8 11:08:18 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += snprintf_overflow
 
--- old/usr/src/cmd/dlmgmtd/Makefile	Thu Aug  8 11:08:20 2019
+++ new/usr/src/cmd/dlmgmtd/Makefile	Thu Aug  8 11:08:20 2019
@@ -41,7 +41,7 @@
 LDLIBS += -ldladm -ldlpi -lavl -lnvpair -lsysevent -lcontract
 
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Instrument dlmgmtd with CTF data to ease debugging.
--- old/usr/src/cmd/dlstat/Makefile	Thu Aug  8 11:08:22 2019
+++ new/usr/src/cmd/dlstat/Makefile	Thu Aug  8 11:08:22 2019
@@ -33,7 +33,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/du/Makefile	Thu Aug  8 11:08:23 2019
+++ new/usr/src/cmd/du/Makefile	Thu Aug  8 11:08:23 2019
@@ -31,7 +31,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 $(XPG4) := CFLAGS += -DXPG4
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 POFILE = du_cmd.po
--- old/usr/src/cmd/ed/Makefile	Thu Aug  8 11:08:24 2019
+++ new/usr/src/cmd/ed/Makefile	Thu Aug  8 11:08:24 2019
@@ -42,7 +42,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/eeprom/Makefile.com	Thu Aug  8 11:08:24 2019
+++ new/usr/src/cmd/eeprom/Makefile.com	Thu Aug  8 11:08:25 2019
@@ -39,7 +39,7 @@
 OBJS		= error.o
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
 # not linted
--- old/usr/src/cmd/eqn/eqn.d/Makefile	Thu Aug  8 11:08:26 2019
+++ new/usr/src/cmd/eqn/eqn.d/Makefile	Thu Aug  8 11:08:26 2019
@@ -35,7 +35,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/eqn/neqn.d/Makefile	Thu Aug  8 11:08:28 2019
+++ new/usr/src/cmd/eqn/neqn.d/Makefile	Thu Aug  8 11:08:28 2019
@@ -28,7 +28,7 @@
 LDFLAGS +=	$(MAPFILE.NGB:%=-M%)
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/cmd/expr/Makefile	Thu Aug  8 11:08:29 2019
+++ new/usr/src/cmd/expr/Makefile	Thu Aug  8 11:08:30 2019
@@ -37,7 +37,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-extra
 # "missing type for func"
 SMATCH=off
--- old/usr/src/cmd/file/Makefile	Thu Aug  8 11:08:32 2019
+++ new/usr/src/cmd/file/Makefile	Thu Aug  8 11:08:32 2019
@@ -41,7 +41,7 @@
 CSTD=	$(CSTD_GNU99)
 C99LMODE= -Xc99=%all
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 POFILE= file_all.po
--- old/usr/src/cmd/filesync/Makefile	Thu Aug  8 11:08:34 2019
+++ new/usr/src/cmd/filesync/Makefile	Thu Aug  8 11:08:34 2019
@@ -34,7 +34,7 @@
 LDLIBS += -lgen
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/find/Makefile	Thu Aug  8 11:08:35 2019
+++ new/usr/src/cmd/find/Makefile	Thu Aug  8 11:08:35 2019
@@ -37,7 +37,7 @@
 
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LINTFLAGS += -u
 LDLIBS += -lsec
--- old/usr/src/cmd/flowstat/Makefile	Thu Aug  8 11:08:36 2019
+++ new/usr/src/cmd/flowstat/Makefile	Thu Aug  8 11:08:37 2019
@@ -37,7 +37,7 @@
 LDLIBS += -ldladm -lofmt
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/eversholt/Makefile.esc.com	Thu Aug  8 11:08:37 2019
+++ new/usr/src/cmd/fm/eversholt/Makefile.esc.com	Thu Aug  8 11:08:37 2019
@@ -46,7 +46,7 @@
 
 CPPFLAGS += -I$(EVERCMNSRC) -I.
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
--- old/usr/src/cmd/fm/fmd/Makefile.fmd	Thu Aug  8 11:08:38 2019
+++ new/usr/src/cmd/fm/fmd/Makefile.fmd	Thu Aug  8 11:08:38 2019
@@ -120,7 +120,7 @@
 LINTFLAGS += -mu
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 $(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused-but-set-variable
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/fm/fmdump/Makefile.com	Thu Aug  8 11:08:39 2019
+++ new/usr/src/cmd/fm/fmdump/Makefile.com	Thu Aug  8 11:08:39 2019
@@ -39,7 +39,7 @@
 LDFLAGS += -R/usr/lib/fm
 LINTFLAGS += -mnu
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .NO_PARALLEL:
 .PARALLEL: $(OBJS) $(LINTFILES)
--- old/usr/src/cmd/fm/fminject/Makefile.com	Thu Aug  8 11:08:40 2019
+++ new/usr/src/cmd/fm/fminject/Makefile.com	Thu Aug  8 11:08:40 2019
@@ -50,7 +50,7 @@
 CPPFLAGS += -I. -I../common
 CFLAGS += $(CCVERBOSE) $(CTF_FLAGS)
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/fm/ipmitopo/Makefile.com	Thu Aug  8 11:08:42 2019
+++ new/usr/src/cmd/fm/ipmitopo/Makefile.com	Thu Aug  8 11:08:42 2019
@@ -41,7 +41,7 @@
 LDLIBS += -lipmi -lnvpair
 LINTFLAGS += -mnu
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .NO_PARALLEL:
 .PARALLEL: $(OBJS) $(LINTFILES)
--- old/usr/src/cmd/fm/modules/common/disk-monitor/Makefile	Thu Aug  8 11:08:43 2019
+++ new/usr/src/cmd/fm/modules/common/disk-monitor/Makefile	Thu Aug  8 11:08:43 2019
@@ -35,7 +35,7 @@
 CFLAGS += -I. -I$(SRC)/lib/fm/topo/modules/common/disk
 LDLIBS += -lsysevent -lnvpair -lsmbios -lcfgadm -ltopo -luutil -lipmi
 LDFLAGS += -L$(ROOT)/usr/lib/fm -R/usr/lib/fm
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/modules/common/eversholt/Makefile	Thu Aug  8 11:08:44 2019
+++ new/usr/src/cmd/fm/modules/common/eversholt/Makefile	Thu Aug  8 11:08:45 2019
@@ -45,7 +45,7 @@
 
 CPPFLAGS += -DFMAPLUGIN -I$(EVERSRCDIR) -I.
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Thu Aug  8 11:08:46 2019
+++ new/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Thu Aug  8 11:08:46 2019
@@ -41,7 +41,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/modules/common/ip-transport/Makefile	Thu Aug  8 11:08:47 2019
+++ new/usr/src/cmd/fm/modules/common/ip-transport/Makefile	Thu Aug  8 11:08:47 2019
@@ -33,7 +33,7 @@
 include ../../Makefile.plugin
 
 LDLIBS += -lsocket -lnsl
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/modules/common/sw-diag-response/software-diagnosis/Makefile	Thu Aug  8 11:08:49 2019
+++ new/usr/src/cmd/fm/modules/common/sw-diag-response/software-diagnosis/Makefile	Thu Aug  8 11:08:49 2019
@@ -50,4 +50,4 @@
 LDLIBS += -L$(ROOTLIB)/fm -ltopo -luutil -luuid -lkstat
 LDFLAGS += -R/usr/lib/fm
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/fm/modules/sun4u/cpumem-diagnosis/Makefile	Thu Aug  8 11:08:51 2019
+++ new/usr/src/cmd/fm/modules/sun4u/cpumem-diagnosis/Makefile	Thu Aug  8 11:08:51 2019
@@ -44,5 +44,5 @@
 LDFLAGS += -R/usr/lib/fm
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
--- old/usr/src/cmd/fm/modules/sun4v/etm/Makefile	Thu Aug  8 11:08:52 2019
+++ new/usr/src/cmd/fm/modules/sun4v/etm/Makefile	Thu Aug  8 11:08:52 2019
@@ -41,4 +41,4 @@
 
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/fmtmsg/Makefile	Thu Aug  8 11:08:55 2019
+++ new/usr/src/cmd/fmtmsg/Makefile	Thu Aug  8 11:08:55 2019
@@ -30,7 +30,7 @@
 include ../Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/format/Makefile	Thu Aug  8 11:08:57 2019
+++ new/usr/src/cmd/format/Makefile	Thu Aug  8 11:08:57 2019
@@ -46,7 +46,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-clobbered
--- old/usr/src/cmd/fs.d/Makefile	Thu Aug  8 11:08:59 2019
+++ new/usr/src/cmd/fs.d/Makefile	Thu Aug  8 11:08:59 2019
@@ -85,7 +85,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/fs.d/autofs/Makefile	Thu Aug  8 11:09:01 2019
+++ new/usr/src/cmd/fs.d/autofs/Makefile	Thu Aug  8 11:09:01 2019
@@ -95,7 +95,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/fs.d/nfs/lockd/Makefile	Thu Aug  8 11:09:03 2019
+++ new/usr/src/cmd/fs.d/nfs/lockd/Makefile	Thu Aug  8 11:09:03 2019
@@ -44,7 +44,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/mount/Makefile	Thu Aug  8 11:09:05 2019
+++ new/usr/src/cmd/fs.d/nfs/mount/Makefile	Thu Aug  8 11:09:05 2019
@@ -46,7 +46,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 CERRWARN += -_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/fs.d/nfs/mountd/Makefile	Thu Aug  8 11:09:07 2019
+++ new/usr/src/cmd/fs.d/nfs/mountd/Makefile	Thu Aug  8 11:09:08 2019
@@ -42,7 +42,7 @@
 LDLIBS	 +=	-lrpcsvc -lnsl -lbsm -lsocket -ltsnet -ltsol -lnvpair -lscf -lumem
 CPPFLAGS +=	-D_REENTRANT -I../lib
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/cmd/fs.d/nfs/nfslog/Makefile	Thu Aug  8 11:09:10 2019
+++ new/usr/src/cmd/fs.d/nfs/nfslog/Makefile	Thu Aug  8 11:09:10 2019
@@ -40,7 +40,7 @@
 LDLIBS +=	-lsocket -lnsl
 CFLAGS += 	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/fs.d/nfs/nfsmapid/Makefile	Thu Aug  8 11:09:13 2019
+++ new/usr/src/cmd/fs.d/nfs/nfsmapid/Makefile	Thu Aug  8 11:09:13 2019
@@ -44,7 +44,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/showmount/Makefile	Thu Aug  8 11:09:15 2019
+++ new/usr/src/cmd/fs.d/nfs/showmount/Makefile	Thu Aug  8 11:09:16 2019
@@ -46,7 +46,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/statd/Makefile	Thu Aug  8 11:09:18 2019
+++ new/usr/src/cmd/fs.d/nfs/statd/Makefile	Thu Aug  8 11:09:18 2019
@@ -42,7 +42,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/pcfs/fsck/Makefile	Thu Aug  8 11:09:20 2019
+++ new/usr/src/cmd/fs.d/pcfs/fsck/Makefile	Thu Aug  8 11:09:20 2019
@@ -52,7 +52,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 #
 # We need to tell lint not to complain about the routines
--- old/usr/src/cmd/fs.d/pcfs/mount/Makefile	Thu Aug  8 11:09:23 2019
+++ new/usr/src/cmd/fs.d/pcfs/mount/Makefile	Thu Aug  8 11:09:23 2019
@@ -31,4 +31,4 @@
 include		../../Makefile.mount
 include		../../Makefile.mount.targ
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
--- old/usr/src/cmd/fs.d/tmpfs/Makefile	Thu Aug  8 11:09:24 2019
+++ new/usr/src/cmd/fs.d/tmpfs/Makefile	Thu Aug  8 11:09:24 2019
@@ -31,4 +31,4 @@
 include		../Makefile.mount
 include		../Makefile.mount.targ
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
--- old/usr/src/cmd/fs.d/udfs/fsck/Makefile	Thu Aug  8 11:09:26 2019
+++ new/usr/src/cmd/fs.d/udfs/fsck/Makefile	Thu Aug  8 11:09:26 2019
@@ -38,7 +38,7 @@
 UDFSOBJS=	udfslib.o
 #UDFSSRCS=	$(UDFSOBJS:%.o=%.c)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/cmd/fs.d/udfs/fsdb/Makefile	Thu Aug  8 11:09:27 2019
+++ new/usr/src/cmd/fs.d/udfs/fsdb/Makefile	Thu Aug  8 11:09:27 2019
@@ -48,7 +48,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/fs.d/udfs/fstyp/Makefile	Thu Aug  8 11:09:29 2019
+++ new/usr/src/cmd/fs.d/udfs/fstyp/Makefile	Thu Aug  8 11:09:29 2019
@@ -37,7 +37,7 @@
 DYNLIB=		$(LIBPROG)
 
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 LDLIBS += -lnvpair -ladm -lc
 
--- old/usr/src/cmd/fs.d/udfs/labelit/Makefile	Thu Aug  8 11:09:31 2019
+++ new/usr/src/cmd/fs.d/udfs/labelit/Makefile	Thu Aug  8 11:09:31 2019
@@ -40,7 +40,7 @@
 LINTFLAGS64 += -xerroff=E_STATIC_UNUSED
 
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 labelit : labelit.o  ud_lib.o
 	$(LINK.c) -o $@ labelit.o ud_lib.o $(LDLIBS)
--- old/usr/src/cmd/fs.d/udfs/mkfs/Makefile	Thu Aug  8 11:09:32 2019
+++ new/usr/src/cmd/fs.d/udfs/mkfs/Makefile	Thu Aug  8 11:09:32 2019
@@ -47,7 +47,7 @@
 UDFSOBJS=
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/ff/Makefile	Thu Aug  8 11:09:34 2019
+++ new/usr/src/cmd/fs.d/ufs/ff/Makefile	Thu Aug  8 11:09:34 2019
@@ -40,7 +40,7 @@
 
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/fsck/Makefile	Thu Aug  8 11:09:36 2019
+++ new/usr/src/cmd/fs.d/ufs/fsck/Makefile	Thu Aug  8 11:09:36 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/fsdb/Makefile	Thu Aug  8 11:09:37 2019
+++ new/usr/src/cmd/fs.d/ufs/fsdb/Makefile	Thu Aug  8 11:09:38 2019
@@ -36,7 +36,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/fssnap/Makefile	Thu Aug  8 11:09:39 2019
+++ new/usr/src/cmd/fs.d/ufs/fssnap/Makefile	Thu Aug  8 11:09:39 2019
@@ -43,7 +43,7 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/mkfs/Makefile	Thu Aug  8 11:09:41 2019
+++ new/usr/src/cmd/fs.d/ufs/mkfs/Makefile	Thu Aug  8 11:09:41 2019
@@ -41,7 +41,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-empty-body
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # can't hack main() !
 SMATCH =	off
--- old/usr/src/cmd/fs.d/ufs/newfs/Makefile	Thu Aug  8 11:09:42 2019
+++ new/usr/src/cmd/fs.d/ufs/newfs/Makefile	Thu Aug  8 11:09:42 2019
@@ -37,7 +37,7 @@
 LDLIBS += -ladm -lefi
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/repquota/Makefile	Thu Aug  8 11:09:43 2019
+++ new/usr/src/cmd/fs.d/ufs/repquota/Makefile	Thu Aug  8 11:09:44 2019
@@ -37,7 +37,7 @@
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/tunefs/Makefile	Thu Aug  8 11:09:45 2019
+++ new/usr/src/cmd/fs.d/ufs/tunefs/Makefile	Thu Aug  8 11:09:45 2019
@@ -38,7 +38,7 @@
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/volcopy/Makefile	Thu Aug  8 11:09:48 2019
+++ new/usr/src/cmd/fs.d/ufs/volcopy/Makefile	Thu Aug  8 11:09:48 2019
@@ -33,7 +33,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fwflash/Makefile.com	Thu Aug  8 11:09:49 2019
+++ new/usr/src/cmd/fwflash/Makefile.com	Thu Aug  8 11:09:49 2019
@@ -26,7 +26,7 @@
 # common rules for $SRC/cmd/fwflash
 
 CERRWARN +=		-_gcc=-Wno-parentheses
-CERRWARN +=		-_gcc=-Wno-uninitialized
+CERRWARN +=		$(CNOWARN_UNINIT)
 CERRWARN +=		-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/cmd/geniconvtbl/Makefile.com	Thu Aug  8 11:09:50 2019
+++ new/usr/src/cmd/geniconvtbl/Makefile.com	Thu Aug  8 11:09:50 2019
@@ -85,7 +85,7 @@
 		$(POFILES) $(POFILE)
 
 CPPFLAGS	+= -I. -I..
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/getfacl/Makefile	Thu Aug  8 11:09:51 2019
+++ new/usr/src/cmd/getfacl/Makefile	Thu Aug  8 11:09:51 2019
@@ -29,7 +29,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/grep/Makefile	Thu Aug  8 11:09:51 2019
+++ new/usr/src/cmd/grep/Makefile	Thu Aug  8 11:09:51 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 ROOTXPG4LINKS = $(ROOTXPG4BIN)/$(FFILE)	$(ROOTXPG4BIN)/$(EFILE) $(ROOTXPG4BIN)/$(PROG)
 ROOTLINKS = $(ROOTBIN)/$(FFILE) $(ROOTBIN)/$(EFILE)
--- old/usr/src/cmd/gss/gssd/Makefile	Thu Aug  8 11:09:52 2019
+++ new/usr/src/cmd/gss/gssd/Makefile	Thu Aug  8 11:09:52 2019
@@ -74,7 +74,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/hotplugd/Makefile	Thu Aug  8 11:09:54 2019
+++ new/usr/src/cmd/hotplugd/Makefile	Thu Aug  8 11:09:54 2019
@@ -44,7 +44,7 @@
 
 CPPFLAGS += -I$(SRC)/lib/libhotplug/common
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -ldevinfo -lhotplug -lnvpair -lsecdb -lrcm -lbsm
 
 .KEEP_STATE:
--- old/usr/src/cmd/id/Makefile	Thu Aug  8 11:09:56 2019
+++ new/usr/src/cmd/id/Makefile	Thu Aug  8 11:09:56 2019
@@ -30,7 +30,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/idmap/idmap/Makefile	Thu Aug  8 11:09:58 2019
+++ new/usr/src/cmd/idmap/idmap/Makefile	Thu Aug  8 11:09:58 2019
@@ -39,7 +39,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/cmd/idmap/idmapd/Makefile	Thu Aug  8 11:10:01 2019
+++ new/usr/src/cmd/idmap/idmapd/Makefile	Thu Aug  8 11:10:01 2019
@@ -62,7 +62,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/init/Makefile	Thu Aug  8 11:10:02 2019
+++ new/usr/src/cmd/init/Makefile	Thu Aug  8 11:10:02 2019
@@ -35,7 +35,7 @@
 CSTD = $(CSTD_GNU99)
 LDLIBS += -lpam -lbsm -lcontract -lscf
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 CLOBBERFILES= $(STATIC)
 
--- old/usr/src/cmd/intrstat/Makefile.com	Thu Aug  8 11:10:03 2019
+++ new/usr/src/cmd/intrstat/Makefile.com	Thu Aug  8 11:10:03 2019
@@ -38,7 +38,7 @@
 CPPFLAGS += -I$(STATCOMMONDIR)
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -ldtrace
 
 FILEMODE = 0555
--- old/usr/src/cmd/ipf/Makefile.ipf	Thu Aug  8 11:10:04 2019
+++ new/usr/src/cmd/ipf/Makefile.ipf	Thu Aug  8 11:10:04 2019
@@ -35,7 +35,7 @@
 		   -DSOLARIS2=$(RELEASE_MINOR)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/cmd/iscsiadm/Makefile	Thu Aug  8 11:10:06 2019
+++ new/usr/src/cmd/iscsiadm/Makefile	Thu Aug  8 11:10:06 2019
@@ -41,7 +41,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/isns/isnsadm/Makefile	Thu Aug  8 11:10:07 2019
+++ new/usr/src/cmd/isns/isnsadm/Makefile	Thu Aug  8 11:10:07 2019
@@ -39,7 +39,7 @@
 LINTFLAGS += -xerroff=E_BAD_FORMAT_STR2
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/isns/isnsd/Makefile	Thu Aug  8 11:10:07 2019
+++ new/usr/src/cmd/isns/isnsd/Makefile	Thu Aug  8 11:10:07 2019
@@ -61,7 +61,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-ignored-qualifiers
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
 # not linted
--- old/usr/src/cmd/kbd/Makefile	Thu Aug  8 11:10:07 2019
+++ new/usr/src/cmd/kbd/Makefile	Thu Aug  8 11:10:07 2019
@@ -33,7 +33,7 @@
 
 PROG	= kbd
 CFLAGS	+= $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS	+= -lscf
 
 all: $(PROG)
--- old/usr/src/cmd/keyserv/Makefile	Thu Aug  8 11:10:08 2019
+++ new/usr/src/cmd/keyserv/Makefile	Thu Aug  8 11:10:08 2019
@@ -70,7 +70,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-unused-function
--- old/usr/src/cmd/krb5/kadmin/kclient/Makefile	Thu Aug  8 11:10:08 2019
+++ new/usr/src/cmd/krb5/kadmin/kclient/Makefile	Thu Aug  8 11:10:08 2019
@@ -61,7 +61,7 @@
 	-I$(SRC)/uts/common/gssapi/include  \
 	-I$(SRC)/uts/common/gssapi/mechs/krb5/include
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/krb5/kadmin/kdcmgr/Makefile	Thu Aug  8 11:10:10 2019
+++ new/usr/src/cmd/krb5/kadmin/kdcmgr/Makefile	Thu Aug  8 11:10:10 2019
@@ -36,7 +36,7 @@
 POFILE=		$(SSRCS:%.sh=%.po)
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/krb5/slave/Makefile	Thu Aug  8 11:10:11 2019
+++ new/usr/src/cmd/krb5/slave/Makefile	Thu Aug  8 11:10:11 2019
@@ -60,7 +60,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-address
 
--- old/usr/src/cmd/latencytop/Makefile.com	Thu Aug  8 11:10:13 2019
+++ new/usr/src/cmd/latencytop/Makefile.com	Thu Aug  8 11:10:14 2019
@@ -33,7 +33,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/cmd/ldap/Makefile.com	Thu Aug  8 11:10:15 2019
+++ new/usr/src/cmd/ldap/Makefile.com	Thu Aug  8 11:10:15 2019
@@ -88,7 +88,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/ldapcachemgr/Makefile	Thu Aug  8 11:10:16 2019
+++ new/usr/src/cmd/ldapcachemgr/Makefile	Thu Aug  8 11:10:16 2019
@@ -54,7 +54,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/ldmad/Makefile	Thu Aug  8 11:10:16 2019
+++ new/usr/src/cmd/ldmad/Makefile	Thu Aug  8 11:10:16 2019
@@ -65,7 +65,7 @@
 INCS +=		-I$(SRC)/uts/sun4v
 CPPFLAGS += 	-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(INCS)
 CSTD =	$(CSTD_GNU99)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 LINTFLAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 
--- old/usr/src/cmd/listen/Makefile	Thu Aug  8 11:10:16 2019
+++ new/usr/src/cmd/listen/Makefile	Thu Aug  8 11:10:17 2019
@@ -63,7 +63,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-empty-body
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/loadkeys/Makefile	Thu Aug  8 11:10:17 2019
+++ new/usr/src/cmd/loadkeys/Makefile	Thu Aug  8 11:10:17 2019
@@ -41,7 +41,7 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/lockstat/Makefile.com	Thu Aug  8 11:10:17 2019
+++ new/usr/src/cmd/lockstat/Makefile.com	Thu Aug  8 11:10:17 2019
@@ -33,7 +33,7 @@
 LDLIBS += -lelf -lkstat -ldtrace
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += index_overflow
 
--- old/usr/src/cmd/lofiadm/Makefile	Thu Aug  8 11:10:19 2019
+++ new/usr/src/cmd/lofiadm/Makefile	Thu Aug  8 11:10:19 2019
@@ -39,7 +39,7 @@
 LDLIBS += -ldevinfo -lpkcs11 -lcryptoutil
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/logadm/Makefile	Thu Aug  8 11:10:20 2019
+++ new/usr/src/cmd/logadm/Makefile	Thu Aug  8 11:10:20 2019
@@ -35,7 +35,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-clobbered
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 XGETFLAGS += -a -x logadm.xcl
 
 $(ROOTETC)/$(CONFIGFILE):= FILEMODE= 644
--- old/usr/src/cmd/logins/Makefile	Thu Aug  8 11:10:20 2019
+++ new/usr/src/cmd/logins/Makefile	Thu Aug  8 11:10:20 2019
@@ -30,7 +30,7 @@
 TEXT_DOMAIN= SUNW_OST_ADMIN
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 FILEMODE= 0750
 
--- old/usr/src/cmd/lp/Makefile.lp	Thu Aug  8 11:10:20 2019
+++ new/usr/src/cmd/lp/Makefile.lp	Thu Aug  8 11:10:20 2019
@@ -88,7 +88,7 @@
 CERRWARN +=	-_gcc=-Wno-sequence-point
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/cmd/lp/lib/filters/Makefile	Thu Aug  8 11:10:21 2019
+++ new/usr/src/cmd/lp/lib/filters/Makefile	Thu Aug  8 11:10:21 2019
@@ -50,7 +50,7 @@
 
 CPPFLAGS =	-I../../include $(CPPFLAGS.master)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/cmd/luxadm/Makefile	Thu Aug  8 11:10:22 2019
+++ new/usr/src/cmd/luxadm/Makefile	Thu Aug  8 11:10:22 2019
@@ -39,7 +39,7 @@
 include ../Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-address
 
--- old/usr/src/cmd/mail/Makefile	Thu Aug  8 11:10:23 2019
+++ new/usr/src/cmd/mail/Makefile	Thu Aug  8 11:10:23 2019
@@ -73,7 +73,7 @@
 CPPFLAGS =	-DSVR4 -I. $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-extra
 
--- old/usr/src/cmd/mailx/Makefile	Thu Aug  8 11:10:25 2019
+++ new/usr/src/cmd/mailx/Makefile	Thu Aug  8 11:10:26 2019
@@ -66,7 +66,7 @@
 
 CPPFLAGS=	-Ihdr -DUSG -DOPTIM $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-clobbered
 # not linted
--- old/usr/src/cmd/mandoc/Makefile.common	Thu Aug  8 11:10:27 2019
+++ new/usr/src/cmd/mandoc/Makefile.common	Thu Aug  8 11:10:27 2019
@@ -79,7 +79,7 @@
 OBJS +=		compat_ohash.o
 
 # XXX gcc 4.4.4 false positive
-roff.o :=	CERRWARN += -_gcc=-Wno-uninitialized
+roff.o :=	CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/mdb/Makefile.kmdb	Thu Aug  8 11:10:30 2019
+++ new/usr/src/cmd/mdb/Makefile.kmdb	Thu Aug  8 11:10:30 2019
@@ -98,7 +98,7 @@
 	-xerroff=E_INCONS_VAL_TYPE_DECL2 \
 	-xerroff=E_INCONS_VAL_TYPE_USED2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-clobbered
--- old/usr/src/cmd/mdb/Makefile.libstandctf	Thu Aug  8 11:10:32 2019
+++ new/usr/src/cmd/mdb/Makefile.libstandctf	Thu Aug  8 11:10:32 2019
@@ -62,7 +62,7 @@
 
 LINTFLAGS += -n -errtags=yes
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .NO_PARALLEL:
 .PARALLEL: $(OBJS)
--- old/usr/src/cmd/mdb/Makefile.mdb	Thu Aug  8 11:10:33 2019
+++ new/usr/src/cmd/mdb/Makefile.mdb	Thu Aug  8 11:10:33 2019
@@ -102,7 +102,7 @@
 LDLIBS += -lcurses -lkvm -lproc -lrtld_db -lctf -lumem -ldisasm -lscf
 LDLIBS += -ldemangle-sys
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-parentheses
--- old/usr/src/cmd/mdb/i86pc/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
+++ new/usr/src/cmd/mdb/i86pc/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
@@ -44,6 +44,6 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/mdb/i86xpv/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
+++ new/usr/src/cmd/mdb/i86xpv/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
@@ -48,6 +48,6 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/mdb/intel/amd64/genunix/Makefile	Thu Aug  8 11:10:35 2019
+++ new/usr/src/cmd/mdb/intel/amd64/genunix/Makefile	Thu Aug  8 11:10:35 2019
@@ -74,7 +74,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/mdb/intel/amd64/idm/Makefile	Thu Aug  8 11:10:35 2019
+++ new/usr/src/cmd/mdb/intel/amd64/idm/Makefile	Thu Aug  8 11:10:36 2019
@@ -41,4 +41,4 @@
 CPPFLAGS += -I$(ISCSIBASE)
 CPPFLAGS += -I$(ISERBASE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/amd64/ipp/Makefile	Thu Aug  8 11:10:37 2019
+++ new/usr/src/cmd/mdb/intel/amd64/ipp/Makefile	Thu Aug  8 11:10:38 2019
@@ -34,4 +34,4 @@
 include ../../Makefile.amd64
 include ../../../Makefile.module
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/amd64/libproc/Makefile	Thu Aug  8 11:10:39 2019
+++ new/usr/src/cmd/mdb/intel/amd64/libproc/Makefile	Thu Aug  8 11:10:39 2019
@@ -38,7 +38,7 @@
 CFLAGS64 += -I../../../../../lib/libproc/common
 LINTFLAGS64 += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/amd64/libumem/Makefile	Thu Aug  8 11:10:40 2019
+++ new/usr/src/cmd/mdb/intel/amd64/libumem/Makefile	Thu Aug  8 11:10:40 2019
@@ -52,7 +52,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/amd64/pmcs/Makefile	Thu Aug  8 11:10:43 2019
+++ new/usr/src/cmd/mdb/intel/amd64/pmcs/Makefile	Thu Aug  8 11:10:43 2019
@@ -39,4 +39,4 @@
 
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/ia32/libproc/Makefile	Thu Aug  8 11:10:45 2019
+++ new/usr/src/cmd/mdb/intel/ia32/libproc/Makefile	Thu Aug  8 11:10:45 2019
@@ -37,7 +37,7 @@
 CFLAGS += -I../../../../../lib/libproc/common
 LINTFLAGS += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/ia32/libumem/Makefile	Thu Aug  8 11:10:45 2019
+++ new/usr/src/cmd/mdb/intel/ia32/libumem/Makefile	Thu Aug  8 11:10:45 2019
@@ -51,7 +51,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/intel/modules/amd_opteron/amd64/Makefile	Thu Aug  8 11:10:45 2019
+++ new/usr/src/cmd/mdb/intel/modules/amd_opteron/amd64/Makefile	Thu Aug  8 11:10:45 2019
@@ -37,4 +37,4 @@
 CPPFLAGS += -I$(SRC)/uts/intel
 CPPFLAGS += -I$(SRC)/uts/i86pc
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/modules/generic_cpu/amd64/Makefile	Thu Aug  8 11:10:46 2019
+++ new/usr/src/cmd/mdb/intel/modules/generic_cpu/amd64/Makefile	Thu Aug  8 11:10:46 2019
@@ -36,4 +36,4 @@
 CPPFLAGS += -I$(SRC)/uts/intel
 CPPFLAGS += -I$(SRC)/uts/i86pc
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sparc/v7/libproc/Makefile	Thu Aug  8 11:10:46 2019
+++ new/usr/src/cmd/mdb/sparc/v7/libproc/Makefile	Thu Aug  8 11:10:46 2019
@@ -37,7 +37,7 @@
 CFLAGS += -I../../../../../lib/libproc/common
 LINTFLAGS += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v7/libumem/Makefile	Thu Aug  8 11:10:48 2019
+++ new/usr/src/cmd/mdb/sparc/v7/libumem/Makefile	Thu Aug  8 11:10:48 2019
@@ -51,7 +51,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v9/genunix/Makefile	Thu Aug  8 11:10:50 2019
+++ new/usr/src/cmd/mdb/sparc/v9/genunix/Makefile	Thu Aug  8 11:10:50 2019
@@ -67,7 +67,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/mdb/sparc/v9/idm/Makefile	Thu Aug  8 11:10:50 2019
+++ new/usr/src/cmd/mdb/sparc/v9/idm/Makefile	Thu Aug  8 11:10:50 2019
@@ -40,4 +40,4 @@
 CPPFLAGS += -I$(ISCSIBASE)
 CPPFLAGS += -I$(ISERBASE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sparc/v9/ipp/Makefile	Thu Aug  8 11:10:51 2019
+++ new/usr/src/cmd/mdb/sparc/v9/ipp/Makefile	Thu Aug  8 11:10:51 2019
@@ -34,4 +34,4 @@
 include ../../Makefile.sparcv9
 include ../../../Makefile.module
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sparc/v9/libproc/Makefile	Thu Aug  8 11:10:53 2019
+++ new/usr/src/cmd/mdb/sparc/v9/libproc/Makefile	Thu Aug  8 11:10:54 2019
@@ -38,7 +38,7 @@
 CFLAGS64 += -I../../../../../lib/libproc/common
 LINTFLAGS64 += -I../../../../../lib/libproc/common
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v9/libumem/Makefile	Thu Aug  8 11:10:56 2019
+++ new/usr/src/cmd/mdb/sparc/v9/libumem/Makefile	Thu Aug  8 11:10:56 2019
@@ -65,7 +65,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 %.o: $(MODSRCS_DIR)/%.c
 	$(COMPILE.c) $<
--- old/usr/src/cmd/mdb/sparc/v9/pmcs/Makefile	Thu Aug  8 11:10:58 2019
+++ new/usr/src/cmd/mdb/sparc/v9/pmcs/Makefile	Thu Aug  8 11:10:58 2019
@@ -39,4 +39,4 @@
 
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sun4u/modules/unix/v9/Makefile	Thu Aug  8 11:11:01 2019
+++ new/usr/src/cmd/mdb/sun4u/modules/unix/v9/Makefile	Thu Aug  8 11:11:01 2019
@@ -41,4 +41,4 @@
 CPPFLAGS += -I$(SRC)/uts/sun4u
 CPPFLAGS += -I$(SRC)/uts/sfmmu
 CPPFLAGS += -I$(SRC)/uts/sparc/v9
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/sun4v/modules/unix/v9/Makefile	Thu Aug  8 11:11:03 2019
+++ new/usr/src/cmd/mdb/sun4v/modules/unix/v9/Makefile	Thu Aug  8 11:11:03 2019
@@ -45,4 +45,4 @@
 CPPFLAGS += -I$(SRC)/uts/sun4u
 CPPFLAGS += -I$(SRC)/uts/sfmmu
 CPPFLAGS += -I$(SRC)/uts/sparc/v9
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/tools/findfp/Makefile.com	Thu Aug  8 11:11:05 2019
+++ new/usr/src/cmd/mdb/tools/findfp/Makefile.com	Thu Aug  8 11:11:05 2019
@@ -44,7 +44,7 @@
 #
 CPPFLAGS = -I../../common -I../common
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDFLAGS =
 LDLIBS = -lelf
 
--- old/usr/src/cmd/mdb/tools/setdynflag/Makefile.com	Thu Aug  8 11:11:05 2019
+++ new/usr/src/cmd/mdb/tools/setdynflag/Makefile.com	Thu Aug  8 11:11:05 2019
@@ -43,7 +43,7 @@
 #
 CPPFLAGS = -I../../common
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDFLAGS =
 LDLIBS	= -lelf
 
--- old/usr/src/cmd/mkdir/Makefile	Thu Aug  8 11:11:06 2019
+++ new/usr/src/cmd/mkdir/Makefile	Thu Aug  8 11:11:06 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -lgen
 
--- old/usr/src/cmd/mkmsgs/Makefile	Thu Aug  8 11:11:07 2019
+++ new/usr/src/cmd/mkmsgs/Makefile	Thu Aug  8 11:11:07 2019
@@ -29,7 +29,7 @@
 
 LDLIBS += -lgen
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/mknod/Makefile	Thu Aug  8 11:11:07 2019
+++ new/usr/src/cmd/mknod/Makefile	Thu Aug  8 11:11:07 2019
@@ -29,7 +29,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/mktemp/Makefile	Thu Aug  8 11:11:07 2019
+++ new/usr/src/cmd/mktemp/Makefile	Thu Aug  8 11:11:07 2019
@@ -28,7 +28,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/more/Makefile	Thu Aug  8 11:11:08 2019
+++ new/usr/src/cmd/more/Makefile	Thu Aug  8 11:11:08 2019
@@ -39,7 +39,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 
 # not linted
--- old/usr/src/cmd/msgfmt/Makefile	Thu Aug  8 11:11:08 2019
+++ new/usr/src/cmd/msgfmt/Makefile	Thu Aug  8 11:11:08 2019
@@ -66,7 +66,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 .KEEP_STATE:
--- old/usr/src/cmd/mv/Makefile	Thu Aug  8 11:11:10 2019
+++ new/usr/src/cmd/mv/Makefile	Thu Aug  8 11:11:10 2019
@@ -42,7 +42,7 @@
 CFLAGS	+=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 $(XPG4) := CFLAGS += -DXPG4
 LINTFLAGS += -DXPG4 -u
 XGETFLAGS += -a -x mv.xcl
--- old/usr/src/cmd/ndmpadm/Makefile	Thu Aug  8 11:11:11 2019
+++ new/usr/src/cmd/ndmpadm/Makefile	Thu Aug  8 11:11:12 2019
@@ -46,7 +46,7 @@
 
 LDLIBS += -lndmp
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/ndmpd/Makefile	Thu Aug  8 11:11:14 2019
+++ new/usr/src/cmd/ndmpd/Makefile	Thu Aug  8 11:11:14 2019
@@ -71,7 +71,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 
 LDLIBS   += -lsocket -lnsl -lzfs -lsec -lndmp -lmd5 -lnvpair -lumem -lbsm -lgen -lcmdutils -linetutil
--- old/usr/src/cmd/newform/Makefile	Thu Aug  8 11:11:16 2019
+++ new/usr/src/cmd/newform/Makefile	Thu Aug  8 11:11:17 2019
@@ -27,7 +27,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/newtask/Makefile.com	Thu Aug  8 11:11:19 2019
+++ new/usr/src/cmd/newtask/Makefile.com	Thu Aug  8 11:11:19 2019
@@ -35,7 +35,7 @@
 CFLAGS64 += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CPPFLAGS += -I..
 
--- old/usr/src/cmd/nl/Makefile	Thu Aug  8 11:11:21 2019
+++ new/usr/src/cmd/nl/Makefile	Thu Aug  8 11:11:21 2019
@@ -40,7 +40,7 @@
 
 LDLIBS += -lgen
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/cmd/nlsadmin/Makefile	Thu Aug  8 11:11:24 2019
+++ new/usr/src/cmd/nlsadmin/Makefile	Thu Aug  8 11:11:24 2019
@@ -30,7 +30,7 @@
 FILEMODE= 0755
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/nscd/Makefile	Thu Aug  8 11:11:27 2019
+++ new/usr/src/cmd/nscd/Makefile	Thu Aug  8 11:11:27 2019
@@ -60,7 +60,7 @@
 LINTFLAGS +=	-erroff=E_NAME_DEF_NOT_USED2
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/pack/Makefile	Thu Aug  8 11:11:29 2019
+++ new/usr/src/cmd/pack/Makefile	Thu Aug  8 11:11:29 2019
@@ -29,7 +29,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 XGETFLAGS += -a -x $(PROG).xcl
 CPPFLAGS +=  -D_FILE_OFFSET_BITS=64
 
--- old/usr/src/cmd/passmgmt/Makefile	Thu Aug  8 11:11:31 2019
+++ new/usr/src/cmd/passmgmt/Makefile	Thu Aug  8 11:11:31 2019
@@ -41,7 +41,7 @@
 LDLIBS +=	-lsecdb -lnsl
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/pbind/Makefile.com	Thu Aug  8 11:11:34 2019
+++ new/usr/src/cmd/pbind/Makefile.com	Thu Aug  8 11:11:35 2019
@@ -33,7 +33,7 @@
 
 LDLIBS += -lproc
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/pcitool/Makefile.com	Thu Aug  8 11:11:37 2019
+++ new/usr/src/cmd/pcitool/Makefile.com	Thu Aug  8 11:11:37 2019
@@ -31,7 +31,7 @@
 LDLIBS += -ldevinfo
 
 CFLAGS += -D$(MACH) -I$(UTSBASE)/common
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/cmd/pg/Makefile	Thu Aug  8 11:11:39 2019
+++ new/usr/src/cmd/pg/Makefile	Thu Aug  8 11:11:39 2019
@@ -34,7 +34,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 
 .KEEP_STATE:
--- old/usr/src/cmd/picl/plugins/Makefile.com	Thu Aug  8 11:11:41 2019
+++ new/usr/src/cmd/picl/plugins/Makefile.com	Thu Aug  8 11:11:41 2019
@@ -31,7 +31,7 @@
 CFLAGS		+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-char-subscripts
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/picl/plugins/lib/picld_pluginutil/Makefile.com	Thu Aug  8 11:11:43 2019
+++ new/usr/src/cmd/picl/plugins/lib/picld_pluginutil/Makefile.com	Thu Aug  8 11:11:44 2019
@@ -53,7 +53,7 @@
 
 CPPFLAGS +=	-I.. -I$(SRC)/lib/libpicl -I$(SRC)/lib/libpicltree
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/cmd/plimit/amd64/Makefile	Thu Aug  8 11:11:46 2019
+++ new/usr/src/cmd/plimit/amd64/Makefile	Thu Aug  8 11:11:46 2019
@@ -34,7 +34,7 @@
 include ../../Makefile.cmd.64
 
 CFLAGS64	+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDLIBS	+= -lproc
 
--- old/usr/src/cmd/plimit/i386/Makefile	Thu Aug  8 11:11:47 2019
+++ new/usr/src/cmd/plimit/i386/Makefile	Thu Aug  8 11:11:47 2019
@@ -33,7 +33,7 @@
 include ../../Makefile.cmd
 
 CFLAGS	+= $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS	+= -lproc
 
--- old/usr/src/cmd/plimit/sparcv9/Makefile	Thu Aug  8 11:11:48 2019
+++ new/usr/src/cmd/plimit/sparcv9/Makefile	Thu Aug  8 11:11:48 2019
@@ -35,7 +35,7 @@
 include ../../Makefile.cmd.64
 
 CFLAGS64	+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDLIBS	+= -lproc
 
--- old/usr/src/cmd/pools/Makefile.pools	Thu Aug  8 11:11:51 2019
+++ new/usr/src/cmd/pools/Makefile.pools	Thu Aug  8 11:11:51 2019
@@ -30,7 +30,7 @@
 COMMON_OBJS = utils.o
 COMMON_SRCS = $(COMMON_OBJS:%.o=$(POOLSCOMMONDIR)/%.c)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/powertop/Makefile.com	Thu Aug  8 11:11:53 2019
+++ new/usr/src/cmd/powertop/Makefile.com	Thu Aug  8 11:11:54 2019
@@ -43,7 +43,7 @@
 CFLAGS		+= $(CCVERBOSE)
 CFLAGS64	+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 SMOFF += free
 
--- old/usr/src/cmd/praudit/Makefile	Thu Aug  8 11:11:56 2019
+++ new/usr/src/cmd/praudit/Makefile	Thu Aug  8 11:11:56 2019
@@ -43,7 +43,7 @@
 CPPFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/cmd/prctl/Makefile.com	Thu Aug  8 11:11:58 2019
+++ new/usr/src/cmd/prctl/Makefile.com	Thu Aug  8 11:11:58 2019
@@ -35,7 +35,7 @@
 
 CFLAGS	+= $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/print/bsd-sysv-commands/Makefile	Thu Aug  8 11:11:58 2019
+++ new/usr/src/cmd/print/bsd-sysv-commands/Makefile	Thu Aug  8 11:11:58 2019
@@ -65,7 +65,7 @@
 in.lpd:=	LDLIBS +=	-lnsl -lsocket
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/Makefile	Thu Aug  8 11:11:59 2019
+++ new/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/Makefile	Thu Aug  8 11:11:59 2019
@@ -85,7 +85,7 @@
 CPPFLAGS +=	-I$(JAVA_ROOT)/include -I$(JAVA_ROOT)/include/solaris -I.
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/priocntl/Makefile	Thu Aug  8 11:12:01 2019
+++ new/usr/src/cmd/priocntl/Makefile	Thu Aug  8 11:12:01 2019
@@ -36,7 +36,7 @@
 
 LDLIBS += -lcontract
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CLASSD = $(ROOTLIB)/class
 RTD = $(CLASSD)/RT
--- old/usr/src/cmd/projects/Makefile	Thu Aug  8 11:12:04 2019
+++ new/usr/src/cmd/projects/Makefile	Thu Aug  8 11:12:04 2019
@@ -35,7 +35,7 @@
 .KEEP_STATE:
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 all: $(PROG)
 
--- old/usr/src/cmd/prtconf/Makefile.com	Thu Aug  8 11:12:05 2019
+++ new/usr/src/cmd/prtconf/Makefile.com	Thu Aug  8 11:12:05 2019
@@ -32,7 +32,7 @@
 CFLAGS	+=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS	+= -ldevinfo -lnvpair -lpcidb
 
 FILEMODE= 02555
--- old/usr/src/cmd/prtvtoc/Makefile	Thu Aug  8 11:12:08 2019
+++ new/usr/src/cmd/prtvtoc/Makefile	Thu Aug  8 11:12:08 2019
@@ -32,7 +32,7 @@
 LDLIBS +=	-ladm -lefi
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/psrset/Makefile.com	Thu Aug  8 11:12:10 2019
+++ new/usr/src/cmd/psrset/Makefile.com	Thu Aug  8 11:12:10 2019
@@ -33,7 +33,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lproc
 
 .KEEP_STATE:
--- old/usr/src/cmd/ptools/Makefile.bld	Thu Aug  8 11:12:11 2019
+++ new/usr/src/cmd/ptools/Makefile.bld	Thu Aug  8 11:12:11 2019
@@ -62,12 +62,12 @@
 CERRWARN_pmadvise += -_smatch=off
 
 CERRWARN_ppriv	+= -_gcc=-Wno-parentheses
-CERRWARN_ppriv	+= -_gcc=-Wno-uninitialized
+CERRWARN_ppriv	+= $(CNOWARN_UNINIT)
 
 CERRWARN_ptree	+= -_gcc=-Wno-parentheses
 CERRWARN_ptree	+= -_smatch=off
 
-CERRWARN_pstack	+= -_gcc=-Wno-uninitialized
+CERRWARN_pstack	+= $(CNOWARN_UNINIT)
 CERRWARN_pstack	+= -_gcc=-Wno-clobbered
 
 CERRWARN_pargs	+= -_gcc=-Wno-clobbered
--- old/usr/src/cmd/raidctl/Makefile	Thu Aug  8 11:12:12 2019
+++ new/usr/src/cmd/raidctl/Makefile	Thu Aug  8 11:12:13 2019
@@ -30,7 +30,7 @@
 
 LDLIBS   += -lraidcfg
 CFLAGS	 += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/ramdiskadm/Makefile	Thu Aug  8 11:12:13 2019
+++ new/usr/src/cmd/ramdiskadm/Makefile	Thu Aug  8 11:12:13 2019
@@ -32,7 +32,7 @@
 include ../Makefile.cmd
 
 LDLIBS	+= -ldevinfo
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/rcap/Makefile.com	Thu Aug  8 11:12:14 2019
+++ new/usr/src/cmd/rcap/Makefile.com	Thu Aug  8 11:12:14 2019
@@ -33,7 +33,7 @@
 LDFLAGS +=	$(MAPFILE.NGB:%=-M%)
 
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 SMOFF += strcpy_overflow
--- old/usr/src/cmd/rcm_daemon/Makefile.com	Thu Aug  8 11:12:15 2019
+++ new/usr/src/cmd/rcm_daemon/Makefile.com	Thu Aug  8 11:12:15 2019
@@ -122,7 +122,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/rctladm/Makefile	Thu Aug  8 11:12:18 2019
+++ new/usr/src/cmd/rctladm/Makefile	Thu Aug  8 11:12:19 2019
@@ -35,7 +35,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 POFILE = rctladm_msg.po
 XGETFLAGS = -a
 FILEMODE = 0555
--- old/usr/src/cmd/refer/Makefile	Thu Aug  8 11:12:20 2019
+++ new/usr/src/cmd/refer/Makefile	Thu Aug  8 11:12:20 2019
@@ -49,7 +49,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/rmdir/Makefile	Thu Aug  8 11:12:20 2019
+++ new/usr/src/cmd/rmdir/Makefile	Thu Aug  8 11:12:20 2019
@@ -30,7 +30,7 @@
 
 LDLIBS += -lgen
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 XGETFLAGS += -a -x rmdir.xcl
 
--- old/usr/src/cmd/rmformat/Makefile	Thu Aug  8 11:12:21 2019
+++ new/usr/src/cmd/rmformat/Makefile	Thu Aug  8 11:12:21 2019
@@ -35,7 +35,7 @@
 
 LDLIBS +=	-lsmedia -lvolmgt -ladm -lefi
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/rmmount/Makefile	Thu Aug  8 11:12:21 2019
+++ new/usr/src/cmd/rmmount/Makefile	Thu Aug  8 11:12:22 2019
@@ -46,7 +46,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/rmvolmgr/Makefile	Thu Aug  8 11:12:22 2019
+++ new/usr/src/cmd/rmvolmgr/Makefile	Thu Aug  8 11:12:22 2019
@@ -44,7 +44,7 @@
 CSTD =	$(CSTD_GNU99)
 
 CERRWARN += 	-_gcc=-Wno-switch
-CERRWARN += 	-_gcc=-Wno-uninitialized
+CERRWARN += 	$(CNOWARN_UNINIT)
 CERRWARN += 	-_gcc=-Wno-unused-variable
 CERRWARN += 	-_gcc=-Wno-parentheses
 CERRWARN += 	-_gcc=-Wno-unused-function
--- old/usr/src/cmd/rpcinfo/Makefile	Thu Aug  8 11:12:23 2019
+++ new/usr/src/cmd/rpcinfo/Makefile	Thu Aug  8 11:12:23 2019
@@ -31,7 +31,7 @@
 
 CPPFLAGS= -DPORTMAP $(CPPFLAGS.master)
 LDLIBS += -lnsl
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/sa/Makefile	Thu Aug  8 11:12:24 2019
+++ new/usr/src/cmd/sa/Makefile	Thu Aug  8 11:12:24 2019
@@ -33,7 +33,7 @@
 ROOTMANIFESTDIR = $(ROOTSVCSYSTEM)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/cmd/sendmail/Makefile.cmd	Thu Aug  8 11:12:25 2019
+++ new/usr/src/cmd/sendmail/Makefile.cmd	Thu Aug  8 11:12:25 2019
@@ -30,7 +30,7 @@
 		-D_FILE_OFFSET_BITS=64
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-empty-body
 CERRWARN +=	-_gcc=-Wno-unused-variable
--- old/usr/src/cmd/setfacl/Makefile	Thu Aug  8 11:12:26 2019
+++ new/usr/src/cmd/setfacl/Makefile	Thu Aug  8 11:12:26 2019
@@ -30,7 +30,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sf880drd/Makefile	Thu Aug  8 11:12:27 2019
+++ new/usr/src/cmd/sf880drd/Makefile	Thu Aug  8 11:12:27 2019
@@ -42,7 +42,7 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 PSMPROG = $(USR_PSM_LIB_DIR)/$(PROG)
 
--- old/usr/src/cmd/sgs/ar/Makefile.com	Thu Aug  8 11:12:29 2019
+++ new/usr/src/cmd/sgs/ar/Makefile.com	Thu Aug  8 11:12:30 2019
@@ -43,7 +43,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/cmd/sgs/dump/Makefile.com	Thu Aug  8 11:12:32 2019
+++ new/usr/src/cmd/sgs/dump/Makefile.com	Thu Aug  8 11:12:32 2019
@@ -44,7 +44,7 @@
 LLDFLAGS64 =	'$(LDPASS)-R$$ORIGIN/../../../lib/$(MACH64)'
 LDFLAGS +=	$(LLDFLAGS)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += indenting
 
--- old/usr/src/cmd/sgs/elfdump/Makefile.com	Thu Aug  8 11:12:35 2019
+++ new/usr/src/cmd/sgs/elfdump/Makefile.com	Thu Aug  8 11:12:36 2019
@@ -57,7 +57,7 @@
 LDLIBS +=	$(ELFLIBDIR) -lelf $(LDDBGLIBDIR) $(LDDBG_LIB) \
 		    $(CONVLIBDIR) $(CONV_LIB)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sgs/elfedit/Makefile.com	Thu Aug  8 11:12:38 2019
+++ new/usr/src/cmd/sgs/elfedit/Makefile.com	Thu Aug  8 11:12:38 2019
@@ -53,7 +53,7 @@
 		    $(CONVLIBDIR) $(CONV_LIB) -ltecla
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
--- old/usr/src/cmd/sgs/elfedit/modules/Makefile.com	Thu Aug  8 11:12:39 2019
+++ new/usr/src/cmd/sgs/elfedit/modules/Makefile.com	Thu Aug  8 11:12:39 2019
@@ -99,7 +99,7 @@
 DYNFLAGS +=	$(VERSREF)
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS =	$(ELFEDITLIBS:%.so=%_msg.h)
 BLTDATA =	$(ELFEDITLIBS:%.so=%_msg.c)
--- old/usr/src/cmd/sgs/elfwrap/Makefile.com	Thu Aug  8 11:12:40 2019
+++ new/usr/src/cmd/sgs/elfwrap/Makefile.com	Thu Aug  8 11:12:40 2019
@@ -56,7 +56,7 @@
 LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(LLDFLAGS)
 LDLIBS +=	$(ELFLIBDIR) -lelf $(CONVLIBDIR) $(CONV_LIB)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
--- old/usr/src/cmd/sgs/error/i386/Makefile	Thu Aug  8 11:12:40 2019
+++ new/usr/src/cmd/sgs/error/i386/Makefile	Thu Aug  8 11:12:40 2019
@@ -43,7 +43,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 SMOFF += no_if_block,indenting
--- old/usr/src/cmd/sgs/error/sparc/Makefile	Thu Aug  8 11:12:41 2019
+++ new/usr/src/cmd/sgs/error/sparc/Makefile	Thu Aug  8 11:12:42 2019
@@ -40,7 +40,7 @@
 DEFLIST=	-DELF
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master)
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CSTD=	$(CSTD_GNU99)
 
--- old/usr/src/cmd/sgs/gprof/Makefile.com	Thu Aug  8 11:12:42 2019
+++ new/usr/src/cmd/sgs/gprof/Makefile.com	Thu Aug  8 11:12:43 2019
@@ -44,7 +44,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sgs/lex/Makefile.com	Thu Aug  8 11:12:44 2019
+++ new/usr/src/cmd/sgs/lex/Makefile.com	Thu Aug  8 11:12:44 2019
@@ -49,7 +49,7 @@
 CSTD=	$(CSTD_GNU99)
 
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # Override default source file derivation rule (in Makefile.lib)
--- old/usr/src/cmd/sgs/libelf/Makefile.com	Thu Aug  8 11:12:47 2019
+++ new/usr/src/cmd/sgs/libelf/Makefile.com	Thu Aug  8 11:12:47 2019
@@ -68,7 +68,7 @@
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += indenting
 
--- old/usr/src/cmd/sgs/libld/Makefile.com	Thu Aug  8 11:12:48 2019
+++ new/usr/src/cmd/sgs/libld/Makefile.com	Thu Aug  8 11:12:48 2019
@@ -88,7 +88,7 @@
 
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-type-limits
--- old/usr/src/cmd/sgs/liblddbg/Makefile.com	Thu Aug  8 11:12:50 2019
+++ new/usr/src/cmd/sgs/liblddbg/Makefile.com	Thu Aug  8 11:12:50 2019
@@ -58,7 +58,7 @@
 SRCDIR =	../common
 
 CERRWARN +=	-_gcc=-Wno-unused-value
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc
--- old/usr/src/cmd/sgs/librtld/Makefile.com	Thu Aug  8 11:12:52 2019
+++ new/usr/src/cmd/sgs/librtld/Makefile.com	Thu Aug  8 11:12:53 2019
@@ -50,7 +50,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
--- old/usr/src/cmd/sgs/librtld_db/Makefile.com	Thu Aug  8 11:12:55 2019
+++ new/usr/src/cmd/sgs/librtld_db/Makefile.com	Thu Aug  8 11:12:55 2019
@@ -40,7 +40,7 @@
 DYNFLAGS +=	$(VERSREF)
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
--- old/usr/src/cmd/sgs/m4/i386/Makefile	Thu Aug  8 11:12:57 2019
+++ new/usr/src/cmd/sgs/m4/i386/Makefile	Thu Aug  8 11:12:57 2019
@@ -56,7 +56,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CLEANFILES +=	$(BLTSRCS)
 
--- old/usr/src/cmd/sgs/m4/sparc/Makefile	Thu Aug  8 11:12:58 2019
+++ new/usr/src/cmd/sgs/m4/sparc/Makefile	Thu Aug  8 11:12:58 2019
@@ -54,7 +54,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CSTD=	$(CSTD_GNU99)
 
 CLEANFILES +=	$(BLTSRCS)
--- old/usr/src/cmd/sgs/mcs/Makefile.com	Thu Aug  8 11:12:59 2019
+++ new/usr/src/cmd/sgs/mcs/Makefile.com	Thu Aug  8 11:12:59 2019
@@ -48,7 +48,7 @@
 LDFLAGS +=	$(VERSREF) $(LLDFLAGS)
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SRCS =		$(COMOBJS:%.o=../common/%.c) \
 		$(TOOLSOBJS:%.o=$(SGSTOOLS)/common/%.c)
--- old/usr/src/cmd/sgs/prof/Makefile.com	Thu Aug  8 11:13:00 2019
+++ new/usr/src/cmd/sgs/prof/Makefile.com	Thu Aug  8 11:13:00 2019
@@ -43,7 +43,7 @@
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master) -I$(ELFCAP)
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/sgs/rtld/Makefile.com	Thu Aug  8 11:13:00 2019
+++ new/usr/src/cmd/sgs/rtld/Makefile.com	Thu Aug  8 11:13:00 2019
@@ -87,7 +87,7 @@
 LDLIB =		-L ../../libld/$(MACH)
 RTLDLIB =	-L ../../librtld/$(MACH)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
 
--- old/usr/src/cmd/sgs/rtld/mdbmod/Makefile.com	Thu Aug  8 11:13:01 2019
+++ new/usr/src/cmd/sgs/rtld/mdbmod/Makefile.com	Thu Aug  8 11:13:01 2019
@@ -48,7 +48,7 @@
 SGSMSGALL=	../common/rtld.msg
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 MSGSRCS=	$(COMOBJS:%.o=../common/%.c) $(BLTDATA)
 
--- old/usr/src/cmd/sgs/yacc/Makefile.com	Thu Aug  8 11:13:02 2019
+++ new/usr/src/cmd/sgs/yacc/Makefile.com	Thu Aug  8 11:13:02 2019
@@ -67,7 +67,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/smbsrv/smbadm/Makefile	Thu Aug  8 11:13:03 2019
+++ new/usr/src/cmd/smbsrv/smbadm/Makefile	Thu Aug  8 11:13:03 2019
@@ -37,7 +37,7 @@
 
 .KEEP_STATE:
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += free
 
--- old/usr/src/cmd/smserverd/Makefile	Thu Aug  8 11:13:04 2019
+++ new/usr/src/cmd/smserverd/Makefile	Thu Aug  8 11:13:04 2019
@@ -46,7 +46,7 @@
 
 CPPFLAGS += -D_REENTRANT
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/cmd/sort/Makefile.com	Thu Aug  8 11:13:05 2019
+++ new/usr/src/cmd/sort/Makefile.com	Thu Aug  8 11:13:05 2019
@@ -86,7 +86,7 @@
 LINTFLAGS +=	-U_FILE_OFFSET_BITS
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/stat/iostat/Makefile	Thu Aug  8 11:13:05 2019
+++ new/usr/src/cmd/stat/iostat/Makefile	Thu Aug  8 11:13:05 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -lkstat -ldevinfo -lavl
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 FILEMODE= 0555
--- old/usr/src/cmd/stat/kstat/Makefile	Thu Aug  8 11:13:06 2019
+++ new/usr/src/cmd/stat/kstat/Makefile	Thu Aug  8 11:13:06 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -lavl -lcmdutils -ldevinfo -lgen -lkstat
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/stat/mpstat/Makefile	Thu Aug  8 11:13:07 2019
+++ new/usr/src/cmd/stat/mpstat/Makefile	Thu Aug  8 11:13:07 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -ldevinfo -lkstat -lavl
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 FILEMODE= 0555
--- old/usr/src/cmd/stat/vmstat/Makefile	Thu Aug  8 11:13:08 2019
+++ new/usr/src/cmd/stat/vmstat/Makefile	Thu Aug  8 11:13:08 2019
@@ -34,7 +34,7 @@
 LDLIBS += -ldevinfo -lkstat -lavl
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 SMOFF += signed
--- old/usr/src/cmd/stmsboot/Makefile	Thu Aug  8 11:13:09 2019
+++ new/usr/src/cmd/stmsboot/Makefile	Thu Aug  8 11:13:09 2019
@@ -40,7 +40,7 @@
 
 ROOTMANIFESTDIR = $(ROOTSVCSYSTEMDEVICE)
 LDLIBS += -ldevinfo -ldevid -lnvpair -lumem
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/streams/strcmd/Makefile	Thu Aug  8 11:13:10 2019
+++ new/usr/src/cmd/streams/strcmd/Makefile	Thu Aug  8 11:13:10 2019
@@ -26,7 +26,7 @@
 
 include ../../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/strings/Makefile.com	Thu Aug  8 11:13:10 2019
+++ new/usr/src/cmd/strings/Makefile.com	Thu Aug  8 11:13:10 2019
@@ -33,7 +33,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/sunpc/other/Makefile	Thu Aug  8 11:13:11 2019
+++ new/usr/src/cmd/sunpc/other/Makefile	Thu Aug  8 11:13:11 2019
@@ -30,7 +30,7 @@
 include ../../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/cmd/svc/configd/Makefile	Thu Aug  8 11:13:12 2019
+++ new/usr/src/cmd/svc/configd/Makefile	Thu Aug  8 11:13:12 2019
@@ -59,7 +59,7 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 MYLDLIBS = -lumem -luutil
 LDLIBS	+= -lsecdb -lbsm $(MYLDLIBS)
 LINTFLAGS += -errtags -erroff=E_BAD_FORMAT_ARG_TYPE2 -erroff=E_NAME_DEF_NOT_USED2
--- old/usr/src/cmd/svc/lsvcrun/Makefile	Thu Aug  8 11:13:13 2019
+++ new/usr/src/cmd/svc/lsvcrun/Makefile	Thu Aug  8 11:13:13 2019
@@ -35,7 +35,7 @@
 
 LDLIBS +=	-lcontract -lscf -luutil
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 lint := LINTFLAGS = -ux
 
--- old/usr/src/cmd/svc/mfstscan/Makefile	Thu Aug  8 11:13:14 2019
+++ new/usr/src/cmd/svc/mfstscan/Makefile	Thu Aug  8 11:13:14 2019
@@ -44,7 +44,7 @@
 LDLIBS +=	-lscf -luutil -lmd5
 CLOBBERFILES += $(POFILES)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 lint := LINTFLAGS = -ux -erroff=E_GLOBAL_COULD_BE_STATIC2
--- old/usr/src/cmd/svc/startd/Makefile	Thu Aug  8 11:13:16 2019
+++ new/usr/src/cmd/svc/startd/Makefile	Thu Aug  8 11:13:17 2019
@@ -71,7 +71,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # these look like real bugs here, but ...
 SMOFF += impossible_mask,signed_integer_overflow_check
--- old/usr/src/cmd/svc/svcadm/Makefile	Thu Aug  8 11:13:20 2019
+++ new/usr/src/cmd/svc/svcadm/Makefile	Thu Aug  8 11:13:20 2019
@@ -34,7 +34,7 @@
 LDLIBS +=	-lscf -luutil -lcontract
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 lint := LINTFLAGS = -ux
 
--- old/usr/src/cmd/svc/svccfg/Makefile	Thu Aug  8 11:13:22 2019
+++ new/usr/src/cmd/svc/svccfg/Makefile	Thu Aug  8 11:13:22 2019
@@ -77,7 +77,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/svc/svcprop/Makefile	Thu Aug  8 11:13:22 2019
+++ new/usr/src/cmd/svc/svcprop/Makefile	Thu Aug  8 11:13:22 2019
@@ -35,7 +35,7 @@
 
 lint := LINTFLAGS = -ux
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/svc/svcs/Makefile	Thu Aug  8 11:13:23 2019
+++ new/usr/src/cmd/svc/svcs/Makefile	Thu Aug  8 11:13:23 2019
@@ -39,7 +39,7 @@
 
 lint := LINTFLAGS = -mux
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 .KEEP_STATE:
--- old/usr/src/cmd/svr4pkg/Makefile.svr4pkg	Thu Aug  8 11:13:23 2019
+++ new/usr/src/cmd/svr4pkg/Makefile.svr4pkg	Thu Aug  8 11:13:23 2019
@@ -36,7 +36,7 @@
 
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # multiple issues in this old code
--- old/usr/src/cmd/svr4pkg/libinst/Makefile	Thu Aug  8 11:13:24 2019
+++ new/usr/src/cmd/svr4pkg/libinst/Makefile	Thu Aug  8 11:13:24 2019
@@ -65,7 +65,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/cmd/swap/Makefile.com	Thu Aug  8 11:13:25 2019
+++ new/usr/src/cmd/swap/Makefile.com	Thu Aug  8 11:13:25 2019
@@ -33,7 +33,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 CFLAGS64 +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/syseventadm/Makefile	Thu Aug  8 11:13:25 2019
+++ new/usr/src/cmd/syseventadm/Makefile	Thu Aug  8 11:13:25 2019
@@ -32,7 +32,7 @@
 include ../Makefile.cmd
 
 FILEMODE= 0555
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 POFILES = $(SRCS:.c=.po)
 
--- old/usr/src/cmd/syseventd/daemons/syseventd/Makefile	Thu Aug  8 11:13:26 2019
+++ new/usr/src/cmd/syseventd/daemons/syseventd/Makefile	Thu Aug  8 11:13:26 2019
@@ -29,7 +29,7 @@
 
 include ../Makefile.com
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/syseventd/modules/sysevent_conf_mod/Makefile	Thu Aug  8 11:13:27 2019
+++ new/usr/src/cmd/syseventd/modules/sysevent_conf_mod/Makefile	Thu Aug  8 11:13:27 2019
@@ -30,7 +30,7 @@
 LDLIBS +=	-lnvpair
 CPPFLAGS +=	-I ../../daemons/syseventconfd
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/syseventd/modules/zfs_mod/Makefile	Thu Aug  8 11:13:27 2019
+++ new/usr/src/cmd/syseventd/modules/zfs_mod/Makefile	Thu Aug  8 11:13:27 2019
@@ -29,7 +29,7 @@
 CPPFLAGS += -I../../../../lib/libc/inc
 LDLIBS += -lzfs -ldevid -lcmdutils -lnvpair
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/syslogd/Makefile.com	Thu Aug  8 11:13:28 2019
+++ new/usr/src/cmd/syslogd/Makefile.com	Thu Aug  8 11:13:29 2019
@@ -35,7 +35,7 @@
 include ../../Makefile.cmd
 
 $(PROG) lint 	:= LDLIBS += -lscf -lnsl
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tar/Makefile	Thu Aug  8 11:13:29 2019
+++ new/usr/src/cmd/tar/Makefile	Thu Aug  8 11:13:29 2019
@@ -38,7 +38,7 @@
 LDLIBS += -lsec -lcmdutils -lnvpair -ltsol
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tbl/Makefile	Thu Aug  8 11:13:29 2019
+++ new/usr/src/cmd/tbl/Makefile	Thu Aug  8 11:13:29 2019
@@ -39,7 +39,7 @@
 
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
 # not linted
--- old/usr/src/cmd/tcopy/Makefile	Thu Aug  8 11:13:30 2019
+++ new/usr/src/cmd/tcopy/Makefile	Thu Aug  8 11:13:30 2019
@@ -30,7 +30,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-extra
 
 # not linted
--- old/usr/src/cmd/tcpd/Makefile	Thu Aug  8 11:13:30 2019
+++ new/usr/src/cmd/tcpd/Makefile	Thu Aug  8 11:13:30 2019
@@ -25,7 +25,7 @@
 CERRWARN +=	-erroff=E_IMPLICIT_DECL_FUNC_RETURN_INT
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-return-type
 CERRWARN +=	-_gcc=-Wno-clobbered
--- old/usr/src/cmd/th_tools/Makefile	Thu Aug  8 11:13:31 2019
+++ new/usr/src/cmd/th_tools/Makefile	Thu Aug  8 11:13:31 2019
@@ -33,7 +33,7 @@
 CSTD= $(CSTD_GNU99)
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SRCS = $(PROG:%=%.c)
 OBJECTS = $(SRCS:%.c=%.o)
--- old/usr/src/cmd/tic/Makefile.common	Thu Aug  8 11:13:32 2019
+++ new/usr/src/cmd/tic/Makefile.common	Thu Aug  8 11:13:32 2019
@@ -45,7 +45,7 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tip/Makefile	Thu Aug  8 11:13:33 2019
+++ new/usr/src/cmd/tip/Makefile	Thu Aug  8 11:13:33 2019
@@ -62,7 +62,7 @@
 CPPFLAGS +=	-DDEFBR=300 -DDEFFS=BUFSIZ -DACULOG -DUSG
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CONFIG=	-DV831 -DVENTEL -DV3451 -DDF02 -DDF03 -DBIZ1031 -DBIZ1022 -DHAYES
 ACULIB=	aculib/aculib.a
 LDLIBS=	$(ACULIB) $(LDLIBS.cmd)
--- old/usr/src/cmd/tnf/prex/Makefile.com	Thu Aug  8 11:13:34 2019
+++ new/usr/src/cmd/tnf/prex/Makefile.com	Thu Aug  8 11:13:34 2019
@@ -67,7 +67,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tnf/tnfxtract/Makefile.com	Thu Aug  8 11:13:34 2019
+++ new/usr/src/cmd/tnf/tnfxtract/Makefile.com	Thu Aug  8 11:13:34 2019
@@ -37,7 +37,7 @@
 
 LFLAGS=		-v
 LDLIBS +=	-lkvm
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/troff/troff.d/Makefile	Thu Aug  8 11:13:34 2019
+++ new/usr/src/cmd/troff/troff.d/Makefile	Thu Aug  8 11:13:35 2019
@@ -48,7 +48,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-extra
 
 # "parse error: parsing (i (9223372034707292160-96) >= 65)"
--- old/usr/src/cmd/truss/Makefile.com	Thu Aug  8 11:13:36 2019
+++ new/usr/src/cmd/truss/Makefile.com	Thu Aug  8 11:13:36 2019
@@ -38,7 +38,7 @@
 CFLAGS		+= $(CCVERBOSE)
 CFLAGS64	+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/cmd/ttymon/Makefile	Thu Aug  8 11:13:39 2019
+++ new/usr/src/cmd/ttymon/Makefile	Thu Aug  8 11:13:39 2019
@@ -76,7 +76,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-extra
 
 # not linted
--- old/usr/src/cmd/ucodeadm/Makefile	Thu Aug  8 11:13:41 2019
+++ new/usr/src/cmd/ucodeadm/Makefile	Thu Aug  8 11:13:42 2019
@@ -48,7 +48,7 @@
 
 CPPFLAGS = -I../../common -I../../uts/common
 CFLAGS	+= $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 LINTFLAGS += -errtags -erroff=E_NAME_DEF_NOT_USED2
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2,E_INCONS_VAL_TYPE_DECL2
--- old/usr/src/cmd/uname/Makefile	Thu Aug  8 11:13:44 2019
+++ new/usr/src/cmd/uname/Makefile	Thu Aug  8 11:13:45 2019
@@ -28,7 +28,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/unpack/Makefile	Thu Aug  8 11:13:47 2019
+++ new/usr/src/cmd/unpack/Makefile	Thu Aug  8 11:13:47 2019
@@ -28,7 +28,7 @@
 include ../Makefile.cmd
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 
 
 LDLIBS += -lcmdutils -lsec
--- old/usr/src/cmd/users/Makefile	Thu Aug  8 11:13:50 2019
+++ new/usr/src/cmd/users/Makefile	Thu Aug  8 11:13:50 2019
@@ -30,7 +30,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/vi/misc/Makefile	Thu Aug  8 11:13:51 2019
+++ new/usr/src/cmd/vi/misc/Makefile	Thu Aug  8 11:13:51 2019
@@ -41,7 +41,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/cmd/vi/port/Makefile	Thu Aug  8 11:13:52 2019
+++ new/usr/src/cmd/vi/port/Makefile	Thu Aug  8 11:13:52 2019
@@ -59,7 +59,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-value
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 
 # way too old
--- old/usr/src/cmd/volcheck/Makefile	Thu Aug  8 11:13:53 2019
+++ new/usr/src/cmd/volcheck/Makefile	Thu Aug  8 11:13:53 2019
@@ -45,7 +45,7 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/volrmmount/Makefile	Thu Aug  8 11:13:54 2019
+++ new/usr/src/cmd/volrmmount/Makefile	Thu Aug  8 11:13:54 2019
@@ -45,7 +45,7 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/vt/Makefile	Thu Aug  8 11:13:54 2019
+++ new/usr/src/cmd/vt/Makefile	Thu Aug  8 11:13:54 2019
@@ -33,7 +33,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 vtdaemon := LDLIBS += -lpam -lbsm
 lint_vtdaemon := LDLIBS += -lpam -lbsm
--- old/usr/src/cmd/wall/Makefile	Thu Aug  8 11:13:55 2019
+++ new/usr/src/cmd/wall/Makefile	Thu Aug  8 11:13:55 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -lzonecfg -lcontract
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += leaks
 
--- old/usr/src/cmd/ypcmd/Makefile	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/ypcmd/Makefile	Thu Aug  8 11:13:56 2019
@@ -147,7 +147,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-extra
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/cmd/ypcmd/revnetgroup/Makefile	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/ypcmd/revnetgroup/Makefile	Thu Aug  8 11:13:56 2019
@@ -35,7 +35,7 @@
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/ypcmd/yppasswd/Makefile	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/ypcmd/yppasswd/Makefile	Thu Aug  8 11:13:56 2019
@@ -59,7 +59,7 @@
 
 CERRWARN +=		-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=		-_gcc=-Wno-parentheses
-CERRWARN +=		-_gcc=-Wno-uninitialized
+CERRWARN +=		$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/zic/Makefile.common	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/zic/Makefile.common	Thu Aug  8 11:13:56 2019
@@ -12,6 +12,6 @@
 SRCS=		$(OBJS:%.o=%.c)
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF +=	signed
--- old/usr/src/cmd/zinject/Makefile.com	Thu Aug  8 11:13:57 2019
+++ new/usr/src/cmd/zinject/Makefile.com	Thu Aug  8 11:13:57 2019
@@ -44,7 +44,7 @@
 CPPFLAGS.first = -I$(SRC)/lib/libfakekernel/common -D_FAKE_KERNEL
 CPPFLAGS += -D_LARGEFILE64_SOURCE=1 -D_REENTRANT $(INCS)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 
 LINTFLAGS += -erroff=E_STATIC_UNUSED
--- old/usr/src/cmd/zlogin/Makefile	Thu Aug  8 11:13:57 2019
+++ new/usr/src/cmd/zlogin/Makefile	Thu Aug  8 11:13:57 2019
@@ -21,22 +21,24 @@
 #
 # Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
+#
 
 PROG = zlogin
 
 include ../Makefile.cmd
 
-LINTFLAGS += -u
 LDLIBS += -lsocket -lzonecfg -lcontract -lbrand -lsecdb
 CFLAGS += $(CCVERBOSE)
 FILEMODE = 0555
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
 
+CSTD = $(CSTD_GNU99)
+
 .KEEP_STATE:
 
 all: $(PROG)
@@ -46,6 +48,4 @@
 clean:
 	$(RM) $(OBJS)
 
-lint:	lint_PROG
-
 include ../Makefile.targ
--- old/usr/src/cmd/zlogin/zlogin.c	Thu Aug  8 11:13:57 2019
+++ new/usr/src/cmd/zlogin/zlogin.c	Thu Aug  8 11:13:57 2019
@@ -23,6 +23,7 @@
  * Copyright 2013 DEY Storage Systems, Inc.
  * Copyright (c) 2014 Gary Mills
  * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -612,7 +613,6 @@
 	char ibuf[ZLOGIN_BUFSIZ];
 	int nbytes;
 	char *buf = ibuf;
-	char c = *buf;
 
 	nbytes = read(STDIN_FILENO, ibuf, ZLOGIN_RDBUFSIZ);
 	if (nbytes == -1 && (errno != EINTR || dead))
@@ -625,7 +625,7 @@
 	if (nbytes == 0)
 		return (1);
 
-	for (c = *buf; nbytes > 0; c = *buf, --nbytes) {
+	for (char c = *buf; nbytes > 0; c = *buf, --nbytes) {
 		buf++;
 		if (beginning_of_line && !nocmdchar) {
 			beginning_of_line = B_FALSE;
--- old/usr/src/cmd/zlook/Makefile.com	Thu Aug  8 11:13:58 2019
+++ new/usr/src/cmd/zlook/Makefile.com	Thu Aug  8 11:13:58 2019
@@ -34,7 +34,7 @@
 CFLAGS64 += $(CCGDEBUG) $(CCVERBOSE)
 CPPFLAGS += -D_LARGEFILE64_SOURCE=1 -D_REENTRANT $(INCS)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/zoneadm/Makefile	Thu Aug  8 11:13:59 2019
+++ new/usr/src/cmd/zoneadm/Makefile	Thu Aug  8 11:13:59 2019
@@ -40,7 +40,7 @@
 
 INCS += -I../../common/zfs
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/zoneadmd/Makefile	Thu Aug  8 11:13:59 2019
+++ new/usr/src/cmd/zoneadmd/Makefile	Thu Aug  8 11:13:59 2019
@@ -40,7 +40,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lsocket -lzonecfg -lnsl -ldevinfo -ldevice -lnvpair \
 	-lgen -lbsm -lcontract -lzfs -luuid -lbrand -ldladm -ltsnet -ltsol \
--- old/usr/src/cmd/zonecfg/Makefile	Thu Aug  8 11:13:59 2019
+++ new/usr/src/cmd/zonecfg/Makefile	Thu Aug  8 11:13:59 2019
@@ -42,7 +42,7 @@
 LDFLAGS +=	$(MAPOPTS)
 CLEANFILES +=	zonecfg_lex.c zonecfg_grammar.tab.c zonecfg_grammar.tab.h
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/zonestat/zonestat/Makefile	Thu Aug  8 11:14:00 2019
+++ new/usr/src/cmd/zonestat/zonestat/Makefile	Thu Aug  8 11:14:00 2019
@@ -32,7 +32,7 @@
 LDLIBS 		+= -lscf -lzonestat -lumem
 LINTFLAGS	+= -u
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/zonestat/zonestatd/Makefile	Thu Aug  8 11:14:00 2019
+++ new/usr/src/cmd/zonestat/zonestatd/Makefile	Thu Aug  8 11:14:00 2019
@@ -41,7 +41,7 @@
 LINTFLAGS	+= -u
 CERRWARN 	+= -_gcc=-Wno-parentheses
 CERRWARN 	+= -_gcc=-Wno-unused-label
-CERRWARN 	+= -_gcc=-Wno-uninitialized
+CERRWARN 	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/abi/apptrace/Makefile.com	Thu Aug  8 11:14:00 2019
+++ new/usr/src/lib/abi/apptrace/Makefile.com	Thu Aug  8 11:14:00 2019
@@ -32,7 +32,7 @@
 LIBS =		$(DYNLIB)
 CPPFLAGS =      -I. $(CPPFLAGS.master)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # No mapfile here
 MAPFILES =
--- old/usr/src/lib/auditd_plugins/syslog/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/auditd_plugins/syslog/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -49,7 +49,7 @@
 CPPFLAGS	+= -I$(LIBBSM)
 
 CERRWARN	+= -_gcc=-Wno-char-subscripts
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/brand/solaris10/s10_brand/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/brand/solaris10/s10_brand/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -86,7 +86,7 @@
 LINTFLAGS +=	-erroff=E_STATIC_UNUSED
 LINTFLAGS64 +=	-erroff=E_STATIC_UNUSED
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 $(LIBS):= PICS += $(SHAREDOBJS)
 
--- old/usr/src/lib/cfgadm_plugins/fp/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/cfgadm_plugins/fp/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -47,7 +47,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-address
 
--- old/usr/src/lib/cfgadm_plugins/ib/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/cfgadm_plugins/ib/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 
 # not linted
--- old/usr/src/lib/cfgadm_plugins/pci/Makefile.com	Thu Aug  8 11:14:02 2019
+++ new/usr/src/lib/cfgadm_plugins/pci/Makefile.com	Thu Aug  8 11:14:02 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/cfgadm_plugins/sata/Makefile.com	Thu Aug  8 11:14:02 2019
+++ new/usr/src/lib/cfgadm_plugins/sata/Makefile.com	Thu Aug  8 11:14:02 2019
@@ -45,7 +45,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 LDLIBS +=	-lc -ldevice -ldevinfo -lrcm -lnvpair
 
--- old/usr/src/lib/cfgadm_plugins/sbd/Makefile.com	Thu Aug  8 11:14:03 2019
+++ new/usr/src/lib/cfgadm_plugins/sbd/Makefile.com	Thu Aug  8 11:14:03 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/cfgadm_plugins/scsi/Makefile.com	Thu Aug  8 11:14:03 2019
+++ new/usr/src/lib/cfgadm_plugins/scsi/Makefile.com	Thu Aug  8 11:14:03 2019
@@ -41,7 +41,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/lib/cfgadm_plugins/scsi/SUNW,SPARC-Enterprise/Makefile.com	Thu Aug  8 11:14:03 2019
+++ new/usr/src/lib/cfgadm_plugins/scsi/SUNW,SPARC-Enterprise/Makefile.com	Thu Aug  8 11:14:03 2019
@@ -50,7 +50,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
--- old/usr/src/lib/cfgadm_plugins/shp/Makefile.com	Thu Aug  8 11:14:04 2019
+++ new/usr/src/lib/cfgadm_plugins/shp/Makefile.com	Thu Aug  8 11:14:04 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/lib/cfgadm_plugins/sysctrl/Makefile.com	Thu Aug  8 11:14:04 2019
+++ new/usr/src/lib/cfgadm_plugins/sysctrl/Makefile.com	Thu Aug  8 11:14:04 2019
@@ -55,7 +55,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/cfgadm_plugins/usb/Makefile.com	Thu Aug  8 11:14:04 2019
+++ new/usr/src/lib/cfgadm_plugins/usb/Makefile.com	Thu Aug  8 11:14:04 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 
 # not linted
--- old/usr/src/lib/efcode/Makefile.efcode	Thu Aug  8 11:14:05 2019
+++ new/usr/src/lib/efcode/Makefile.efcode	Thu Aug  8 11:14:05 2019
@@ -50,7 +50,7 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 EFCODE64DIR = /usr/lib/efcode/$(MACH64)
--- old/usr/src/lib/efcode/interpreter/Makefile	Thu Aug  8 11:14:05 2019
+++ new/usr/src/lib/efcode/interpreter/Makefile	Thu Aug  8 11:14:05 2019
@@ -35,7 +35,7 @@
 CPPFLAGS += -DDEBUG -DFCODE_INTERNAL
 CPPFLAGS += -I ../include -I $(ROOT)/usr/platform/sun4u/include
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDFLAGS += -R/usr/lib/efcode/$(MACH64) -M mapfile64
 
 LIBS	= fcode.so fcdriver.so
--- old/usr/src/lib/fm/libfmd_log/Makefile.com	Thu Aug  8 11:14:06 2019
+++ new/usr/src/lib/fm/libfmd_log/Makefile.com	Thu Aug  8 11:14:06 2019
@@ -40,7 +40,7 @@
 CPPFLAGS += -I../common -I.
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lexacct -lnvpair -lgen -lc
 
 LINTFLAGS = -msux
--- old/usr/src/lib/fm/libfmd_msg/Makefile.com	Thu Aug  8 11:14:08 2019
+++ new/usr/src/lib/fm/libfmd_msg/Makefile.com	Thu Aug  8 11:14:09 2019
@@ -42,7 +42,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/fm/libfmevent/Makefile.com	Thu Aug  8 11:14:10 2019
+++ new/usr/src/lib/fm/libfmevent/Makefile.com	Thu Aug  8 11:14:10 2019
@@ -61,7 +61,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 FMLIBDIR=usr/lib/fm
 $(BUILD64)FMLIBDIR64=usr/lib/fm/$(MACH64)
--- old/usr/src/lib/fm/topo/libtopo/Makefile.com	Thu Aug  8 11:14:12 2019
+++ new/usr/src/lib/fm/topo/libtopo/Makefile.com	Thu Aug  8 11:14:12 2019
@@ -80,7 +80,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS += -D_POSIX_PTHREAD_SEMANTICS
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/lib/fm/topo/modules/Makefile.plugin	Thu Aug  8 11:14:14 2019
+++ new/usr/src/lib/fm/topo/modules/Makefile.plugin	Thu Aug  8 11:14:14 2019
@@ -58,7 +58,7 @@
 LINTFLAGS = -msux
 LINTFILES = $(MODULESRCS:%.c=%.ln) $(SHAREDSRCS:%.c=%.ln)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 APIMAP = ../../../libtopo/common/topo_mod.map
--- old/usr/src/lib/gss_mechs/mech_dh/backend/Makefile.com	Thu Aug  8 11:14:15 2019
+++ new/usr/src/lib/gss_mechs/mech_dh/backend/Makefile.com	Thu Aug  8 11:14:15 2019
@@ -49,7 +49,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/lib/gss_mechs/mech_dummy/Makefile.com	Thu Aug  8 11:14:17 2019
+++ new/usr/src/lib/gss_mechs/mech_dummy/Makefile.com	Thu Aug  8 11:14:18 2019
@@ -42,7 +42,7 @@
 	    	-I$(ROOT)/usr/include/gssapi
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/lib/gss_mechs/mech_krb5/Makefile.com	Thu Aug  8 11:14:19 2019
+++ new/usr/src/lib/gss_mechs/mech_krb5/Makefile.com	Thu Aug  8 11:14:19 2019
@@ -255,7 +255,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-but-set-variable
--- old/usr/src/lib/gss_mechs/mech_krb5/krb5/krb/gic_pwd.c	Thu Aug  8 11:14:21 2019
+++ new/usr/src/lib/gss_mechs/mech_krb5/krb5/krb/gic_pwd.c	Thu Aug  8 11:14:22 2019
@@ -1,6 +1,10 @@
 /*
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved. */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include "k5-int.h"
 #include "com_err.h"
 #include <admin.h>
@@ -519,34 +523,34 @@
 {
   int i;
   krb5_int32 starttime;
-  krb5_get_init_creds_opt *opt;
+  krb5_get_init_creds_opt opt;
 
 
-    krb5_get_init_creds_opt_init(opt);
+    krb5_get_init_creds_opt_init(&opt);
     if (addrs)
-      krb5_get_init_creds_opt_set_address_list(opt, (krb5_address **) addrs);
+      krb5_get_init_creds_opt_set_address_list(&opt, (krb5_address **) addrs);
     if (ktypes) {
 	for (i=0; ktypes[i]; i++);
 	if (i)
-	    krb5_get_init_creds_opt_set_etype_list(opt, ktypes, i);
+	    krb5_get_init_creds_opt_set_etype_list(&opt, ktypes, i);
     }
     if (pre_auth_types) {
 	for (i=0; pre_auth_types[i]; i++);
 	if (i)
-	    krb5_get_init_creds_opt_set_preauth_list(opt, pre_auth_types, i);
+	    krb5_get_init_creds_opt_set_preauth_list(&opt, pre_auth_types, i);
     }
     if (options&KDC_OPT_FORWARDABLE)
-	krb5_get_init_creds_opt_set_forwardable(opt, 1);
-    else krb5_get_init_creds_opt_set_forwardable(opt, 0);
+	krb5_get_init_creds_opt_set_forwardable(&opt, 1);
+    else krb5_get_init_creds_opt_set_forwardable(&opt, 0);
     if (options&KDC_OPT_PROXIABLE)
-	krb5_get_init_creds_opt_set_proxiable(opt, 1);
-    else krb5_get_init_creds_opt_set_proxiable(opt, 0);
+	krb5_get_init_creds_opt_set_proxiable(&opt, 1);
+    else krb5_get_init_creds_opt_set_proxiable(&opt, 0);
     if (creds && creds->times.endtime) {
         krb5_timeofday(context, &starttime);
         if (creds->times.starttime) starttime = creds->times.starttime;
-        krb5_get_init_creds_opt_set_tkt_life(opt, creds->times.endtime - starttime);
+        krb5_get_init_creds_opt_set_tkt_life(&opt, creds->times.endtime - starttime);
     }
-    return krb5int_gic_opt_to_opte(context, opt, opte, 0,
+    return krb5int_gic_opt_to_opte(context, &opt, opte, 0,
 				   "krb5int_populate_gic_opt");
 }
 
--- old/usr/src/lib/hbaapi/Makefile.com	Thu Aug  8 11:14:23 2019
+++ new/usr/src/lib/hbaapi/Makefile.com	Thu Aug  8 11:14:23 2019
@@ -41,7 +41,7 @@
 INCS +=		-I$(SRCDIR)
 CPPFLAGS +=	$(INCS)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
--- old/usr/src/lib/krb5/kadm5/clnt/Makefile.com	Thu Aug  8 11:14:24 2019
+++ new/usr/src/lib/krb5/kadm5/clnt/Makefile.com	Thu Aug  8 11:14:25 2019
@@ -85,7 +85,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns,indenting,no_if_block
 
--- old/usr/src/lib/krb5/kadm5/srv/Makefile.com	Thu Aug  8 11:14:25 2019
+++ new/usr/src/lib/krb5/kadm5/srv/Makefile.com	Thu Aug  8 11:14:25 2019
@@ -92,7 +92,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns,indenting
 
--- old/usr/src/lib/krb5/kdb/Makefile.com	Thu Aug  8 11:14:27 2019
+++ new/usr/src/lib/krb5/kdb/Makefile.com	Thu Aug  8 11:14:27 2019
@@ -85,7 +85,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 SMOFF += indenting,all_func_returns,deref_check,signed
--- old/usr/src/lib/krb5/plugins/kdb/db2/Makefile.com	Thu Aug  8 11:14:29 2019
+++ new/usr/src/lib/krb5/plugins/kdb/db2/Makefile.com	Thu Aug  8 11:14:30 2019
@@ -68,7 +68,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/krb5/plugins/kdb/db2/libdb2/Makefile.com	Thu Aug  8 11:14:33 2019
+++ new/usr/src/lib/krb5/plugins/kdb/db2/libdb2/Makefile.com	Thu Aug  8 11:14:33 2019
@@ -102,7 +102,7 @@
 		-I$(SRC)/lib/gss_mechs/mech_krb5/include  #for db-ndbm.h
 
 CFLAGS +=	$(CCVERBOSE) -I..
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/krb5/plugins/preauth/pkinit/Makefile.com	Thu Aug  8 11:14:35 2019
+++ new/usr/src/lib/krb5/plugins/preauth/pkinit/Makefile.com	Thu Aug  8 11:14:35 2019
@@ -65,7 +65,7 @@
 		-I$(SRC)/uts/common/gssapi/mechs/krb5/include \
 		-I$(SRC)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/lib/libadm/Makefile.com	Thu Aug  8 11:14:37 2019
+++ new/usr/src/lib/libadm/Makefile.com	Thu Aug  8 11:14:37 2019
@@ -45,7 +45,7 @@
 CPPFLAGS +=	-I ../inc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
 # not linted
--- old/usr/src/lib/libads/Makefile.com	Thu Aug  8 11:14:39 2019
+++ new/usr/src/lib/libads/Makefile.com	Thu Aug  8 11:14:39 2019
@@ -45,7 +45,7 @@
 # CPPFLAGS +=	-I$(SRC)/lib/libldap5/include/ldap
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
 .KEEP_STATE:
--- old/usr/src/lib/libadutils/Makefile.com	Thu Aug  8 11:14:42 2019
+++ new/usr/src/lib/libadutils/Makefile.com	Thu Aug  8 11:14:42 2019
@@ -46,7 +46,7 @@
 CPPFLAGS +=	-I$(SRC)/lib/libldap5/include/ldap
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libast/Makefile.com	Thu Aug  8 11:14:44 2019
+++ new/usr/src/lib/libast/Makefile.com	Thu Aug  8 11:14:44 2019
@@ -725,7 +725,7 @@
 	$(ASTCFLAGS64)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libbc/sparc/Makefile	Thu Aug  8 11:14:46 2019
+++ new/usr/src/lib/libbc/sparc/Makefile	Thu Aug  8 11:14:46 2019
@@ -337,7 +337,7 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-extra
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-address
--- old/usr/src/lib/libbsm/Makefile.com	Thu Aug  8 11:14:49 2019
+++ new/usr/src/lib/libbsm/Makefile.com	Thu Aug  8 11:14:49 2019
@@ -87,7 +87,7 @@
 LDLIBS +=	-lsocket -lnsl -lmd -lc -lsecdb -ltsol -linetutil -lscf
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libc/amd64/Makefile	Thu Aug  8 11:14:51 2019
+++ new/usr/src/lib/libc/amd64/Makefile	Thu Aug  8 11:14:51 2019
@@ -1027,7 +1027,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc/i386/Makefile.com	Thu Aug  8 11:14:53 2019
+++ new/usr/src/lib/libc/i386/Makefile.com	Thu Aug  8 11:14:53 2019
@@ -1075,7 +1075,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc/inc/thr_inlines.h	Thu Aug  8 11:14:55 2019
+++ new/usr/src/lib/libc/inc/thr_inlines.h	Thu Aug  8 11:14:56 2019
@@ -24,6 +24,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #ifndef _THR_INLINES_H
 #define	_THR_INLINES_H
 
@@ -138,7 +142,7 @@
 extern __GNU_INLINE int
 set_lock_byte(volatile uint8_t *__lockp)
 {
-	int __value;
+	int __value = 0;
 #if defined(__x86)
 	__asm__ __volatile__(
 	    "movl $1, %0\n\t"
--- old/usr/src/lib/libc/port/fp/_base_sup.c	Thu Aug  8 11:14:58 2019
+++ new/usr/src/lib/libc/port/fp/_base_sup.c	Thu Aug  8 11:14:58 2019
@@ -24,6 +24,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include "lint.h"
 #include <sys/types.h>
 #include "base_conversion.h"
@@ -88,7 +92,11 @@
  * to leave it for now because it's still used by Sun's old Fortran
  * runtime libraries.  Today this is a bug; in the days of SunOS 4.x,
  * when the relevant design decisions were made, it was a feature.
+ *
+ * Regardless, on 32-bit, 'quadruple' under GCC is not 128 bits, so it
+ * uses uninitialized memory...
  */
+#pragma GCC diagnostic ignored "-Wuninitialized"
 enum fp_class_type
 __class_quadruple(quadruple *x)
 {
--- old/usr/src/lib/libc/sparc/Makefile.com	Thu Aug  8 11:14:59 2019
+++ new/usr/src/lib/libc/sparc/Makefile.com	Thu Aug  8 11:14:59 2019
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2016 Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
 # Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
 # Copyright 2018 Nexenta Systems, Inc.
@@ -1104,7 +1104,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc/sparcv9/Makefile.com	Thu Aug  8 11:15:02 2019
+++ new/usr/src/lib/libc/sparcv9/Makefile.com	Thu Aug  8 11:15:02 2019
@@ -22,7 +22,7 @@
 #
 # Copyright 2016 Gary Mills
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2015, Joyent, Inc.  All rights reserved.
+# Copyright 2019 Joyent, Inc.
 # Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
 # Copyright 2018 Nexenta Systems, Inc.
@@ -1044,7 +1044,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/lib/libc_db/Makefile.com	Thu Aug  8 11:15:04 2019
+++ new/usr/src/lib/libc_db/Makefile.com	Thu Aug  8 11:15:04 2019
@@ -48,7 +48,7 @@
 LDLIBS +=	-lc
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libcmd/Makefile.com	Thu Aug  8 11:15:06 2019
+++ new/usr/src/lib/libcmd/Makefile.com	Thu Aug  8 11:15:07 2019
@@ -135,7 +135,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 
--- old/usr/src/lib/libcpc/Makefile.com	Thu Aug  8 11:15:08 2019
+++ new/usr/src/lib/libcpc/Makefile.com	Thu Aug  8 11:15:08 2019
@@ -47,7 +47,7 @@
 CFLAGS +=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libcrypt/Makefile.com	Thu Aug  8 11:15:09 2019
+++ new/usr/src/lib/libcrypt/Makefile.com	Thu Aug  8 11:15:09 2019
@@ -47,7 +47,7 @@
 LDLIBS +=       -lgen -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libcryptoutil/Makefile.com	Thu Aug  8 11:15:11 2019
+++ new/usr/src/lib/libcryptoutil/Makefile.com	Thu Aug  8 11:15:12 2019
@@ -53,7 +53,7 @@
 LINTFLAGS64 +=  -errchk=longptr64
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libctf/Makefile.shared.com	Thu Aug  8 11:15:13 2019
+++ new/usr/src/lib/libctf/Makefile.shared.com	Thu Aug  8 11:15:14 2019
@@ -85,6 +85,6 @@
 		-DCTF_OLD_VERSIONS
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(LINTLIB) := SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libcurses/Makefile.com	Thu Aug  8 11:15:17 2019
+++ new/usr/src/lib/libcurses/Makefile.com	Thu Aug  8 11:15:18 2019
@@ -150,7 +150,7 @@
 CFLAGS	+=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/lib/libdevinfo/Makefile.com	Thu Aug  8 11:15:21 2019
+++ new/usr/src/lib/libdevinfo/Makefile.com	Thu Aug  8 11:15:21 2019
@@ -42,7 +42,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I..
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libdhcputil/Makefile.com	Thu Aug  8 11:15:24 2019
+++ new/usr/src/lib/libdhcputil/Makefile.com	Thu Aug  8 11:15:24 2019
@@ -46,7 +46,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(COMDIR)
 
 # not linted
--- old/usr/src/lib/libdisasm/Makefile.com	Thu Aug  8 11:15:26 2019
+++ new/usr/src/lib/libdisasm/Makefile.com	Thu Aug  8 11:15:26 2019
@@ -121,7 +121,7 @@
 $(LINTLIB) := SRCS = $(COMDIR)/$(LINTSRC)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libdiskmgt/Makefile.com	Thu Aug  8 11:15:27 2019
+++ new/usr/src/lib/libdiskmgt/Makefile.com	Thu Aug  8 11:15:27 2019
@@ -62,7 +62,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_REENTRANT -I$(SRC)/lib/libdiskmgt/common
 
 # not linted
--- old/usr/src/lib/libdladm/Makefile.com	Thu Aug  8 11:15:29 2019
+++ new/usr/src/lib/libdladm/Makefile.com	Thu Aug  8 11:15:29 2019
@@ -46,7 +46,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 # not linted
--- old/usr/src/lib/libdll/Makefile.com	Thu Aug  8 11:15:30 2019
+++ new/usr/src/lib/libdll/Makefile.com	Thu Aug  8 11:15:30 2019
@@ -85,7 +85,7 @@
 	$(ASTCFLAGS64)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns,strcpy_overflow
--- old/usr/src/lib/libdlpi/Makefile.com	Thu Aug  8 11:15:31 2019
+++ new/usr/src/lib/libdlpi/Makefile.com	Thu Aug  8 11:15:31 2019
@@ -40,7 +40,7 @@
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 .KEEP_STATE:
--- old/usr/src/lib/libdtrace/Makefile.com	Thu Aug  8 11:15:32 2019
+++ new/usr/src/lib/libdtrace/Makefile.com	Thu Aug  8 11:15:33 2019
@@ -131,7 +131,7 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/lib/libdtrace_jni/Makefile.com	Thu Aug  8 11:15:34 2019
+++ new/usr/src/lib/libdtrace_jni/Makefile.com	Thu Aug  8 11:15:34 2019
@@ -50,7 +50,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS64)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/libeti/form/Makefile.com	Thu Aug  8 11:15:34 2019
+++ new/usr/src/lib/libeti/form/Makefile.com	Thu Aug  8 11:15:34 2019
@@ -76,7 +76,7 @@
 LDLIBS +=       -lcurses -lc
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
 .KEEP_STATE:
--- old/usr/src/lib/libexacct/Makefile.com	Thu Aug  8 11:15:36 2019
+++ new/usr/src/lib/libexacct/Makefile.com	Thu Aug  8 11:15:37 2019
@@ -41,7 +41,7 @@
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_FILE_OFFSET_BITS=64
 
 debug :=	CPPFLAGS += -DLIBEXACCT_DEBUG
--- old/usr/src/lib/libexacct/demo/Makefile	Thu Aug  8 11:15:39 2019
+++ new/usr/src/lib/libexacct/demo/Makefile	Thu Aug  8 11:15:39 2019
@@ -31,7 +31,7 @@
 
 LDLIBS += -lexacct -lproject -lsocket -lnsl
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libfdisk/Makefile.com	Thu Aug  8 11:15:41 2019
+++ new/usr/src/lib/libfdisk/Makefile.com	Thu Aug  8 11:15:41 2019
@@ -52,7 +52,7 @@
 LINTFLAGS +=    -erroff=E_BAD_PTR_CAST_ALIGN
 LINTFLAGS64 +=    -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libfru/libfruraw/Makefile.com	Thu Aug  8 11:15:43 2019
+++ new/usr/src/lib/libfru/libfruraw/Makefile.com	Thu Aug  8 11:15:43 2019
@@ -53,7 +53,7 @@
 CPPFLAGS += 	-D_REENTRANT
 CFLAGS +=	$(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libfruutils/Makefile.com	Thu Aug  8 11:15:45 2019
+++ new/usr/src/lib/libfruutils/Makefile.com	Thu Aug  8 11:15:45 2019
@@ -51,7 +51,7 @@
 CFLAGS +=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 $(LINTLIB) :=	LINTFLAGS = -nvx
 $(LINTLIB) :=	LINTFLAGS64 = -nvx -m64
--- old/usr/src/lib/libfsmgt/Makefile.com	Thu Aug  8 11:15:48 2019
+++ new/usr/src/lib/libfsmgt/Makefile.com	Thu Aug  8 11:15:48 2019
@@ -53,7 +53,7 @@
 		-I$(SRC)/cmd/fs.d/nfs/lib
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libgen/Makefile.com	Thu Aug  8 11:15:51 2019
+++ new/usr/src/lib/libgen/Makefile.com	Thu Aug  8 11:15:51 2019
@@ -45,7 +45,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libgss/Makefile.com	Thu Aug  8 11:15:52 2019
+++ new/usr/src/lib/libgss/Makefile.com	Thu Aug  8 11:15:52 2019
@@ -108,7 +108,7 @@
 		-DHAVE_STDLIB_H
 
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-empty-body
 
--- old/usr/src/lib/libinetsvc/Makefile.com	Thu Aug  8 11:15:54 2019
+++ new/usr/src/lib/libinetsvc/Makefile.com	Thu Aug  8 11:15:54 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libipadm/Makefile.com	Thu Aug  8 11:15:56 2019
+++ new/usr/src/lib/libipadm/Makefile.com	Thu Aug  8 11:15:56 2019
@@ -43,7 +43,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 # not linted
--- old/usr/src/lib/libipmi/Makefile.com	Thu Aug  8 11:15:59 2019
+++ new/usr/src/lib/libipmi/Makefile.com	Thu Aug  8 11:15:59 2019
@@ -58,7 +58,7 @@
 CPPFLAGS +=	$(INCS)
 CSTD = $(CSTD_GNU99)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/libipsecutil/Makefile.com	Thu Aug  8 11:16:01 2019
+++ new/usr/src/lib/libipsecutil/Makefile.com	Thu Aug  8 11:16:01 2019
@@ -45,7 +45,7 @@
 CPPFLAGS +=	-I$(SRCDIR) -I$(BERDIR)
 
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += shift_to_zero
 
--- old/usr/src/lib/libkmf/libkmf/Makefile.com	Thu Aug  8 11:16:04 2019
+++ new/usr/src/lib/libkmf/libkmf/Makefile.com	Thu Aug  8 11:16:04 2019
@@ -70,7 +70,7 @@
 CERRWARN	+=	-_gcc=-Wno-parentheses
 CERRWARN	+=	-_gcc=-Wno-switch
 CERRWARN	+=	-_gcc=-Wno-type-limits
-CERRWARN	+=	-_gcc=-Wno-uninitialized
+CERRWARN	+=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libkmf/plugins/kmf_nss/Makefile.com	Thu Aug  8 11:16:06 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_nss/Makefile.com	Thu Aug  8 11:16:06 2019
@@ -56,7 +56,7 @@
 
 CERRWARN	+=	-_gcc=-Wno-unused-label
 CERRWARN	+=	-_gcc=-Wno-unused-value
-CERRWARN	+=	-_gcc=-Wno-uninitialized
+CERRWARN	+=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Thu Aug  8 11:16:09 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Thu Aug  8 11:16:09 2019
@@ -56,7 +56,7 @@
 
 CERRWARN	+=	-_gcc=-Wno-unused-label
 CERRWARN	+=	-_gcc=-Wno-unused-value
-CERRWARN	+=	-_gcc=-Wno-uninitialized
+CERRWARN	+=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libkvm/Makefile.com	Thu Aug  8 11:16:11 2019
+++ new/usr/src/lib/libkvm/Makefile.com	Thu Aug  8 11:16:11 2019
@@ -47,7 +47,7 @@
 
 CPPFLAGS = -D_KMEMUSER -D_LARGEFILE64_SOURCE=1 -I.. $(CPPFLAGS.master)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/lib/libldap5/Makefile.com	Thu Aug  8 11:16:13 2019
+++ new/usr/src/lib/libldap5/Makefile.com	Thu Aug  8 11:16:13 2019
@@ -114,7 +114,7 @@
 CFLAGS64 +=	$(LOCFLAGS)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
--- old/usr/src/lib/libmapid/Makefile.com	Thu Aug  8 11:16:14 2019
+++ new/usr/src/lib/libmapid/Makefile.com	Thu Aug  8 11:16:14 2019
@@ -56,7 +56,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/libmd/sparc/Makefile	Thu Aug  8 11:16:15 2019
+++ new/usr/src/lib/libmd/sparc/Makefile	Thu Aug  8 11:16:15 2019
@@ -39,7 +39,7 @@
 		../capabilities/sun4v/sparc/pics/symcap.o
 
 # Suppress error for edonr.c __asm__ code
-pics/edonr.o := CERRWARN +=	-_gcc=-Wno-uninitialized
+pics/edonr.o := CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libmtmalloc/Makefile.com	Thu Aug  8 11:16:16 2019
+++ new/usr/src/lib/libmtmalloc/Makefile.com	Thu Aug  8 11:16:16 2019
@@ -44,7 +44,7 @@
 $(LINTLIB) lint :=	LINTFLAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 $(LINTLIB) lint :=	LINTFLAGS64 += -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libndmp/Makefile.com	Thu Aug  8 11:16:17 2019
+++ new/usr/src/lib/libndmp/Makefile.com	Thu Aug  8 11:16:17 2019
@@ -53,7 +53,7 @@
 CPPFLAGS +=	$(INCS) -D_REENTRANT
 
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SRCS=	$(OBJECTS:%.o=$(SRCDIR)/%.c)
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libnisdb/Makefile	Thu Aug  8 11:16:19 2019
+++ new/usr/src/lib/libnisdb/Makefile	Thu Aug  8 11:16:19 2019
@@ -162,7 +162,7 @@
 $(UVAR_PICS) := CERRWARN += -_gcc=-Wno-unused-variable
 
 # Correcting these might alter logic
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/lib/libnsl/Makefile.com	Thu Aug  8 11:16:21 2019
+++ new/usr/src/lib/libnsl/Makefile.com	Thu Aug  8 11:16:21 2019
@@ -197,7 +197,7 @@
 
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-empty-body
--- old/usr/src/lib/libnvpair/Makefile.com	Thu Aug  8 11:16:22 2019
+++ new/usr/src/lib/libnvpair/Makefile.com	Thu Aug  8 11:16:22 2019
@@ -69,7 +69,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT
--- old/usr/src/lib/libnwam/Makefile.com	Thu Aug  8 11:16:24 2019
+++ new/usr/src/lib/libnwam/Makefile.com	Thu Aug  8 11:16:24 2019
@@ -55,7 +55,7 @@
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libpam/Makefile.com	Thu Aug  8 11:16:26 2019
+++ new/usr/src/lib/libpam/Makefile.com	Thu Aug  8 11:16:27 2019
@@ -39,7 +39,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I $(SRCDIR)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libpcp/Makefile.com	Thu Aug  8 11:16:29 2019
+++ new/usr/src/lib/libpcp/Makefile.com	Thu Aug  8 11:16:29 2019
@@ -47,7 +47,7 @@
 
 LIBS = $(DYNLIB) $(LINTLIB)
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS +=	-lc -lumem -ldevinfo
 PLATLIBS =	$(USR_PLAT_DIR)/$(PLATFORM)/lib
 INS.slink6=	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/lib/libpcp.so.1 $@
--- old/usr/src/lib/libpicltree/Makefile.com	Thu Aug  8 11:16:30 2019
+++ new/usr/src/lib/libpicltree/Makefile.com	Thu Aug  8 11:16:30 2019
@@ -37,7 +37,7 @@
 CPPFLAGS +=	-D_REENTRANT -I.. -I../../libpicl -I$(SRC)/cmd/picl/plugins/inc
 CFLAGS +=	$(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libpkg/Makefile.com	Thu Aug  8 11:16:31 2019
+++ new/usr/src/lib/libpkg/Makefile.com	Thu Aug  8 11:16:31 2019
@@ -65,7 +65,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-switch
 
--- old/usr/src/lib/libpool/Makefile.com	Thu Aug  8 11:16:33 2019
+++ new/usr/src/lib/libpool/Makefile.com	Thu Aug  8 11:16:33 2019
@@ -54,7 +54,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libpp/Makefile.com	Thu Aug  8 11:16:34 2019
+++ new/usr/src/lib/libpp/Makefile.com	Thu Aug  8 11:16:34 2019
@@ -100,7 +100,7 @@
 	$(ASTCFLAGS64)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-value
--- old/usr/src/lib/libproc/Makefile.com	Thu Aug  8 11:16:35 2019
+++ new/usr/src/lib/libproc/Makefile.com	Thu Aug  8 11:16:35 2019
@@ -95,7 +95,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I$(SRCDIR)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/lib/libproject/Makefile.com	Thu Aug  8 11:16:36 2019
+++ new/usr/src/lib/libproject/Makefile.com	Thu Aug  8 11:16:36 2019
@@ -49,7 +49,7 @@
 CPPFLAGS +=	-D_REENTRANT
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS +=	-lc -lsecdb -lproc -lpool
 
 $(LINTLIB) :=	SRCS = ../common/llib-lproject
--- old/usr/src/lib/libprtdiag/Makefile.com	Thu Aug  8 11:16:36 2019
+++ new/usr/src/lib/libprtdiag/Makefile.com	Thu Aug  8 11:16:36 2019
@@ -45,7 +45,7 @@
 CPPFLAGS	= $(IFLAGS) $(CPPFLAGS.master)
 CFLAGS		+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/lib/libprtdiag_psr/sparc/Makefile.com	Thu Aug  8 11:16:37 2019
+++ new/usr/src/lib/libprtdiag_psr/sparc/Makefile.com	Thu Aug  8 11:16:37 2019
@@ -54,7 +54,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 IFLAGS +=	-I $(UTSBASE)/sun4u 
 IFLAGS +=	-I $(UTSCLOSED)/sun4u 
--- old/usr/src/lib/libresolv/Makefile	Thu Aug  8 11:16:39 2019
+++ new/usr/src/lib/libresolv/Makefile	Thu Aug  8 11:16:39 2019
@@ -59,7 +59,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/librpcsvc/Makefile.com	Thu Aug  8 11:16:41 2019
+++ new/usr/src/lib/librpcsvc/Makefile.com	Thu Aug  8 11:16:41 2019
@@ -51,7 +51,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 $(LINTLIB):= SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libscf/Makefile.com	Thu Aug  8 11:16:43 2019
+++ new/usr/src/lib/libscf/Makefile.com	Thu Aug  8 11:16:43 2019
@@ -61,7 +61,7 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libsec/Makefile.com	Thu Aug  8 11:16:46 2019
+++ new/usr/src/lib/libsec/Makefile.com	Thu Aug  8 11:16:46 2019
@@ -48,7 +48,7 @@
 LDLIBS += -lc -lavl -lidmap
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
--- old/usr/src/lib/libsecdb/Makefile.com	Thu Aug  8 11:16:48 2019
+++ new/usr/src/lib/libsecdb/Makefile.com	Thu Aug  8 11:16:48 2019
@@ -45,7 +45,7 @@
 LINTFLAGS64 +=	-DPIC
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libshare/Makefile.com	Thu Aug  8 11:16:51 2019
+++ new/usr/src/lib/libshare/Makefile.com	Thu Aug  8 11:16:51 2019
@@ -46,7 +46,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD +=	$(CSTD_GNU99)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/lib/libshare/autofs/Makefile.com	Thu Aug  8 11:16:52 2019
+++ new/usr/src/lib/libshare/autofs/Makefile.com	Thu Aug  8 11:16:52 2019
@@ -48,7 +48,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libshare/nfs/Makefile.com	Thu Aug  8 11:16:53 2019
+++ new/usr/src/lib/libshare/nfs/Makefile.com	Thu Aug  8 11:16:53 2019
@@ -50,7 +50,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_REENTRANT -I$(NFSLIB_DIR) \
 		-I$(ADJUNCT_PROTO)/usr/include/libxml2 -I$(SRCDIR)/../common
 
--- old/usr/src/lib/libshare/smbfs/Makefile.com	Thu Aug  8 11:16:53 2019
+++ new/usr/src/lib/libshare/smbfs/Makefile.com	Thu Aug  8 11:16:53 2019
@@ -42,7 +42,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-D_REENTRANT -I$(ADJUNCT_PROTO)/usr/include/libxml2 \
 		-I$(SRCDIR)/../common -I$(SRC)/lib/libsmbfs -I$(SRC)/uts/common
 
--- old/usr/src/lib/libshell/Makefile.com	Thu Aug  8 11:16:55 2019
+++ new/usr/src/lib/libshell/Makefile.com	Thu Aug  8 11:16:55 2019
@@ -158,7 +158,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
--- old/usr/src/lib/libsldap/Makefile.com	Thu Aug  8 11:16:56 2019
+++ new/usr/src/lib/libsldap/Makefile.com	Thu Aug  8 11:16:56 2019
@@ -54,7 +54,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libslp/Makefile.com	Thu Aug  8 11:16:57 2019
+++ new/usr/src/lib/libslp/Makefile.com	Thu Aug  8 11:16:57 2019
@@ -46,7 +46,7 @@
 CPPFLAGS +=	-D_REENTRANT -I../clib -I$(JAVA_ROOT)/include \
 		-I$(JAVA_ROOT)/include/solaris
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/lib/libsmbfs/Makefile.com	Thu Aug  8 11:16:57 2019
+++ new/usr/src/lib/libsmbfs/Makefile.com	Thu Aug  8 11:16:58 2019
@@ -95,7 +95,7 @@
 # normal warnings...
 CFLAGS	+=	$(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/lib/libsocket/Makefile.com	Thu Aug  8 11:16:59 2019
+++ new/usr/src/lib/libsocket/Makefile.com	Thu Aug  8 11:16:59 2019
@@ -57,7 +57,7 @@
 %/rcmd.o :=	CPPFLAGS += -DNIS
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
--- old/usr/src/lib/libsqlite/Makefile.com	Thu Aug  8 11:16:59 2019
+++ new/usr/src/lib/libsqlite/Makefile.com	Thu Aug  8 11:16:59 2019
@@ -97,7 +97,7 @@
 CPPFLAGS += $(MYCPPFLAGS)
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-label
 
--- old/usr/src/lib/libtnfctl/Makefile.com	Thu Aug  8 11:17:00 2019
+++ new/usr/src/lib/libtnfctl/Makefile.com	Thu Aug  8 11:17:00 2019
@@ -75,7 +75,7 @@
 
 LINTFLAGS +=	-y
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-empty-body
 CERRWARN +=	-_gcc=-Wno-parentheses
 
--- old/usr/src/lib/libtnfprobe/Makefile.com	Thu Aug  8 11:17:01 2019
+++ new/usr/src/lib/libtnfprobe/Makefile.com	Thu Aug  8 11:17:01 2019
@@ -65,7 +65,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libtsnet/Makefile.com	Thu Aug  8 11:17:02 2019
+++ new/usr/src/lib/libtsnet/Makefile.com	Thu Aug  8 11:17:02 2019
@@ -47,7 +47,7 @@
 LIBTSOLINC =	$(SRC)/lib/libtsol/common
 
 CPPFLAGS +=	-D_REENTRANT -I$(LIBTSOLINC)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libtsol/Makefile.com	Thu Aug  8 11:17:04 2019
+++ new/usr/src/lib/libtsol/Makefile.com	Thu Aug  8 11:17:04 2019
@@ -60,7 +60,7 @@
 
 LINTFLAGS64 +=	-m64
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libv12n/Makefile.com	Thu Aug  8 11:17:05 2019
+++ new/usr/src/lib/libv12n/Makefile.com	Thu Aug  8 11:17:05 2019
@@ -39,7 +39,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(LINTLIB) :=	SRCS = ../common/llib-lv12n
 
--- old/usr/src/lib/libwrap/Makefile.com	Thu Aug  8 11:17:07 2019
+++ new/usr/src/lib/libwrap/Makefile.com	Thu Aug  8 11:17:08 2019
@@ -59,7 +59,7 @@
 CERRWARN +=	-_gcc=-Wno-return-type
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/libxcurses/Makefile.com	Thu Aug  8 11:17:10 2019
+++ new/usr/src/lib/libxcurses/Makefile.com	Thu Aug  8 11:17:11 2019
@@ -114,7 +114,7 @@
 $(LINTLIB):= SRCS=../src/libc/llib-lcurses
 $(LINTLIB):= CPPFLAGS += -D_XOPEN_SOURCE_EXTENDED
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
--- old/usr/src/lib/libxcurses2/Makefile.com	Thu Aug  8 11:17:13 2019
+++ new/usr/src/lib/libxcurses2/Makefile.com	Thu Aug  8 11:17:13 2019
@@ -97,7 +97,7 @@
 LDLIBS += -lc
 
 CPPFLAGS = -I../h -I../src/libc/xcurses $(CPPFLAGS.master)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 
 # not linted
--- old/usr/src/lib/libzonecfg/Makefile.com	Thu Aug  8 11:17:14 2019
+++ new/usr/src/lib/libzonecfg/Makefile.com	Thu Aug  8 11:17:14 2019
@@ -36,7 +36,7 @@
 
 SRCDIR =	../common
 CPPFLAGS +=	-I$(ADJUNCT_PROTO)/usr/include/libxml2 -I$(SRCDIR) -D_REENTRANT
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/libzonestat/Makefile.com	Thu Aug  8 11:17:16 2019
+++ new/usr/src/lib/libzonestat/Makefile.com	Thu Aug  8 11:17:16 2019
@@ -36,7 +36,7 @@
 CPPFLAGS +=	-I../common -mt -D_POSIX_PTHREAD_SEMANTICS
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/madv/Makefile.com	Thu Aug  8 11:17:18 2019
+++ new/usr/src/lib/madv/Makefile.com	Thu Aug  8 11:17:18 2019
@@ -41,7 +41,7 @@
 DYNFLAGS +=	$(ZNOVERSION) $(ZINTERPOSE)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/mpapi/libmpapi/Makefile.com	Thu Aug  8 11:17:18 2019
+++ new/usr/src/lib/mpapi/libmpapi/Makefile.com	Thu Aug  8 11:17:18 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/mpss/Makefile.com	Thu Aug  8 11:17:19 2019
+++ new/usr/src/lib/mpss/Makefile.com	Thu Aug  8 11:17:19 2019
@@ -41,7 +41,7 @@
 DYNFLAGS +=	$(BLOCAL) $(ZNOVERSION)
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/lib/nsswitch/Makefile.com	Thu Aug  8 11:17:19 2019
+++ new/usr/src/lib/nsswitch/Makefile.com	Thu Aug  8 11:17:19 2019
@@ -37,7 +37,7 @@
 CPPFLAGS +=	-D_REENTRANT
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-address
--- old/usr/src/lib/pam_modules/unix_cred/Makefile.com	Thu Aug  8 11:17:21 2019
+++ new/usr/src/lib/pam_modules/unix_cred/Makefile.com	Thu Aug  8 11:17:21 2019
@@ -31,7 +31,7 @@
 
 LDLIBS		+= -lbsm -lpam -lsecdb -lproject -lc
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 all:	$(LIBS)
 
--- old/usr/src/lib/passwdutil/Makefile.com	Thu Aug  8 11:17:22 2019
+++ new/usr/src/lib/passwdutil/Makefile.com	Thu Aug  8 11:17:22 2019
@@ -58,7 +58,7 @@
 CFLAGS		+= $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/lib/pkcs11/libpkcs11/Makefile.com	Thu Aug  8 11:17:24 2019
+++ new/usr/src/lib/pkcs11/libpkcs11/Makefile.com	Thu Aug  8 11:17:24 2019
@@ -77,7 +77,7 @@
 LINTFLAGS64 += -errchk=longptr64
 
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/pkcs11/libsoftcrypto/amd64/Makefile	Thu Aug  8 11:17:25 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/amd64/Makefile	Thu Aug  8 11:17:25 2019
@@ -40,7 +40,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4u/Makefile.com	Thu Aug  8 11:17:27 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4u/Makefile.com	Thu Aug  8 11:17:27 2019
@@ -42,7 +42,7 @@
 ASFLAGS +=	$(AS_PICFLAGS) -P
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CPPFLAGS +=	-D$(PLATFORM) -I$(CRYPTODIR) -I$(UTSDIR) \
--- old/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4v/Makefile.com	Thu Aug  8 11:17:29 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/capabilities/sun4v/Makefile.com	Thu Aug  8 11:17:30 2019
@@ -36,7 +36,7 @@
 ASFLAGS +=	$(AS_PICFLAGS) -P
 CFLAGS +=	$(CCVERBOSE) -xO5 -xbuiltin=%all -dalign
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 CPPFLAGS +=	-D$(PLATFORM) -I$(CRYPTODIR) -I$(UTSDIR) \
--- old/usr/src/lib/pkcs11/libsoftcrypto/i386/Makefile	Thu Aug  8 11:17:32 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/i386/Makefile	Thu Aug  8 11:17:33 2019
@@ -33,7 +33,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/pkcs11/libsoftcrypto/sparc/Makefile	Thu Aug  8 11:17:35 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/sparc/Makefile	Thu Aug  8 11:17:35 2019
@@ -44,7 +44,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CPPFLAGS +=	-I$(CRYPTODIR) -I$(UTSDIR) -D_POSIX_PTHREAD_SEMANTICS
 LDLIBS +=	-lcryptoutil -lc
--- old/usr/src/lib/pkcs11/libsoftcrypto/sparcv9/Makefile	Thu Aug  8 11:17:38 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/sparcv9/Makefile	Thu Aug  8 11:17:38 2019
@@ -45,7 +45,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CPPFLAGS +=	-I$(CRYPTODIR) -I$(UTSDIR) -D_POSIX_PTHREAD_SEMANTICS
 LDLIBS +=	-lcryptoutil -lc
--- old/usr/src/lib/pkcs11/pkcs11_kernel/Makefile.com	Thu Aug  8 11:17:40 2019
+++ new/usr/src/lib/pkcs11/pkcs11_kernel/Makefile.com	Thu Aug  8 11:17:40 2019
@@ -86,7 +86,7 @@
 
 CFLAGS  +=      $(CCVERBOSE)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/lib/pkcs11/pkcs11_softtoken/Makefile.com	Thu Aug  8 11:17:43 2019
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/Makefile.com	Thu Aug  8 11:17:43 2019
@@ -130,7 +130,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-empty-body
--- old/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Thu Aug  8 11:17:45 2019
+++ new/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Thu Aug  8 11:17:45 2019
@@ -95,7 +95,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/print/libipp-listener/Makefile.com	Thu Aug  8 11:17:48 2019
+++ new/usr/src/lib/print/libipp-listener/Makefile.com	Thu Aug  8 11:17:48 2019
@@ -53,7 +53,7 @@
 CPPFLAGS +=	-I../../libipp-core/common
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/print/libpapi-ipp/Makefile.com	Thu Aug  8 11:17:50 2019
+++ new/usr/src/lib/print/libpapi-ipp/Makefile.com	Thu Aug  8 11:17:50 2019
@@ -53,7 +53,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/rpcsec_gss/Makefile.com	Thu Aug  8 11:17:53 2019
+++ new/usr/src/lib/rpcsec_gss/Makefile.com	Thu Aug  8 11:17:53 2019
@@ -38,7 +38,7 @@
 CFLAGS +=	$(XFFLAG)
 CFLAGS64 +=	$(XFFLAG)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/lib/sasl_plugins/Makefile.com	Thu Aug  8 11:17:56 2019
+++ new/usr/src/lib/sasl_plugins/Makefile.com	Thu Aug  8 11:17:56 2019
@@ -31,7 +31,7 @@
 
 CPPFLAGS +=	-I$(SRC)/lib/libsasl/include
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/scsi/libses/Makefile.defs	Thu Aug  8 11:17:58 2019
+++ new/usr/src/lib/scsi/libses/Makefile.defs	Thu Aug  8 11:17:59 2019
@@ -31,7 +31,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-type-limits
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 
 SMOFF += all_func_returns
--- old/usr/src/lib/scsi/libsmp/Makefile.com	Thu Aug  8 11:18:00 2019
+++ new/usr/src/lib/scsi/libsmp/Makefile.com	Thu Aug  8 11:18:01 2019
@@ -43,7 +43,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-type-limits
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/smbsrv/libmlsvc/Makefile.com	Thu Aug  8 11:18:02 2019
+++ new/usr/src/lib/smbsrv/libmlsvc/Makefile.com	Thu Aug  8 11:18:02 2019
@@ -93,7 +93,7 @@
 $(ENABLE_SMB_PRINTING) CPPFLAGS += -DHAVE_CUPS
 
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/smbsrv/libsmb/Makefile.com	Thu Aug  8 11:18:04 2019
+++ new/usr/src/lib/smbsrv/libsmb/Makefile.com	Thu Aug  8 11:18:04 2019
@@ -86,7 +86,7 @@
 LDLIBS +=	-lnvpair -lresolv -lsocket -lnsl -lc
 CPPFLAGS +=	$(INCS) -D_REENTRANT
 CPPFLAGS +=	-Dsyslog=smb_syslog
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-switch
 
--- old/usr/src/lib/smbsrv/libsmbns/Makefile.com	Thu Aug  8 11:18:05 2019
+++ new/usr/src/lib/smbsrv/libsmbns/Makefile.com	Thu Aug  8 11:18:05 2019
@@ -55,7 +55,7 @@
 CPPFLAGS +=	-D_REENTRANT
 CPPFLAGS +=	-Dsyslog=smb_syslog
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/smhba/Makefile.com	Thu Aug  8 11:18:05 2019
+++ new/usr/src/lib/smhba/Makefile.com	Thu Aug  8 11:18:05 2019
@@ -47,7 +47,7 @@
 CPPFLAGS +=	-DPOSIX_THREADS
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 SMOFF += indenting,all_func_returns
--- old/usr/src/lib/storage/liba5k/Makefile.com	Thu Aug  8 11:18:05 2019
+++ new/usr/src/lib/storage/liba5k/Makefile.com	Thu Aug  8 11:18:06 2019
@@ -45,7 +45,7 @@
 LINTFLAGS64 +=  $(COMMON_LINTFLAGS)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lc -ldevice -lg_fc
 
--- old/usr/src/lib/storage/libg_fc/Makefile.com	Thu Aug  8 11:18:07 2019
+++ new/usr/src/lib/storage/libg_fc/Makefile.com	Thu Aug  8 11:18:07 2019
@@ -50,7 +50,7 @@
 LINTFLAGS64 += $(COMMON_LINTFLAGS)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/udapl/udapl_tavor/Makefile.com	Thu Aug  8 11:18:08 2019
+++ new/usr/src/lib/udapl/udapl_tavor/Makefile.com	Thu Aug  8 11:18:08 2019
@@ -150,7 +150,7 @@
 LINTFLAGS64 +=	-DDAPL_DBG
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 $(NOT_RELEASE_BUILD)CPPFLAGS += -DDAPL_DBG
--- old/usr/src/psm/stand/boot/Makefile.boot	Thu Aug  8 11:18:09 2019
+++ new/usr/src/psm/stand/boot/Makefile.boot	Thu Aug  8 11:18:09 2019
@@ -65,5 +65,5 @@
 	    -erroff=E_NAME_DECL_NOT_USED_DEF2 -erroff=E_NAME_DEF_NOT_USED2
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
--- old/usr/src/psm/stand/cpr/sparcv9/sun4u/Makefile	Thu Aug  8 11:18:10 2019
+++ new/usr/src/psm/stand/cpr/sparcv9/sun4u/Makefile	Thu Aug  8 11:18:10 2019
@@ -49,7 +49,7 @@
 include ../../common/Makefile.com
 include $(TOPDIR)/psm/Makefile.psm.64
 CFLAGS64 += -xchip=ultra $(CCABS32)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/req.flg	Thu Aug  8 11:18:11 2019
+++ new/usr/src/req.flg	Thu Aug  8 11:18:11 2019
@@ -23,11 +23,12 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2019 Joyent, Inc.
+#
 
 echo_file usr/src/Makefile
 echo_file usr/src/Targetdirs
 echo_file usr/src/Makefile.master
-echo_file usr/src/Makefile.noget
 echo_file usr/src/Makefile.master.64
 echo_file usr/src/Makefile.msg.targ
 echo_file usr/src/Makefile.psm
--- old/usr/src/stand/lib/fs/Makefile.com	Thu Aug  8 11:18:11 2019
+++ new/usr/src/stand/lib/fs/Makefile.com	Thu Aug  8 11:18:11 2019
@@ -36,6 +36,6 @@
 
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-char-subscripts
--- old/usr/src/stand/lib/inet/Makefile	Thu Aug  8 11:18:11 2019
+++ new/usr/src/stand/lib/inet/Makefile	Thu Aug  8 11:18:12 2019
@@ -37,6 +37,6 @@
 CPPFLAGS += $(SOCKCPPFLAGS) -I$(TOPDIR)/psm/stand
 
 CERRWARN += -_gcc=-Wno-char-subscripts
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 include ../Makefile.targ
--- old/usr/src/stand/lib/sa/Makefile	Thu Aug  8 11:18:12 2019
+++ new/usr/src/stand/lib/sa/Makefile	Thu Aug  8 11:18:13 2019
@@ -57,7 +57,7 @@
 CPPFLAGS += $(SOCKCPPFLAGS)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 objs/%.o: $(MACH)/%.s
 	  $(COMPILE.s) -o $@ $<
--- old/usr/src/stand/lib/tcp/Makefile	Thu Aug  8 11:18:14 2019
+++ new/usr/src/stand/lib/tcp/Makefile	Thu Aug  8 11:18:14 2019
@@ -34,6 +34,6 @@
 CPPFLAGS += -I../inet $(SOCKCPPFLAGS)
 
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 include ../Makefile.targ
--- old/usr/src/test/libc-tests/tests/regex/Makefile	Thu Aug  8 11:18:14 2019
+++ new/usr/src/test/libc-tests/tests/regex/Makefile	Thu Aug  8 11:18:14 2019
@@ -34,7 +34,7 @@
 include		$(SRC)/cmd/Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 
 # needs work
--- old/usr/src/tools/aw/Makefile	Thu Aug  8 11:18:15 2019
+++ new/usr/src/tools/aw/Makefile	Thu Aug  8 11:18:15 2019
@@ -30,7 +30,7 @@
 include ../Makefile.tools
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/tools/cscope-fast/Makefile	Thu Aug  8 11:18:16 2019
+++ new/usr/src/tools/cscope-fast/Makefile	Thu Aug  8 11:18:16 2019
@@ -49,7 +49,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/tools/ctf/ctfmerge/Makefile.com	Thu Aug  8 11:18:17 2019
+++ new/usr/src/tools/ctf/ctfmerge/Makefile.com	Thu Aug  8 11:18:17 2019
@@ -23,7 +23,7 @@
 
 CPPFLAGS += -include ../../common/ctf_headers.h
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 OBJS = $(SRCS:%.c=%.o)
 
--- old/usr/src/tools/ctf/cvt/Makefile.com	Thu Aug  8 11:18:18 2019
+++ new/usr/src/tools/ctf/cvt/Makefile.com	Thu Aug  8 11:18:18 2019
@@ -81,7 +81,7 @@
 LINTFLAGS	+= -mnux
 
 CERRWARN	+= -_gcc=-Wno-unused
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 CSTD		= $(CSTD_GNU99)
--- old/usr/src/tools/ctf/stabs/Makefile.com	Thu Aug  8 11:18:18 2019
+++ new/usr/src/tools/ctf/stabs/Makefile.com	Thu Aug  8 11:18:18 2019
@@ -44,7 +44,7 @@
 LINTFILES = $(SRCS:%.c=%.ln)
 
 LINTFLAGS = -mnux -L$(ROOT)/usr/lib
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused
 
 .NO_PARALLEL:
--- old/usr/src/tools/ndrgen/Makefile	Thu Aug  8 11:18:19 2019
+++ new/usr/src/tools/ndrgen/Makefile	Thu Aug  8 11:18:19 2019
@@ -34,7 +34,7 @@
 include ../Makefile.tools
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused
 
 CLEANFILES += $(OBJS) y.tab.c y.tab.h
--- old/usr/src/ucbcmd/mkstr/Makefile	Thu Aug  8 11:18:20 2019
+++ new/usr/src/ucbcmd/mkstr/Makefile	Thu Aug  8 11:18:20 2019
@@ -31,7 +31,7 @@
 # For messaging
 XGETFLAGS += -a -x mkstr.xcl
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/ucbcmd/tset/Makefile	Thu Aug  8 11:18:21 2019
+++ new/usr/src/ucbcmd/tset/Makefile	Thu Aug  8 11:18:21 2019
@@ -36,7 +36,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # missing prototypes
 SMATCH=off
--- old/usr/src/ucblib/libcurses/Makefile.com	Thu Aug  8 11:18:21 2019
+++ new/usr/src/ucblib/libcurses/Makefile.com	Thu Aug  8 11:18:21 2019
@@ -88,7 +88,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/ucblib/libdbm/Makefile.com	Thu Aug  8 11:18:22 2019
+++ new/usr/src/ucblib/libdbm/Makefile.com	Thu Aug  8 11:18:23 2019
@@ -41,7 +41,7 @@
 
 CPPFLAGS = -I$(SRC)/ucbhead $(CPPFLAGS.master)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/ucblib/librpcsoc/Makefile.com	Thu Aug  8 11:18:25 2019
+++ new/usr/src/ucblib/librpcsoc/Makefile.com	Thu Aug  8 11:18:25 2019
@@ -50,7 +50,7 @@
 
 CPPFLAGS = -I$(SRC)/ucbhead -I../../../lib/libc/inc $(CPPFLAGS.master)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/ucblib/libucb/Makefile.com	Thu Aug  8 11:18:27 2019
+++ new/usr/src/ucblib/libucb/Makefile.com	Thu Aug  8 11:18:27 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
 # Copyright 2019 Peter Tribble.
 #
 
--- old/usr/src/uts/Makefile.uts	Thu Aug  8 11:18:30 2019
+++ new/usr/src/uts/Makefile.uts	Thu Aug  8 11:18:30 2019
@@ -222,6 +222,11 @@
 CERRWARN += -_gcc=-Wno-unused-parameter
 CERRWARN += -_gcc=-Wno-missing-field-initializers
 
+# gcc4 lacks -Wno-maybe-uninitialized
+CNOWARN_UNINIT = -_gcc4=-Wno-uninitialized \
+    -_gcc7=-Wno-maybe-uninitialized \
+    -_gcc8=-Wno-maybe-uninitialized
+
 # DEBUG v. -nd make for frequent unused variables, empty conditions, etc. in
 # -nd builds
 $(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused
--- old/usr/src/uts/common/vm/vm_pagelist.c	Thu Aug  8 11:18:32 2019
+++ new/usr/src/uts/common/vm/vm_pagelist.c	Thu Aug  8 11:18:32 2019
@@ -4179,8 +4179,7 @@
 	if (PP_ISKAS(like_pp))
 		pgrflags |= PGR_SAMESZC;
 
-	/* LINTED */
-	MTYPE_PGR_INIT(mtype, flags, like_pp, page_mnode, npgs);
+	MTYPE_PGR_INIT(mtype, flags, like_pp, npgs);
 
 	while (npgs) {
 		pplist = NULL;
--- old/usr/src/uts/i86pc/acpidev/Makefile	Thu Aug  8 11:18:35 2019
+++ new/usr/src/uts/i86pc/acpidev/Makefile	Thu Aug  8 11:18:35 2019
@@ -61,7 +61,7 @@
 #
 LDFLAGS		+= -dy -N misc/acpica
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/i86pc/amd_iommu/Makefile	Thu Aug  8 11:18:36 2019
+++ new/usr/src/uts/i86pc/amd_iommu/Makefile	Thu Aug  8 11:18:36 2019
@@ -57,7 +57,7 @@
 #
 LDFLAGS         += -dy -Nmisc/iommulib -Nmisc/acpica
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/cpr/Makefile	Thu Aug  8 11:18:36 2019
+++ new/usr/src/uts/i86pc/cpr/Makefile	Thu Aug  8 11:18:36 2019
@@ -69,7 +69,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 $(OBJS_DIR)/cpr_impl.o :=	CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/cpudrv/Makefile	Thu Aug  8 11:18:37 2019
+++ new/usr/src/uts/i86pc/cpudrv/Makefile	Thu Aug  8 11:18:37 2019
@@ -52,7 +52,7 @@
 
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/dr/Makefile	Thu Aug  8 11:18:37 2019
+++ new/usr/src/uts/i86pc/dr/Makefile	Thu Aug  8 11:18:37 2019
@@ -62,7 +62,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/i86pc/generic_cpu/Makefile	Thu Aug  8 11:18:37 2019
+++ new/usr/src/uts/i86pc/generic_cpu/Makefile	Thu Aug  8 11:18:37 2019
@@ -43,7 +43,7 @@
 include ../cpu/Makefile.cpu
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #       Define targets
--- old/usr/src/uts/i86pc/gfx_private/Makefile	Thu Aug  8 11:18:38 2019
+++ new/usr/src/uts/i86pc/gfx_private/Makefile	Thu Aug  8 11:18:38 2019
@@ -65,7 +65,7 @@
 # to investigate and remove these for maximum coverage.
 # Please do not carry these forward to new Makefiles.
 #
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/i86pc/i86hvm/xpvd/Makefile	Thu Aug  8 11:18:38 2019
+++ new/usr/src/uts/i86pc/i86hvm/xpvd/Makefile	Thu Aug  8 11:18:38 2019
@@ -59,7 +59,7 @@
 CPPFLAGS	+= -DHVMPV_XPVD_VERS=1
 LDFLAGS		+= -dy -Ndrv/xpv
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86pc/ioat/Makefile	Thu Aug  8 11:18:39 2019
+++ new/usr/src/uts/i86pc/ioat/Makefile	Thu Aug  8 11:18:39 2019
@@ -57,7 +57,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Dependency
--- old/usr/src/uts/i86pc/npe/Makefile	Thu Aug  8 11:18:39 2019
+++ new/usr/src/uts/i86pc/npe/Makefile	Thu Aug  8 11:18:39 2019
@@ -75,7 +75,7 @@
 # to investigate and remove these for maximum coverage.
 # Please do not carry these forward to new Makefiles.
 #
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86pc/pci/Makefile	Thu Aug  8 11:18:40 2019
+++ new/usr/src/uts/i86pc/pci/Makefile	Thu Aug  8 11:18:40 2019
@@ -73,7 +73,7 @@
 # Please do not carry these forward to new Makefiles.
 #
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/i86pc/pcie/Makefile	Thu Aug  8 11:18:40 2019
+++ new/usr/src/uts/i86pc/pcie/Makefile	Thu Aug  8 11:18:40 2019
@@ -57,7 +57,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CERRWARN	+= -_gcc=-Wno-unused-value
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function # safe
--- old/usr/src/uts/i86pc/ppm/Makefile	Thu Aug  8 11:18:40 2019
+++ new/usr/src/uts/i86pc/ppm/Makefile	Thu Aug  8 11:18:40 2019
@@ -62,7 +62,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 #
--- old/usr/src/uts/i86pc/rootnex/Makefile	Thu Aug  8 11:18:41 2019
+++ new/usr/src/uts/i86pc/rootnex/Makefile	Thu Aug  8 11:18:41 2019
@@ -64,7 +64,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/immu_qinv.o := SMOFF += index_overflow
--- old/usr/src/uts/i86pc/tzmon/Makefile	Thu Aug  8 11:18:41 2019
+++ new/usr/src/uts/i86pc/tzmon/Makefile	Thu Aug  8 11:18:41 2019
@@ -70,7 +70,7 @@
 # to investigate and remove these for maximum coverage.
 # Please do not carry these forward to new Makefiles.
 #
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86pc/unix/Makefile	Thu Aug  8 11:18:42 2019
+++ new/usr/src/uts/i86pc/unix/Makefile	Thu Aug  8 11:18:42 2019
@@ -129,7 +129,7 @@
 # Please do not carry these forward to new Makefiles.
 #
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/i86pc/vm/vm_dep.h	Thu Aug  8 11:18:42 2019
+++ new/usr/src/uts/i86pc/vm/vm_dep.h	Thu Aug  8 11:18:42 2019
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 /*
  * Copyright (c) 2010, Intel Corporation.
@@ -305,9 +306,9 @@
 	}								\
 }
 
-extern int mtype_pgr_init(int *, page_t *, int, pgcnt_t);
-#define	MTYPE_PGR_INIT(mtype, flags, pp, mnode, pgcnt)			\
-	(mtype = mtype_pgr_init(&flags, pp, mnode, pgcnt))
+extern int mtype_pgr_init(int *, page_t *, pgcnt_t);
+#define	MTYPE_PGR_INIT(mtype, flags, pp, pgcnt)				\
+	(mtype = mtype_pgr_init(&flags, pp, pgcnt))
 
 #define	MNODE_PGCNT(mnode)		mnode_pgcnt(mnode)
 
--- old/usr/src/uts/i86pc/vm/vm_machdep.c	Thu Aug  8 11:18:43 2019
+++ new/usr/src/uts/i86pc/vm/vm_machdep.c	Thu Aug  8 11:18:43 2019
@@ -1621,7 +1621,7 @@
 /* mtype init for page_get_replacement_page */
 /*ARGSUSED*/
 int
-mtype_pgr_init(int *flags, page_t *pp, int mnode, pgcnt_t pgcnt)
+mtype_pgr_init(int *flags, page_t *pp, pgcnt_t pgcnt)
 {
 	int mtype = mtypetop;
 #if !defined(__xpv)
--- old/usr/src/uts/i86pc/xsvc/Makefile	Thu Aug  8 11:18:43 2019
+++ new/usr/src/uts/i86pc/xsvc/Makefile	Thu Aug  8 11:18:43 2019
@@ -67,7 +67,7 @@
 MODSTUBS_DIR	 = $(OBJS_DIR)
 CLEANFILES	+= $(MODSTUBS_O)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86xpv/generic_cpu/Makefile	Thu Aug  8 11:18:43 2019
+++ new/usr/src/uts/i86xpv/generic_cpu/Makefile	Thu Aug  8 11:18:43 2019
@@ -45,7 +45,7 @@
 include $(UTSBASE)/i86pc/cpu/Makefile.files
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
 #
--- old/usr/src/uts/i86xpv/gfx_private/Makefile	Thu Aug  8 11:18:44 2019
+++ new/usr/src/uts/i86xpv/gfx_private/Makefile	Thu Aug  8 11:18:44 2019
@@ -66,7 +66,7 @@
 LINTTAGS +=	-erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS +=	-erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/i86xpv/ioat/Makefile	Thu Aug  8 11:18:44 2019
+++ new/usr/src/uts/i86xpv/ioat/Makefile	Thu Aug  8 11:18:44 2019
@@ -59,7 +59,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Dependency
--- old/usr/src/uts/i86xpv/npe/Makefile	Thu Aug  8 11:18:45 2019
+++ new/usr/src/uts/i86xpv/npe/Makefile	Thu Aug  8 11:18:45 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86xpv/pci/Makefile	Thu Aug  8 11:18:45 2019
+++ new/usr/src/uts/i86xpv/pci/Makefile	Thu Aug  8 11:18:45 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86xpv/privcmd/Makefile	Thu Aug  8 11:18:46 2019
+++ new/usr/src/uts/i86xpv/privcmd/Makefile	Thu Aug  8 11:18:46 2019
@@ -58,7 +58,7 @@
 
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86xpv/rootnex/Makefile	Thu Aug  8 11:18:46 2019
+++ new/usr/src/uts/i86xpv/rootnex/Makefile	Thu Aug  8 11:18:46 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/i86xpv/unix/Makefile	Thu Aug  8 11:18:46 2019
+++ new/usr/src/uts/i86xpv/unix/Makefile	Thu Aug  8 11:18:46 2019
@@ -140,7 +140,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/i86xpv/xdt/Makefile	Thu Aug  8 11:18:47 2019
+++ new/usr/src/uts/i86xpv/xdt/Makefile	Thu Aug  8 11:18:47 2019
@@ -40,7 +40,7 @@
 
 LDFLAGS		+= -dy -Ndrv/dtrace
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/i86xpv/xnb/Makefile	Thu Aug  8 11:18:48 2019
+++ new/usr/src/uts/i86xpv/xnb/Makefile	Thu Aug  8 11:18:48 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += signed
--- old/usr/src/uts/i86xpv/xpv_psm/Makefile	Thu Aug  8 11:18:48 2019
+++ new/usr/src/uts/i86xpv/xpv_psm/Makefile	Thu Aug  8 11:18:48 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86xpv/xpvd/Makefile	Thu Aug  8 11:18:49 2019
+++ new/usr/src/uts/i86xpv/xpvd/Makefile	Thu Aug  8 11:18:49 2019
@@ -58,7 +58,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86xpv/xsvc/Makefile	Thu Aug  8 11:18:49 2019
+++ new/usr/src/uts/i86xpv/xsvc/Makefile	Thu Aug  8 11:18:49 2019
@@ -66,7 +66,7 @@
 MODSTUBS_DIR	 = $(OBJS_DIR)
 CLEANFILES	+= $(MODSTUBS_O)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/FSS/Makefile	Thu Aug  8 11:18:49 2019
+++ new/usr/src/uts/intel/FSS/Makefile	Thu Aug  8 11:18:49 2019
@@ -63,7 +63,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/fss.o := SMOFF += deref_check
--- old/usr/src/uts/intel/aac/Makefile	Thu Aug  8 11:18:50 2019
+++ new/usr/src/uts/intel/aac/Makefile	Thu Aug  8 11:18:50 2019
@@ -66,7 +66,7 @@
 # 	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/intel/acpica/Makefile	Thu Aug  8 11:18:51 2019
+++ new/usr/src/uts/intel/acpica/Makefile	Thu Aug  8 11:18:51 2019
@@ -63,7 +63,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/intel/aggr/Makefile	Thu Aug  8 11:18:51 2019
+++ new/usr/src/uts/intel/aggr/Makefile	Thu Aug  8 11:18:51 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/ahci/Makefile	Thu Aug  8 11:18:52 2019
+++ new/usr/src/uts/intel/ahci/Makefile	Thu Aug  8 11:18:52 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #
--- old/usr/src/uts/intel/arcmsr/Makefile	Thu Aug  8 11:18:52 2019
+++ new/usr/src/uts/intel/arcmsr/Makefile	Thu Aug  8 11:18:52 2019
@@ -45,7 +45,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/arcmsr.o := SMOFF += deref_check
--- old/usr/src/uts/intel/arn/Makefile	Thu Aug  8 11:18:52 2019
+++ new/usr/src/uts/intel/arn/Makefile	Thu Aug  8 11:18:52 2019
@@ -63,7 +63,7 @@
 LINTTAGS        += -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
 # various issues
--- old/usr/src/uts/intel/asy/Makefile	Thu Aug  8 11:18:53 2019
+++ new/usr/src/uts/intel/asy/Makefile	Thu Aug  8 11:18:53 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/intel/ata/Makefile	Thu Aug  8 11:18:53 2019
+++ new/usr/src/uts/intel/ata/Makefile	Thu Aug  8 11:18:54 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Depends on scsi
--- old/usr/src/uts/intel/atge/Makefile	Thu Aug  8 11:18:54 2019
+++ new/usr/src/uts/intel/atge/Makefile	Thu Aug  8 11:18:54 2019
@@ -56,7 +56,7 @@
 #	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/intel/audio/Makefile	Thu Aug  8 11:18:55 2019
+++ new/usr/src/uts/intel/audio/Makefile	Thu Aug  8 11:18:55 2019
@@ -45,7 +45,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/audio_grc3.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/audiocmi/Makefile	Thu Aug  8 11:18:55 2019
+++ new/usr/src/uts/intel/audiocmi/Makefile	Thu Aug  8 11:18:55 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiocmihd/Makefile	Thu Aug  8 11:18:55 2019
+++ new/usr/src/uts/intel/audiocmihd/Makefile	Thu Aug  8 11:18:55 2019
@@ -57,7 +57,7 @@
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audioemu10k/Makefile	Thu Aug  8 11:18:56 2019
+++ new/usr/src/uts/intel/audioemu10k/Makefile	Thu Aug  8 11:18:56 2019
@@ -59,7 +59,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/audioens/Makefile	Thu Aug  8 11:18:56 2019
+++ new/usr/src/uts/intel/audioens/Makefile	Thu Aug  8 11:18:56 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiohd/Makefile	Thu Aug  8 11:18:57 2019
+++ new/usr/src/uts/intel/audiohd/Makefile	Thu Aug  8 11:18:57 2019
@@ -62,7 +62,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS		+= -dy -Ndrv/audio
 
--- old/usr/src/uts/intel/audiop16x/Makefile	Thu Aug  8 11:18:57 2019
+++ new/usr/src/uts/intel/audiop16x/Makefile	Thu Aug  8 11:18:57 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiopci/Makefile	Thu Aug  8 11:18:58 2019
+++ new/usr/src/uts/intel/audiopci/Makefile	Thu Aug  8 11:18:58 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiosolo/Makefile	Thu Aug  8 11:18:58 2019
+++ new/usr/src/uts/intel/audiosolo/Makefile	Thu Aug  8 11:18:58 2019
@@ -53,7 +53,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += assign_vs_compare
--- old/usr/src/uts/intel/autofs/Makefile	Thu Aug  8 11:18:58 2019
+++ new/usr/src/uts/intel/autofs/Makefile	Thu Aug  8 11:18:58 2019
@@ -74,7 +74,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/av1394/Makefile	Thu Aug  8 11:18:59 2019
+++ new/usr/src/uts/intel/av1394/Makefile	Thu Aug  8 11:18:59 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/intel/bfe/Makefile	Thu Aug  8 11:19:00 2019
+++ new/usr/src/uts/intel/bfe/Makefile	Thu Aug  8 11:19:00 2019
@@ -69,7 +69,7 @@
 CFLAGS		+= $(CPPFLAGS)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on MAC & IP
--- old/usr/src/uts/intel/bge/Makefile	Thu Aug  8 11:19:00 2019
+++ new/usr/src/uts/intel/bge/Makefile	Thu Aug  8 11:19:00 2019
@@ -65,7 +65,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN       += -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/blowfish/Makefile	Thu Aug  8 11:19:00 2019
+++ new/usr/src/uts/intel/blowfish/Makefile	Thu Aug  8 11:19:00 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/bnxe/Makefile	Thu Aug  8 11:19:01 2019
+++ new/usr/src/uts/intel/bnxe/Makefile	Thu Aug  8 11:19:01 2019
@@ -86,7 +86,7 @@
 
 LDFLAGS		+= -dy -r -Ndrv/ip -Nmisc/mac
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
--- old/usr/src/uts/intel/bofi/Makefile	Thu Aug  8 11:19:01 2019
+++ new/usr/src/uts/intel/bofi/Makefile	Thu Aug  8 11:19:01 2019
@@ -69,7 +69,7 @@
 
 CPPFLAGS	+= -I../../sun4
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/bofi.o := SMOFF += signed_integer_overflow_check,deref_check
--- old/usr/src/uts/intel/bpf/Makefile	Thu Aug  8 11:19:01 2019
+++ new/usr/src/uts/intel/bpf/Makefile	Thu Aug  8 11:19:02 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/bpf.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/bridge/Makefile	Thu Aug  8 11:19:02 2019
+++ new/usr/src/uts/intel/bridge/Makefile	Thu Aug  8 11:19:02 2019
@@ -57,7 +57,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/bscv/Makefile	Thu Aug  8 11:19:02 2019
+++ new/usr/src/uts/intel/bscv/Makefile	Thu Aug  8 11:19:03 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 #
--- old/usr/src/uts/intel/busra/Makefile	Thu Aug  8 11:19:03 2019
+++ new/usr/src/uts/intel/busra/Makefile	Thu Aug  8 11:19:03 2019
@@ -52,7 +52,7 @@
 include $(UTSBASE)/intel/Makefile.intel
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/c2audit/Makefile	Thu Aug  8 11:19:03 2019
+++ new/usr/src/uts/intel/c2audit/Makefile	Thu Aug  8 11:19:03 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/cardbus/Makefile	Thu Aug  8 11:19:04 2019
+++ new/usr/src/uts/intel/cardbus/Makefile	Thu Aug  8 11:19:04 2019
@@ -81,7 +81,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/cmdk/Makefile	Thu Aug  8 11:19:04 2019
+++ new/usr/src/uts/intel/cmdk/Makefile	Thu Aug  8 11:19:04 2019
@@ -67,7 +67,7 @@
 CPPFLAGS	+= -D_EXTVTOC
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/intel/cmlb/Makefile	Thu Aug  8 11:19:05 2019
+++ new/usr/src/uts/intel/cmlb/Makefile	Thu Aug  8 11:19:05 2019
@@ -75,7 +75,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/cmlb.o := SMOFF += signed
--- old/usr/src/uts/intel/core_pcbe/Makefile	Thu Aug  8 11:19:06 2019
+++ new/usr/src/uts/intel/core_pcbe/Makefile	Thu Aug  8 11:19:06 2019
@@ -118,7 +118,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
 CPPFLAGS	+= -I$(UTSBASE)/intel/core_pcbe
--- old/usr/src/uts/intel/cryptmod/Makefile	Thu Aug  8 11:19:08 2019
+++ new/usr/src/uts/intel/cryptmod/Makefile	Thu Aug  8 11:19:08 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/crypto/Makefile	Thu Aug  8 11:19:09 2019
+++ new/usr/src/uts/intel/crypto/Makefile	Thu Aug  8 11:19:09 2019
@@ -56,7 +56,7 @@
 
 LDFLAGS		+= -dy -Nmisc/kcf
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/cryptoadm/Makefile	Thu Aug  8 11:19:11 2019
+++ new/usr/src/uts/intel/cryptoadm/Makefile	Thu Aug  8 11:19:11 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ctf/Makefile	Thu Aug  8 11:19:12 2019
+++ new/usr/src/uts/intel/ctf/Makefile	Thu Aug  8 11:19:12 2019
@@ -52,7 +52,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/intel/daplt/Makefile	Thu Aug  8 11:19:13 2019
+++ new/usr/src/uts/intel/daplt/Makefile	Thu Aug  8 11:19:13 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/daplt.o := SMOFF += all_func_returns,deref_check
--- old/usr/src/uts/intel/dcam1394/Makefile	Thu Aug  8 11:19:14 2019
+++ new/usr/src/uts/intel/dcam1394/Makefile	Thu Aug  8 11:19:14 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dcfs/Makefile	Thu Aug  8 11:19:15 2019
+++ new/usr/src/uts/intel/dcfs/Makefile	Thu Aug  8 11:19:15 2019
@@ -59,7 +59,7 @@
 CFLAGS		+= $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/des/Makefile	Thu Aug  8 11:19:16 2019
+++ new/usr/src/uts/intel/des/Makefile	Thu Aug  8 11:19:16 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/dev/Makefile	Thu Aug  8 11:19:16 2019
+++ new/usr/src/uts/intel/dev/Makefile	Thu Aug  8 11:19:16 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/devinfo/Makefile	Thu Aug  8 11:19:17 2019
+++ new/usr/src/uts/intel/devinfo/Makefile	Thu Aug  8 11:19:17 2019
@@ -62,7 +62,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
 
--- old/usr/src/uts/intel/dld/Makefile	Thu Aug  8 11:19:18 2019
+++ new/usr/src/uts/intel/dld/Makefile	Thu Aug  8 11:19:18 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/dls/Makefile	Thu Aug  8 11:19:19 2019
+++ new/usr/src/uts/intel/dls/Makefile	Thu Aug  8 11:19:19 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/dls_link.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/dmfe/Makefile	Thu Aug  8 11:19:19 2019
+++ new/usr/src/uts/intel/dmfe/Makefile	Thu Aug  8 11:19:20 2019
@@ -56,7 +56,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # extra link arguments
--- old/usr/src/uts/intel/dnet/Makefile	Thu Aug  8 11:19:20 2019
+++ new/usr/src/uts/intel/dnet/Makefile	Thu Aug  8 11:19:20 2019
@@ -61,7 +61,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/dnet.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/doorfs/Makefile	Thu Aug  8 11:19:21 2019
+++ new/usr/src/uts/intel/doorfs/Makefile	Thu Aug  8 11:19:21 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/door_sys.o := SMOFF += deref_check
--- old/usr/src/uts/intel/dscpmk/Makefile	Thu Aug  8 11:19:21 2019
+++ new/usr/src/uts/intel/dscpmk/Makefile	Thu Aug  8 11:19:21 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/dtrace/Makefile	Thu Aug  8 11:19:22 2019
+++ new/usr/src/uts/intel/dtrace/Makefile	Thu Aug  8 11:19:22 2019
@@ -48,7 +48,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/dtrace.o := SMOFF += signed_integer_overflow_check,deref_check
--- old/usr/src/uts/intel/e1000g/Makefile	Thu Aug  8 11:19:22 2019
+++ new/usr/src/uts/intel/e1000g/Makefile	Thu Aug  8 11:19:22 2019
@@ -58,7 +58,7 @@
 
 CFLAGS += $(CFLAGS_CPP_COMMENTS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/intel/ecc/Makefile	Thu Aug  8 11:19:22 2019
+++ new/usr/src/uts/intel/ecc/Makefile	Thu Aug  8 11:19:22 2019
@@ -66,7 +66,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/ecpp/Makefile	Thu Aug  8 11:19:23 2019
+++ new/usr/src/uts/intel/ecpp/Makefile	Thu Aug  8 11:19:23 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/intel/efe/Makefile	Thu Aug  8 11:19:23 2019
+++ new/usr/src/uts/intel/efe/Makefile	Thu Aug  8 11:19:23 2019
@@ -40,7 +40,7 @@
 CFLAGS		+= $(CCVERBOSE)
 LDFLAGS		+= -dy -N misc/mac -N misc/mii
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ehci/Makefile	Thu Aug  8 11:19:24 2019
+++ new/usr/src/uts/intel/ehci/Makefile	Thu Aug  8 11:19:24 2019
@@ -43,7 +43,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # needs work
--- old/usr/src/uts/intel/eibnx/Makefile	Thu Aug  8 11:19:25 2019
+++ new/usr/src/uts/intel/eibnx/Makefile	Thu Aug  8 11:19:25 2019
@@ -76,7 +76,7 @@
 LINTTAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/enx_ibt.o := SMOFF += deref_check
--- old/usr/src/uts/intel/elfexec/Makefile	Thu Aug  8 11:19:26 2019
+++ new/usr/src/uts/intel/elfexec/Makefile	Thu Aug  8 11:19:26 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/elxl/Makefile	Thu Aug  8 11:19:27 2019
+++ new/usr/src/uts/intel/elxl/Makefile	Thu Aug  8 11:19:27 2019
@@ -61,7 +61,7 @@
 #
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #
--- old/usr/src/uts/intel/emlxs/Makefile	Thu Aug  8 11:19:28 2019
+++ new/usr/src/uts/intel/emlxs/Makefile	Thu Aug  8 11:19:28 2019
@@ -94,7 +94,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 SMOFF += indenting,deref_check,all_func_returns
 
--- old/usr/src/uts/intel/emul64/Makefile	Thu Aug  8 11:19:28 2019
+++ new/usr/src/uts/intel/emul64/Makefile	Thu Aug  8 11:19:28 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += indenting,shift_to_zero
--- old/usr/src/uts/intel/eoib/Makefile	Thu Aug  8 11:19:29 2019
+++ new/usr/src/uts/intel/eoib/Makefile	Thu Aug  8 11:19:29 2019
@@ -65,7 +65,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/eib_ibt.o := SMOFF += deref_check
--- old/usr/src/uts/intel/fasttrap/Makefile	Thu Aug  8 11:19:30 2019
+++ new/usr/src/uts/intel/fasttrap/Makefile	Thu Aug  8 11:19:30 2019
@@ -43,7 +43,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 LDFLAGS		+= -dy -Ndrv/dtrace
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/intel/fcp/Makefile	Thu Aug  8 11:19:31 2019
+++ new/usr/src/uts/intel/fcp/Makefile	Thu Aug  8 11:19:31 2019
@@ -66,7 +66,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 SMATCH=off
 
--- old/usr/src/uts/intel/fcsm/Makefile	Thu Aug  8 11:19:31 2019
+++ new/usr/src/uts/intel/fcsm/Makefile	Thu Aug  8 11:19:31 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/fct/Makefile	Thu Aug  8 11:19:32 2019
+++ new/usr/src/uts/intel/fct/Makefile	Thu Aug  8 11:19:32 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += strcpy_overflow
--- old/usr/src/uts/intel/fctl/Makefile	Thu Aug  8 11:19:32 2019
+++ new/usr/src/uts/intel/fctl/Makefile	Thu Aug  8 11:19:32 2019
@@ -63,7 +63,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/fctl.o := SMOFF += all_func_returns,deref_check
--- old/usr/src/uts/intel/fd/Makefile	Thu Aug  8 11:19:33 2019
+++ new/usr/src/uts/intel/fd/Makefile	Thu Aug  8 11:19:33 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/fd.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/flowacct/Makefile	Thu Aug  8 11:19:34 2019
+++ new/usr/src/uts/intel/flowacct/Makefile	Thu Aug  8 11:19:34 2019
@@ -66,7 +66,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/fp/Makefile	Thu Aug  8 11:19:35 2019
+++ new/usr/src/uts/intel/fp/Makefile	Thu Aug  8 11:19:35 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 # needs work
--- old/usr/src/uts/intel/genunix/Makefile	Thu Aug  8 11:19:35 2019
+++ new/usr/src/uts/intel/genunix/Makefile	Thu Aug  8 11:19:35 2019
@@ -107,7 +107,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
--- old/usr/src/uts/intel/gld/Makefile	Thu Aug  8 11:19:35 2019
+++ new/usr/src/uts/intel/gld/Makefile	Thu Aug  8 11:19:35 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/intel/hci1394/Makefile	Thu Aug  8 11:19:36 2019
+++ new/usr/src/uts/intel/hci1394/Makefile	Thu Aug  8 11:19:36 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/intel/hermon/Makefile	Thu Aug  8 11:19:36 2019
+++ new/usr/src/uts/intel/hermon/Makefile	Thu Aug  8 11:19:36 2019
@@ -71,7 +71,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/hidparser/Makefile	Thu Aug  8 11:19:37 2019
+++ new/usr/src/uts/intel/hidparser/Makefile	Thu Aug  8 11:19:37 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/hme/Makefile	Thu Aug  8 11:19:37 2019
+++ new/usr/src/uts/intel/hme/Makefile	Thu Aug  8 11:19:37 2019
@@ -60,7 +60,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/hme.o := SMOFF += indenting,deref_check
--- old/usr/src/uts/intel/hook/Makefile	Thu Aug  8 11:19:37 2019
+++ new/usr/src/uts/intel/hook/Makefile	Thu Aug  8 11:19:37 2019
@@ -51,7 +51,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/hook.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/hpcsvc/Makefile	Thu Aug  8 11:19:38 2019
+++ new/usr/src/uts/intel/hpcsvc/Makefile	Thu Aug  8 11:19:38 2019
@@ -57,7 +57,7 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/hpcsvc.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/hsfs/Makefile	Thu Aug  8 11:19:38 2019
+++ new/usr/src/uts/intel/hsfs/Makefile	Thu Aug  8 11:19:38 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
--- old/usr/src/uts/intel/hxge/Makefile	Thu Aug  8 11:19:39 2019
+++ new/usr/src/uts/intel/hxge/Makefile	Thu Aug  8 11:19:39 2019
@@ -83,7 +83,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 SMOFF += deref_check,logical_instead_of_bitwise
--- old/usr/src/uts/intel/ib/Makefile	Thu Aug  8 11:19:39 2019
+++ new/usr/src/uts/intel/ib/Makefile	Thu Aug  8 11:19:40 2019
@@ -59,7 +59,7 @@
 #	Overrides.
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/intel/ibcm/Makefile	Thu Aug  8 11:19:40 2019
+++ new/usr/src/uts/intel/ibcm/Makefile	Thu Aug  8 11:19:40 2019
@@ -63,7 +63,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 # needs work
--- old/usr/src/uts/intel/ibdm/Makefile	Thu Aug  8 11:19:41 2019
+++ new/usr/src/uts/intel/ibdm/Makefile	Thu Aug  8 11:19:41 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ibmf/Makefile	Thu Aug  8 11:19:42 2019
+++ new/usr/src/uts/intel/ibmf/Makefile	Thu Aug  8 11:19:42 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/ibp/Makefile	Thu Aug  8 11:19:42 2019
+++ new/usr/src/uts/intel/ibp/Makefile	Thu Aug  8 11:19:42 2019
@@ -59,7 +59,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # needs work
--- old/usr/src/uts/intel/ibtl/Makefile	Thu Aug  8 11:19:43 2019
+++ new/usr/src/uts/intel/ibtl/Makefile	Thu Aug  8 11:19:43 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
--- old/usr/src/uts/intel/idm/Makefile	Thu Aug  8 11:19:44 2019
+++ new/usr/src/uts/intel/idm/Makefile	Thu Aug  8 11:19:44 2019
@@ -60,7 +60,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/igb/Makefile	Thu Aug  8 11:19:45 2019
+++ new/usr/src/uts/intel/igb/Makefile	Thu Aug  8 11:19:45 2019
@@ -49,7 +49,7 @@
 	-I$(UTSBASE)/common/io/e1000api
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
 # needs work
--- old/usr/src/uts/intel/intel_nb5000/Makefile	Thu Aug  8 11:19:46 2019
+++ new/usr/src/uts/intel/intel_nb5000/Makefile	Thu Aug  8 11:19:46 2019
@@ -62,7 +62,7 @@
 LDFLAGS         += -dy -N drv/smbios
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/intel_nhm/Makefile	Thu Aug  8 11:19:46 2019
+++ new/usr/src/uts/intel/intel_nhm/Makefile	Thu Aug  8 11:19:46 2019
@@ -56,7 +56,7 @@
 CPPFLAGS	+=  -I$(UTSBASE)/i86pc
 LDFLAGS		+= -dy -N drv/smbios
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #       Default build targets.
--- old/usr/src/uts/intel/ip/Makefile	Thu Aug  8 11:19:47 2019
+++ new/usr/src/uts/intel/ip/Makefile	Thu Aug  8 11:19:47 2019
@@ -66,7 +66,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # false positives
--- old/usr/src/uts/intel/ipc/Makefile	Thu Aug  8 11:19:48 2019
+++ new/usr/src/uts/intel/ipc/Makefile	Thu Aug  8 11:19:48 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ipf/Makefile	Thu Aug  8 11:19:49 2019
+++ new/usr/src/uts/intel/ipf/Makefile	Thu Aug  8 11:19:49 2019
@@ -69,7 +69,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/intel/ipgpc/Makefile	Thu Aug  8 11:19:50 2019
+++ new/usr/src/uts/intel/ipgpc/Makefile	Thu Aug  8 11:19:50 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/filters.o := SMOFF += deref_check
--- old/usr/src/uts/intel/ipsecah/Makefile	Thu Aug  8 11:19:51 2019
+++ new/usr/src/uts/intel/ipsecah/Makefile	Thu Aug  8 11:19:51 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/ipsecahddi.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/ipsecesp/Makefile	Thu Aug  8 11:19:52 2019
+++ new/usr/src/uts/intel/ipsecesp/Makefile	Thu Aug  8 11:19:52 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/ipsecespddi.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/iptun/Makefile	Thu Aug  8 11:19:53 2019
+++ new/usr/src/uts/intel/iptun/Makefile	Thu Aug  8 11:19:53 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ipw/Makefile	Thu Aug  8 11:19:53 2019
+++ new/usr/src/uts/intel/ipw/Makefile	Thu Aug  8 11:19:53 2019
@@ -51,7 +51,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/ipw2100.o := SMOFF += deref_check
--- old/usr/src/uts/intel/iscsi/Makefile	Thu Aug  8 11:19:53 2019
+++ new/usr/src/uts/intel/iscsi/Makefile	Thu Aug  8 11:19:53 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/iscsit/Makefile	Thu Aug  8 11:19:54 2019
+++ new/usr/src/uts/intel/iscsit/Makefile	Thu Aug  8 11:19:54 2019
@@ -60,7 +60,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # needs work
--- old/usr/src/uts/intel/iser/Makefile	Thu Aug  8 11:19:54 2019
+++ new/usr/src/uts/intel/iser/Makefile	Thu Aug  8 11:19:55 2019
@@ -45,7 +45,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/iser_ib.o := SMOFF += deref_check
--- old/usr/src/uts/intel/iwh/Makefile	Thu Aug  8 11:19:55 2019
+++ new/usr/src/uts/intel/iwh/Makefile	Thu Aug  8 11:19:55 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 CPPFLAGS	+= -I. -D_KERNEL
 
--- old/usr/src/uts/intel/iwk/Makefile	Thu Aug  8 11:19:55 2019
+++ new/usr/src/uts/intel/iwk/Makefile	Thu Aug  8 11:19:55 2019
@@ -65,7 +65,7 @@
 LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/iwk2.o := SMOFF += precedence
--- old/usr/src/uts/intel/iwp/Makefile	Thu Aug  8 11:19:56 2019
+++ new/usr/src/uts/intel/iwp/Makefile	Thu Aug  8 11:19:56 2019
@@ -64,7 +64,7 @@
 LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip 
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ixgbe/Makefile	Thu Aug  8 11:19:56 2019
+++ new/usr/src/uts/intel/ixgbe/Makefile	Thu Aug  8 11:19:56 2019
@@ -57,7 +57,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
--- old/usr/src/uts/intel/kaio/Makefile	Thu Aug  8 11:19:57 2019
+++ new/usr/src/uts/intel/kaio/Makefile	Thu Aug  8 11:19:57 2019
@@ -73,7 +73,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/kcf/Makefile	Thu Aug  8 11:19:57 2019
+++ new/usr/src/uts/intel/kcf/Makefile	Thu Aug  8 11:19:57 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/intel/kgssapi/Makefile	Thu Aug  8 11:19:58 2019
+++ new/usr/src/uts/intel/kgssapi/Makefile	Thu Aug  8 11:19:58 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/gssd_clnt_stubs.o := SMOFF += indenting,deref_check
--- old/usr/src/uts/intel/kmech_krb5/Makefile	Thu Aug  8 11:19:58 2019
+++ new/usr/src/uts/intel/kmech_krb5/Makefile	Thu Aug  8 11:19:58 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/kssl/Makefile	Thu Aug  8 11:19:59 2019
+++ new/usr/src/uts/intel/kssl/Makefile	Thu Aug  8 11:19:59 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ksslf/Makefile	Thu Aug  8 11:19:59 2019
+++ new/usr/src/uts/intel/ksslf/Makefile	Thu Aug  8 11:19:59 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/kstat/Makefile	Thu Aug  8 11:20:00 2019
+++ new/usr/src/uts/intel/kstat/Makefile	Thu Aug  8 11:20:00 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ldterm/Makefile	Thu Aug  8 11:20:00 2019
+++ new/usr/src/uts/intel/ldterm/Makefile	Thu Aug  8 11:20:00 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/llc1/Makefile	Thu Aug  8 11:20:01 2019
+++ new/usr/src/uts/intel/llc1/Makefile	Thu Aug  8 11:20:01 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/llc1.o := SMOFF += no_if_block,deref_check
--- old/usr/src/uts/intel/lofi/Makefile	Thu Aug  8 11:20:01 2019
+++ new/usr/src/uts/intel/lofi/Makefile	Thu Aug  8 11:20:01 2019
@@ -49,7 +49,7 @@
 #
 INC_PATH	+= -I$(SRC)/common/lzma
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/mac/Makefile	Thu Aug  8 11:20:02 2019
+++ new/usr/src/uts/intel/mac/Makefile	Thu Aug  8 11:20:02 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/mc-amd/Makefile	Thu Aug  8 11:20:03 2019
+++ new/usr/src/uts/intel/mc-amd/Makefile	Thu Aug  8 11:20:03 2019
@@ -62,7 +62,7 @@
 CLOBBERFILES	+= $(MCAMD_OFF_H)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #       Default build targets.
--- old/usr/src/uts/intel/mega_sas/Makefile	Thu Aug  8 11:20:04 2019
+++ new/usr/src/uts/intel/mega_sas/Makefile	Thu Aug  8 11:20:04 2019
@@ -62,7 +62,7 @@
 #
 LDFLAGS		+= -dy -Nmisc/scsi
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/megaraid_sas.o := SMOFF += snprintf_overflow,all_func_returns
--- old/usr/src/uts/intel/mii/Makefile	Thu Aug  8 11:20:04 2019
+++ new/usr/src/uts/intel/mii/Makefile	Thu Aug  8 11:20:04 2019
@@ -54,7 +54,7 @@
 LDFLAGS		+= -dy -N misc/mac
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/mpt_sas/Makefile	Thu Aug  8 11:20:05 2019
+++ new/usr/src/uts/intel/mpt_sas/Makefile	Thu Aug  8 11:20:05 2019
@@ -54,7 +54,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/mptsas_raid.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/mr_sas/Makefile	Thu Aug  8 11:20:05 2019
+++ new/usr/src/uts/intel/mr_sas/Makefile	Thu Aug  8 11:20:05 2019
@@ -58,7 +58,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/msgsys/Makefile	Thu Aug  8 11:20:05 2019
+++ new/usr/src/uts/intel/msgsys/Makefile	Thu Aug  8 11:20:05 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/mwl/Makefile	Thu Aug  8 11:20:06 2019
+++ new/usr/src/uts/intel/mwl/Makefile	Thu Aug  8 11:20:06 2019
@@ -65,7 +65,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 # needs work
--- old/usr/src/uts/intel/net80211/Makefile	Thu Aug  8 11:20:06 2019
+++ new/usr/src/uts/intel/net80211/Makefile	Thu Aug  8 11:20:06 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/nfs/Makefile	Thu Aug  8 11:20:07 2019
+++ new/usr/src/uts/intel/nfs/Makefile	Thu Aug  8 11:20:07 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/nfssrv/Makefile	Thu Aug  8 11:20:07 2019
+++ new/usr/src/uts/intel/nfssrv/Makefile	Thu Aug  8 11:20:07 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # needs work
--- old/usr/src/uts/intel/nge/Makefile	Thu Aug  8 11:20:07 2019
+++ new/usr/src/uts/intel/nge/Makefile	Thu Aug  8 11:20:08 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/nv_sata/Makefile	Thu Aug  8 11:20:08 2019
+++ new/usr/src/uts/intel/nv_sata/Makefile	Thu Aug  8 11:20:08 2019
@@ -75,7 +75,7 @@
 #
 LINTTAGS        += -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/nv_sata.o := SMOFF += deref_check
--- old/usr/src/uts/intel/nxge/Makefile	Thu Aug  8 11:20:08 2019
+++ new/usr/src/uts/intel/nxge/Makefile	Thu Aug  8 11:20:08 2019
@@ -87,7 +87,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # needs work
--- old/usr/src/uts/intel/objfs/Makefile	Thu Aug  8 11:20:09 2019
+++ new/usr/src/uts/intel/objfs/Makefile	Thu Aug  8 11:20:09 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/objfs_vfs.o := SMOFF += signed_integer_overflow_check
--- old/usr/src/uts/intel/oce/Makefile	Thu Aug  8 11:20:09 2019
+++ new/usr/src/uts/intel/oce/Makefile	Thu Aug  8 11:20:09 2019
@@ -58,7 +58,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/intel/ohci/Makefile	Thu Aug  8 11:20:09 2019
+++ new/usr/src/uts/intel/ohci/Makefile	Thu Aug  8 11:20:09 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/openeepr/Makefile	Thu Aug  8 11:20:10 2019
+++ new/usr/src/uts/intel/openeepr/Makefile	Thu Aug  8 11:20:10 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/openprom.o := SMOFF += cast_assign,strcpy_overflow
--- old/usr/src/uts/intel/p4_pcbe/Makefile	Thu Aug  8 11:20:10 2019
+++ new/usr/src/uts/intel/p4_pcbe/Makefile	Thu Aug  8 11:20:10 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/pcfs/Makefile	Thu Aug  8 11:20:11 2019
+++ new/usr/src/uts/intel/pcfs/Makefile	Thu Aug  8 11:20:11 2019
@@ -66,7 +66,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 # needs work
--- old/usr/src/uts/intel/pcic/Makefile	Thu Aug  8 11:20:12 2019
+++ new/usr/src/uts/intel/pcic/Makefile	Thu Aug  8 11:20:12 2019
@@ -77,7 +77,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += no_if_block,indenting,all_func_returns
--- old/usr/src/uts/intel/pcicfg/Makefile	Thu Aug  8 11:20:14 2019
+++ new/usr/src/uts/intel/pcicfg/Makefile	Thu Aug  8 11:20:14 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/pcicfg.o := SMOFF += deref_check
--- old/usr/src/uts/intel/pcmcia/Makefile	Thu Aug  8 11:20:15 2019
+++ new/usr/src/uts/intel/pcmcia/Makefile	Thu Aug  8 11:20:15 2019
@@ -81,7 +81,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/pm/Makefile	Thu Aug  8 11:20:16 2019
+++ new/usr/src/uts/intel/pm/Makefile	Thu Aug  8 11:20:16 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/pmcs/Makefile	Thu Aug  8 11:20:16 2019
+++ new/usr/src/uts/intel/pmcs/Makefile	Thu Aug  8 11:20:16 2019
@@ -63,7 +63,7 @@
 	-DPMCS_FIRMWARE_VERSION_STRING=\"${PMCS_FW_VERSION_STRING}\"
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
--- old/usr/src/uts/intel/poll/Makefile	Thu Aug  8 11:20:18 2019
+++ new/usr/src/uts/intel/poll/Makefile	Thu Aug  8 11:20:18 2019
@@ -49,7 +49,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # It's unfortunate that we have to disable this; however, it's lint's fault. We
--- old/usr/src/uts/intel/portfs/Makefile	Thu Aug  8 11:20:20 2019
+++ new/usr/src/uts/intel/portfs/Makefile	Thu Aug  8 11:20:20 2019
@@ -74,7 +74,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/pppt/Makefile	Thu Aug  8 11:20:22 2019
+++ new/usr/src/uts/intel/pppt/Makefile	Thu Aug  8 11:20:22 2019
@@ -63,7 +63,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/procfs/Makefile	Thu Aug  8 11:20:22 2019
+++ new/usr/src/uts/intel/procfs/Makefile	Thu Aug  8 11:20:22 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/prsubr.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/ptem/Makefile	Thu Aug  8 11:20:23 2019
+++ new/usr/src/uts/intel/ptem/Makefile	Thu Aug  8 11:20:23 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/qlc/Makefile	Thu Aug  8 11:20:24 2019
+++ new/usr/src/uts/intel/qlc/Makefile	Thu Aug  8 11:20:24 2019
@@ -78,7 +78,7 @@
 FWMODULES        = $(FWIMAGES:%=$(MODULE)_fw_%)
 FWMODULES_SRC    = $(FWIMAGES:%=$(CONF_SRCDIR)/ql_fw_%.c)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/qlge/Makefile	Thu Aug  8 11:20:25 2019
+++ new/usr/src/uts/intel/qlge/Makefile	Thu Aug  8 11:20:25 2019
@@ -65,7 +65,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/qlge.o := SMOFF += deref_check
--- old/usr/src/uts/intel/qlt/Makefile	Thu Aug  8 11:20:26 2019
+++ new/usr/src/uts/intel/qlt/Makefile	Thu Aug  8 11:20:26 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/rds/Makefile	Thu Aug  8 11:20:26 2019
+++ new/usr/src/uts/intel/rds/Makefile	Thu Aug  8 11:20:26 2019
@@ -42,7 +42,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/rdsib/Makefile	Thu Aug  8 11:20:28 2019
+++ new/usr/src/uts/intel/rdsib/Makefile	Thu Aug  8 11:20:28 2019
@@ -43,7 +43,7 @@
 include $(UTSBASE)/intel/Makefile.intel
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/rdsv3/Makefile	Thu Aug  8 11:20:30 2019
+++ new/usr/src/uts/intel/rdsv3/Makefile	Thu Aug  8 11:20:30 2019
@@ -63,7 +63,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/rge/Makefile	Thu Aug  8 11:20:31 2019
+++ new/usr/src/uts/intel/rge/Makefile	Thu Aug  8 11:20:31 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # looks like a real bug in rge_phy_update() !
 $(OBJS_DIR)/rge_chip.o := SMOFF += indenting
--- old/usr/src/uts/intel/rlmod/Makefile	Thu Aug  8 11:20:32 2019
+++ new/usr/src/uts/intel/rlmod/Makefile	Thu Aug  8 11:20:32 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/rpcib/Makefile	Thu Aug  8 11:20:33 2019
+++ new/usr/src/uts/intel/rpcib/Makefile	Thu Aug  8 11:20:33 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/rpcmod/Makefile	Thu Aug  8 11:20:35 2019
+++ new/usr/src/uts/intel/rpcmod/Makefile	Thu Aug  8 11:20:35 2019
@@ -84,7 +84,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/intel/rpcsec/Makefile	Thu Aug  8 11:20:36 2019
+++ new/usr/src/uts/intel/rpcsec/Makefile	Thu Aug  8 11:20:36 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/auth_des.o := SMOFF += deref_check
--- old/usr/src/uts/intel/rsa/Makefile	Thu Aug  8 11:20:38 2019
+++ new/usr/src/uts/intel/rsa/Makefile	Thu Aug  8 11:20:38 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/rsm/Makefile	Thu Aug  8 11:20:39 2019
+++ new/usr/src/uts/intel/rsm/Makefile	Thu Aug  8 11:20:39 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/rtls/Makefile	Thu Aug  8 11:20:41 2019
+++ new/usr/src/uts/intel/rtls/Makefile	Thu Aug  8 11:20:41 2019
@@ -56,7 +56,7 @@
 #	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on Mac
--- old/usr/src/uts/intel/s1394/Makefile	Thu Aug  8 11:20:42 2019
+++ new/usr/src/uts/intel/s1394/Makefile	Thu Aug  8 11:20:42 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/sad/Makefile	Thu Aug  8 11:20:45 2019
+++ new/usr/src/uts/intel/sad/Makefile	Thu Aug  8 11:20:45 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/sata/Makefile	Thu Aug  8 11:20:48 2019
+++ new/usr/src/uts/intel/sata/Makefile	Thu Aug  8 11:20:48 2019
@@ -90,7 +90,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/intel/scsa1394/Makefile	Thu Aug  8 11:20:49 2019
+++ new/usr/src/uts/intel/scsa1394/Makefile	Thu Aug  8 11:20:49 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/sbp2_driver.o := SMOFF += indenting
--- old/usr/src/uts/intel/scsa2usb/Makefile	Thu Aug  8 11:20:49 2019
+++ new/usr/src/uts/intel/scsa2usb/Makefile	Thu Aug  8 11:20:49 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/scsa2usb.o := SMOFF += deref_check
--- old/usr/src/uts/intel/scsi/Makefile	Thu Aug  8 11:20:50 2019
+++ new/usr/src/uts/intel/scsi/Makefile	Thu Aug  8 11:20:50 2019
@@ -74,7 +74,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/scsi_vhci/Makefile	Thu Aug  8 11:20:51 2019
+++ new/usr/src/uts/intel/scsi_vhci/Makefile	Thu Aug  8 11:20:51 2019
@@ -50,7 +50,7 @@
 include $(UTSBASE)/intel/Makefile.intel
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # needs work
--- old/usr/src/uts/intel/semsys/Makefile	Thu Aug  8 11:20:52 2019
+++ new/usr/src/uts/intel/semsys/Makefile	Thu Aug  8 11:20:52 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/sfe/Makefile	Thu Aug  8 11:20:52 2019
+++ new/usr/src/uts/intel/sfe/Makefile	Thu Aug  8 11:20:53 2019
@@ -78,7 +78,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/sgen/Makefile	Thu Aug  8 11:20:53 2019
+++ new/usr/src/uts/intel/sgen/Makefile	Thu Aug  8 11:20:53 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/intel/sha2/Makefile	Thu Aug  8 11:20:54 2019
+++ new/usr/src/uts/intel/sha2/Makefile	Thu Aug  8 11:20:54 2019
@@ -68,7 +68,7 @@
 LINTFLAGS	+= -I$(COMDIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/si3124/Makefile	Thu Aug  8 11:20:56 2019
+++ new/usr/src/uts/intel/si3124/Makefile	Thu Aug  8 11:20:56 2019
@@ -64,7 +64,7 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/intel/smbfs/Makefile	Thu Aug  8 11:20:57 2019
+++ new/usr/src/uts/intel/smbfs/Makefile	Thu Aug  8 11:20:57 2019
@@ -64,7 +64,7 @@
 # Until CR 4994570 is fixed...
 LINTTAGS	+= -erroff=E_BAD_FORMAT_ARG_TYPE2
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns,signed,deref_check
--- old/usr/src/uts/intel/sockfs/Makefile	Thu Aug  8 11:20:59 2019
+++ new/usr/src/uts/intel/sockfs/Makefile	Thu Aug  8 11:20:59 2019
@@ -92,7 +92,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/sockpfp/Makefile	Thu Aug  8 11:21:00 2019
+++ new/usr/src/uts/intel/sockpfp/Makefile	Thu Aug  8 11:21:00 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # needs work
--- old/usr/src/uts/intel/socksctp/Makefile	Thu Aug  8 11:21:02 2019
+++ new/usr/src/uts/intel/socksctp/Makefile	Thu Aug  8 11:21:02 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/socksdp/Makefile	Thu Aug  8 11:21:04 2019
+++ new/usr/src/uts/intel/socksdp/Makefile	Thu Aug  8 11:21:05 2019
@@ -59,7 +59,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nfs/sockfs -Ndrv/ip -Ndrv/sdpib
 
--- old/usr/src/uts/intel/softmac/Makefile	Thu Aug  8 11:21:07 2019
+++ new/usr/src/uts/intel/softmac/Makefile	Thu Aug  8 11:21:07 2019
@@ -62,7 +62,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/intel/sol_ofs/Makefile	Thu Aug  8 11:21:09 2019
+++ new/usr/src/uts/intel/sol_ofs/Makefile	Thu Aug  8 11:21:09 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_CONST_TRUNCATED_BY_ASSIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/sol_umad/Makefile	Thu Aug  8 11:21:10 2019
+++ new/usr/src/uts/intel/sol_umad/Makefile	Thu Aug  8 11:21:10 2019
@@ -42,7 +42,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/spdsock/Makefile	Thu Aug  8 11:21:11 2019
+++ new/usr/src/uts/intel/spdsock/Makefile	Thu Aug  8 11:21:11 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/spdsockddi.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/specfs/Makefile	Thu Aug  8 11:21:12 2019
+++ new/usr/src/uts/intel/specfs/Makefile	Thu Aug  8 11:21:12 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/specvnops.o := SMOFF += signed
--- old/usr/src/uts/intel/sppp/Makefile	Thu Aug  8 11:21:12 2019
+++ new/usr/src/uts/intel/sppp/Makefile	Thu Aug  8 11:21:12 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/spppcomp/Makefile	Thu Aug  8 11:21:14 2019
+++ new/usr/src/uts/intel/spppcomp/Makefile	Thu Aug  8 11:21:14 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += indenting
--- old/usr/src/uts/intel/sppptun/Makefile	Thu Aug  8 11:21:14 2019
+++ new/usr/src/uts/intel/sppptun/Makefile	Thu Aug  8 11:21:14 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/srn/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/srn/Makefile	Thu Aug  8 11:21:15 2019
@@ -50,7 +50,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/st/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/st/Makefile	Thu Aug  8 11:21:15 2019
@@ -69,7 +69,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/stmf/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/stmf/Makefile	Thu Aug  8 11:21:15 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/intel/stmf_sbd/Makefile	Thu Aug  8 11:21:15 2019
+++ new/usr/src/uts/intel/stmf_sbd/Makefile	Thu Aug  8 11:21:16 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/tavor/Makefile	Thu Aug  8 11:21:16 2019
+++ new/usr/src/uts/intel/tavor/Makefile	Thu Aug  8 11:21:16 2019
@@ -78,7 +78,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # needs work
--- old/usr/src/uts/intel/tem/Makefile	Thu Aug  8 11:21:16 2019
+++ new/usr/src/uts/intel/tem/Makefile	Thu Aug  8 11:21:16 2019
@@ -63,7 +63,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/tl/Makefile	Thu Aug  8 11:21:16 2019
+++ new/usr/src/uts/intel/tl/Makefile	Thu Aug  8 11:21:16 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/tmpfs/Makefile	Thu Aug  8 11:21:17 2019
+++ new/usr/src/uts/intel/tmpfs/Makefile	Thu Aug  8 11:21:17 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 # needs work
--- old/usr/src/uts/intel/tnf/Makefile	Thu Aug  8 11:21:17 2019
+++ new/usr/src/uts/intel/tnf/Makefile	Thu Aug  8 11:21:17 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/tnf_writer.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/trill/Makefile	Thu Aug  8 11:21:17 2019
+++ new/usr/src/uts/intel/trill/Makefile	Thu Aug  8 11:21:18 2019
@@ -44,7 +44,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/udfs/Makefile	Thu Aug  8 11:21:18 2019
+++ new/usr/src/uts/intel/udfs/Makefile	Thu Aug  8 11:21:18 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # needs work
--- old/usr/src/uts/intel/ufs/Makefile	Thu Aug  8 11:21:18 2019
+++ new/usr/src/uts/intel/ufs/Makefile	Thu Aug  8 11:21:18 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/intel/ugen/Makefile	Thu Aug  8 11:21:19 2019
+++ new/usr/src/uts/intel/ugen/Makefile	Thu Aug  8 11:21:19 2019
@@ -47,7 +47,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/uhci/Makefile	Thu Aug  8 11:21:19 2019
+++ new/usr/src/uts/intel/uhci/Makefile	Thu Aug  8 11:21:19 2019
@@ -71,7 +71,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/urf/Makefile	Thu Aug  8 11:21:19 2019
+++ new/usr/src/uts/intel/urf/Makefile	Thu Aug  8 11:21:19 2019
@@ -34,7 +34,7 @@
 CPPFLAGS	+= -I$(UTSBASE)/common/io/usbgem
 CPPFLAGS	+= -DVERSION=\"2.0.0\"
 CPPFLAGS	+= -DUSBGEM_CONFIG_GLDv3
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 LDFLAGS		+= -dy -N misc/mac -N drv/ip -N misc/usba -N misc/usbgem
 
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/intel/urtw/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/urtw/Makefile	Thu Aug  8 11:21:20 2019
@@ -63,7 +63,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-char-subscripts
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check,no_if_block,all_func_returns
--- old/usr/src/uts/intel/usb_ac/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/usb_ac/Makefile	Thu Aug  8 11:21:20 2019
@@ -62,7 +62,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/usb_ac.o := SMOFF += deref_check,indenting,testing_index_after_use
--- old/usr/src/uts/intel/usb_ah/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/usb_ah/Makefile	Thu Aug  8 11:21:20 2019
@@ -72,7 +72,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/usbftdi/Makefile	Thu Aug  8 11:21:20 2019
+++ new/usr/src/uts/intel/usbftdi/Makefile	Thu Aug  8 11:21:20 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/intel/usbgem/Makefile	Thu Aug  8 11:21:21 2019
+++ new/usr/src/uts/intel/usbgem/Makefile	Thu Aug  8 11:21:21 2019
@@ -42,7 +42,7 @@
 		-DUSBGEM_CONFIG_MAC_PROP \
 		-DVERSION=\"1.6\"
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/usbms/Makefile	Thu Aug  8 11:21:21 2019
+++ new/usr/src/uts/intel/usbms/Makefile	Thu Aug  8 11:21:21 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/usbsacm/Makefile	Thu Aug  8 11:21:21 2019
+++ new/usr/src/uts/intel/usbsacm/Makefile	Thu Aug  8 11:21:21 2019
@@ -45,7 +45,7 @@
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/usbsksp/Makefile	Thu Aug  8 11:21:22 2019
+++ new/usr/src/uts/intel/usbsksp/Makefile	Thu Aug  8 11:21:22 2019
@@ -80,4 +80,4 @@
 #
 include $(UTSBASE)/intel/Makefile.targ
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
--- old/usr/src/uts/intel/usbsprl/Makefile	Thu Aug  8 11:21:22 2019
+++ new/usr/src/uts/intel/usbsprl/Makefile	Thu Aug  8 11:21:22 2019
@@ -45,7 +45,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/intel/usbvc/Makefile	Thu Aug  8 11:21:22 2019
+++ new/usr/src/uts/intel/usbvc/Makefile	Thu Aug  8 11:21:22 2019
@@ -73,7 +73,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/usbwcm/Makefile	Thu Aug  8 11:21:23 2019
+++ new/usr/src/uts/intel/usbwcm/Makefile	Thu Aug  8 11:21:23 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/vnic/Makefile	Thu Aug  8 11:21:23 2019
+++ new/usr/src/uts/intel/vnic/Makefile	Thu Aug  8 11:21:23 2019
@@ -57,7 +57,7 @@
 LDFLAGS		+= -dy -Ndrv/dld -Nmisc/mac -Nmisc/dls
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/vr/Makefile	Thu Aug  8 11:21:23 2019
+++ new/usr/src/uts/intel/vr/Makefile	Thu Aug  8 11:21:23 2019
@@ -58,7 +58,7 @@
 #
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += array_condition
--- old/usr/src/uts/intel/vuid2ps2/Makefile	Thu Aug  8 11:21:24 2019
+++ new/usr/src/uts/intel/vuid2ps2/Makefile	Thu Aug  8 11:21:24 2019
@@ -51,7 +51,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/vuid3ps2/Makefile	Thu Aug  8 11:21:26 2019
+++ new/usr/src/uts/intel/vuid3ps2/Makefile	Thu Aug  8 11:21:26 2019
@@ -51,7 +51,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/vuidm3p/Makefile	Thu Aug  8 11:21:27 2019
+++ new/usr/src/uts/intel/vuidm3p/Makefile	Thu Aug  8 11:21:28 2019
@@ -63,7 +63,7 @@
 #
 ALL_DEFS	+= -DVUIDM3P
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/vuidm4p/Makefile	Thu Aug  8 11:21:29 2019
+++ new/usr/src/uts/intel/vuidm4p/Makefile	Thu Aug  8 11:21:29 2019
@@ -63,7 +63,7 @@
 #
 ALL_DEFS	+= -DVUIDM4P
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/vuidm5p/Makefile	Thu Aug  8 11:21:30 2019
+++ new/usr/src/uts/intel/vuidm5p/Makefile	Thu Aug  8 11:21:30 2019
@@ -60,7 +60,7 @@
 
 ALL_DEFS	+= -DVUIDM5P
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/wc/Makefile	Thu Aug  8 11:21:30 2019
+++ new/usr/src/uts/intel/wc/Makefile	Thu Aug  8 11:21:30 2019
@@ -56,7 +56,7 @@
 #
 LDFLAGS		+= -dy -Nmisc/tem -Ndacf/consconfig_dacf
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += deref_check
--- old/usr/src/uts/intel/xge/Makefile	Thu Aug  8 11:21:32 2019
+++ new/usr/src/uts/intel/xge/Makefile	Thu Aug  8 11:21:32 2019
@@ -108,7 +108,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-empty-body
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += indenting,all_func_returns,no_if_block
--- old/usr/src/uts/intel/zut/Makefile	Thu Aug  8 11:21:33 2019
+++ new/usr/src/uts/intel/zut/Makefile	Thu Aug  8 11:21:33 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/zyd/Makefile	Thu Aug  8 11:21:35 2019
+++ new/usr/src/uts/intel/zyd/Makefile	Thu Aug  8 11:21:35 2019
@@ -59,7 +59,7 @@
 #
 LDFLAGS		+= -dy -Nmisc/mac -Nmisc/net80211 -Nmisc/usba
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/FSS/Makefile	Thu Aug  8 11:21:36 2019
+++ new/usr/src/uts/sparc/FSS/Makefile	Thu Aug  8 11:21:36 2019
@@ -69,7 +69,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/aac/Makefile	Thu Aug  8 11:21:36 2019
+++ new/usr/src/uts/sparc/aac/Makefile	Thu Aug  8 11:21:36 2019
@@ -70,7 +70,7 @@
 # 	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/aggr/Makefile	Thu Aug  8 11:21:37 2019
+++ new/usr/src/uts/sparc/aggr/Makefile	Thu Aug  8 11:21:37 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/audio/Makefile	Thu Aug  8 11:21:39 2019
+++ new/usr/src/uts/sparc/audio/Makefile	Thu Aug  8 11:21:39 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/audiocs/Makefile	Thu Aug  8 11:21:41 2019
+++ new/usr/src/uts/sparc/audiocs/Makefile	Thu Aug  8 11:21:41 2019
@@ -57,7 +57,7 @@
 #	Overrides
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Depends on misc/audiosup
--- old/usr/src/uts/sparc/audioens/Makefile	Thu Aug  8 11:21:42 2019
+++ new/usr/src/uts/sparc/audioens/Makefile	Thu Aug  8 11:21:42 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/audiop16x/Makefile	Thu Aug  8 11:21:44 2019
+++ new/usr/src/uts/sparc/audiop16x/Makefile	Thu Aug  8 11:21:44 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/audiopci/Makefile	Thu Aug  8 11:21:45 2019
+++ new/usr/src/uts/sparc/audiopci/Makefile	Thu Aug  8 11:21:45 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/autofs/Makefile	Thu Aug  8 11:21:47 2019
+++ new/usr/src/uts/sparc/autofs/Makefile	Thu Aug  8 11:21:47 2019
@@ -78,7 +78,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/av1394/Makefile	Thu Aug  8 11:21:49 2019
+++ new/usr/src/uts/sparc/av1394/Makefile	Thu Aug  8 11:21:49 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/sparc/bge/Makefile	Thu Aug  8 11:21:50 2019
+++ new/usr/src/uts/sparc/bge/Makefile	Thu Aug  8 11:21:50 2019
@@ -77,7 +77,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/blowfish/Makefile	Thu Aug  8 11:21:50 2019
+++ new/usr/src/uts/sparc/blowfish/Makefile	Thu Aug  8 11:21:50 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/bnxe/Makefile	Thu Aug  8 11:21:51 2019
+++ new/usr/src/uts/sparc/bnxe/Makefile	Thu Aug  8 11:21:51 2019
@@ -87,7 +87,7 @@
 LDFLAGS		+= -dy -r -Ndrv/ip -Nmisc/mac
 #CERRWARN	+= -_gcc=-Wno-old-style-declaration
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
--- old/usr/src/uts/sparc/bofi/Makefile	Thu Aug  8 11:21:51 2019
+++ new/usr/src/uts/sparc/bofi/Makefile	Thu Aug  8 11:21:51 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/bpf/Makefile	Thu Aug  8 11:21:52 2019
+++ new/usr/src/uts/sparc/bpf/Makefile	Thu Aug  8 11:21:52 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/bridge/Makefile	Thu Aug  8 11:21:53 2019
+++ new/usr/src/uts/sparc/bridge/Makefile	Thu Aug  8 11:21:53 2019
@@ -57,7 +57,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/busra/Makefile	Thu Aug  8 11:21:53 2019
+++ new/usr/src/uts/sparc/busra/Makefile	Thu Aug  8 11:21:53 2019
@@ -51,7 +51,7 @@
 include $(UTSBASE)/sparc/Makefile.sparc
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/c2audit/Makefile	Thu Aug  8 11:21:53 2019
+++ new/usr/src/uts/sparc/c2audit/Makefile	Thu Aug  8 11:21:53 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/cardbus/Makefile	Thu Aug  8 11:21:54 2019
+++ new/usr/src/uts/sparc/cardbus/Makefile	Thu Aug  8 11:21:54 2019
@@ -78,7 +78,7 @@
 #	dependency
 LDFLAGS	+=	-dy -Nmisc/busra -Nmisc/pcmcia -Nmisc/hpcsvc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/cmlb/Makefile	Thu Aug  8 11:21:54 2019
+++ new/usr/src/uts/sparc/cmlb/Makefile	Thu Aug  8 11:21:54 2019
@@ -77,7 +77,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/cryptmod/Makefile	Thu Aug  8 11:21:55 2019
+++ new/usr/src/uts/sparc/cryptmod/Makefile	Thu Aug  8 11:21:55 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/crypto/Makefile	Thu Aug  8 11:21:55 2019
+++ new/usr/src/uts/sparc/crypto/Makefile	Thu Aug  8 11:21:55 2019
@@ -61,7 +61,7 @@
 
 LDFLAGS		+= -dy -Nmisc/kcf
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/cryptoadm/Makefile	Thu Aug  8 11:21:55 2019
+++ new/usr/src/uts/sparc/cryptoadm/Makefile	Thu Aug  8 11:21:55 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ctf/Makefile	Thu Aug  8 11:21:56 2019
+++ new/usr/src/uts/sparc/ctf/Makefile	Thu Aug  8 11:21:56 2019
@@ -52,7 +52,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sparc/dad/Makefile	Thu Aug  8 11:21:56 2019
+++ new/usr/src/uts/sparc/dad/Makefile	Thu Aug  8 11:21:56 2019
@@ -76,7 +76,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
--- old/usr/src/uts/sparc/daplt/Makefile	Thu Aug  8 11:21:56 2019
+++ new/usr/src/uts/sparc/daplt/Makefile	Thu Aug  8 11:21:56 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/dcam1394/Makefile	Thu Aug  8 11:21:57 2019
+++ new/usr/src/uts/sparc/dcam1394/Makefile	Thu Aug  8 11:21:57 2019
@@ -66,7 +66,7 @@
 LDFLAGS		+= -dy -Nmisc/s1394
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Default build targets.
 #
--- old/usr/src/uts/sparc/dcfs/Makefile	Thu Aug  8 11:21:57 2019
+++ new/usr/src/uts/sparc/dcfs/Makefile	Thu Aug  8 11:21:57 2019
@@ -62,7 +62,7 @@
 CFLAGS		+= $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/des/Makefile	Thu Aug  8 11:21:58 2019
+++ new/usr/src/uts/sparc/des/Makefile	Thu Aug  8 11:21:58 2019
@@ -82,7 +82,7 @@
 LINTFLAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/dev/Makefile	Thu Aug  8 11:21:58 2019
+++ new/usr/src/uts/sparc/dev/Makefile	Thu Aug  8 11:21:58 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/devinfo/Makefile	Thu Aug  8 11:21:59 2019
+++ new/usr/src/uts/sparc/devinfo/Makefile	Thu Aug  8 11:21:59 2019
@@ -66,7 +66,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
 
--- old/usr/src/uts/sparc/dld/Makefile	Thu Aug  8 11:22:00 2019
+++ new/usr/src/uts/sparc/dld/Makefile	Thu Aug  8 11:22:00 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/dls/Makefile	Thu Aug  8 11:22:01 2019
+++ new/usr/src/uts/sparc/dls/Makefile	Thu Aug  8 11:22:01 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sparc/dmfe/Makefile	Thu Aug  8 11:22:02 2019
+++ new/usr/src/uts/sparc/dmfe/Makefile	Thu Aug  8 11:22:02 2019
@@ -56,7 +56,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # extra link arguments
--- old/usr/src/uts/sparc/doorfs/Makefile	Thu Aug  8 11:22:02 2019
+++ new/usr/src/uts/sparc/doorfs/Makefile	Thu Aug  8 11:22:02 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/dscpmk/Makefile	Thu Aug  8 11:22:03 2019
+++ new/usr/src/uts/sparc/dscpmk/Makefile	Thu Aug  8 11:22:03 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/dtrace/Makefile	Thu Aug  8 11:22:03 2019
+++ new/usr/src/uts/sparc/dtrace/Makefile	Thu Aug  8 11:22:03 2019
@@ -41,7 +41,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 ALL_TARGET	= $(BINARY) $(SRC_CONFILE)
 LINT_TARGET	= $(MODULE).lint
--- old/usr/src/uts/sparc/e1000g/Makefile	Thu Aug  8 11:22:04 2019
+++ new/usr/src/uts/sparc/e1000g/Makefile	Thu Aug  8 11:22:05 2019
@@ -62,7 +62,7 @@
 	-I$(UTSBASE)/common/io/e1000api
 
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/ecc/Makefile	Thu Aug  8 11:22:05 2019
+++ new/usr/src/uts/sparc/ecc/Makefile	Thu Aug  8 11:22:05 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/ecpp/Makefile	Thu Aug  8 11:22:06 2019
+++ new/usr/src/uts/sparc/ecpp/Makefile	Thu Aug  8 11:22:06 2019
@@ -64,7 +64,7 @@
 # Turn this on once compiler understands v9 in it's backend
 #INLINES		+= $(UTSBASE)/sun/io/ecpp.il
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/sparc/efe/Makefile	Thu Aug  8 11:22:07 2019
+++ new/usr/src/uts/sparc/efe/Makefile	Thu Aug  8 11:22:07 2019
@@ -40,7 +40,7 @@
 CFLAGS		+= $(CCVERBOSE)
 LDFLAGS		+= -dy -N misc/mac -N misc/mii
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ehci/Makefile	Thu Aug  8 11:22:07 2019
+++ new/usr/src/uts/sparc/ehci/Makefile	Thu Aug  8 11:22:07 2019
@@ -53,7 +53,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/eibnx/Makefile	Thu Aug  8 11:22:08 2019
+++ new/usr/src/uts/sparc/eibnx/Makefile	Thu Aug  8 11:22:08 2019
@@ -81,7 +81,7 @@
 LINTTAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Default build targets
--- old/usr/src/uts/sparc/elfexec/Makefile	Thu Aug  8 11:22:08 2019
+++ new/usr/src/uts/sparc/elfexec/Makefile	Thu Aug  8 11:22:08 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/emlxs/Makefile	Thu Aug  8 11:22:09 2019
+++ new/usr/src/uts/sparc/emlxs/Makefile	Thu Aug  8 11:22:09 2019
@@ -89,7 +89,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/emul64/Makefile	Thu Aug  8 11:22:10 2019
+++ new/usr/src/uts/sparc/emul64/Makefile	Thu Aug  8 11:22:10 2019
@@ -66,7 +66,7 @@
 LDFLAGS         += -dy -N misc/scsi
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/eoib/Makefile	Thu Aug  8 11:22:10 2019
+++ new/usr/src/uts/sparc/eoib/Makefile	Thu Aug  8 11:22:10 2019
@@ -70,7 +70,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Depends on misc/ibtl
--- old/usr/src/uts/sparc/fas/Makefile	Thu Aug  8 11:22:11 2019
+++ new/usr/src/uts/sparc/fas/Makefile	Thu Aug  8 11:22:11 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fasttrap/Makefile	Thu Aug  8 11:22:13 2019
+++ new/usr/src/uts/sparc/fasttrap/Makefile	Thu Aug  8 11:22:13 2019
@@ -43,7 +43,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 LDFLAGS		+= -dy -Ndrv/dtrace
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sparc/fbt/Makefile	Thu Aug  8 11:22:14 2019
+++ new/usr/src/uts/sparc/fbt/Makefile	Thu Aug  8 11:22:14 2019
@@ -51,7 +51,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sparc/fcp/Makefile	Thu Aug  8 11:22:14 2019
+++ new/usr/src/uts/sparc/fcp/Makefile	Thu Aug  8 11:22:15 2019
@@ -67,7 +67,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fcpci/Makefile	Thu Aug  8 11:22:15 2019
+++ new/usr/src/uts/sparc/fcpci/Makefile	Thu Aug  8 11:22:15 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fcsm/Makefile	Thu Aug  8 11:22:16 2019
+++ new/usr/src/uts/sparc/fcsm/Makefile	Thu Aug  8 11:22:16 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fct/Makefile	Thu Aug  8 11:22:17 2019
+++ new/usr/src/uts/sparc/fct/Makefile	Thu Aug  8 11:22:17 2019
@@ -72,7 +72,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fctl/Makefile	Thu Aug  8 11:22:18 2019
+++ new/usr/src/uts/sparc/fctl/Makefile	Thu Aug  8 11:22:18 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/flowacct/Makefile	Thu Aug  8 11:22:19 2019
+++ new/usr/src/uts/sparc/flowacct/Makefile	Thu Aug  8 11:22:19 2019
@@ -71,7 +71,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/fp/Makefile	Thu Aug  8 11:22:19 2019
+++ new/usr/src/uts/sparc/fp/Makefile	Thu Aug  8 11:22:19 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/sparc/gld/Makefile	Thu Aug  8 11:22:21 2019
+++ new/usr/src/uts/sparc/gld/Makefile	Thu Aug  8 11:22:21 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/hci1394/Makefile	Thu Aug  8 11:22:22 2019
+++ new/usr/src/uts/sparc/hci1394/Makefile	Thu Aug  8 11:22:22 2019
@@ -85,7 +85,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/hermon/Makefile	Thu Aug  8 11:22:23 2019
+++ new/usr/src/uts/sparc/hermon/Makefile	Thu Aug  8 11:22:23 2019
@@ -76,7 +76,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/hidparser/Makefile	Thu Aug  8 11:22:24 2019
+++ new/usr/src/uts/sparc/hidparser/Makefile	Thu Aug  8 11:22:24 2019
@@ -53,7 +53,7 @@
 # lint pass one enforcement 
 # 
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # depends on misc/usba
--- old/usr/src/uts/sparc/hme/Makefile	Thu Aug  8 11:22:24 2019
+++ new/usr/src/uts/sparc/hme/Makefile	Thu Aug  8 11:22:24 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/hook/Makefile	Thu Aug  8 11:22:25 2019
+++ new/usr/src/uts/sparc/hook/Makefile	Thu Aug  8 11:22:25 2019
@@ -49,7 +49,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/hpcsvc/Makefile	Thu Aug  8 11:22:26 2019
+++ new/usr/src/uts/sparc/hpcsvc/Makefile	Thu Aug  8 11:22:26 2019
@@ -63,7 +63,7 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/sparc/hsfs/Makefile	Thu Aug  8 11:22:26 2019
+++ new/usr/src/uts/sparc/hsfs/Makefile	Thu Aug  8 11:22:26 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
--- old/usr/src/uts/sparc/hxge/Makefile	Thu Aug  8 11:22:27 2019
+++ new/usr/src/uts/sparc/hxge/Makefile	Thu Aug  8 11:22:27 2019
@@ -90,7 +90,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/ib/Makefile	Thu Aug  8 11:22:30 2019
+++ new/usr/src/uts/sparc/ib/Makefile	Thu Aug  8 11:22:30 2019
@@ -63,7 +63,7 @@
 ALL_BUILDS	= $(ALL_BUILDSONLY64)
 DEF_BUILDS	= $(DEF_BUILDSONLY64)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # 
 # lint pass one enforcement 
--- old/usr/src/uts/sparc/ibcm/Makefile	Thu Aug  8 11:22:31 2019
+++ new/usr/src/uts/sparc/ibcm/Makefile	Thu Aug  8 11:22:31 2019
@@ -69,7 +69,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 #
--- old/usr/src/uts/sparc/ibdm/Makefile	Thu Aug  8 11:22:31 2019
+++ new/usr/src/uts/sparc/ibdm/Makefile	Thu Aug  8 11:22:31 2019
@@ -78,7 +78,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ibmf/Makefile	Thu Aug  8 11:22:32 2019
+++ new/usr/src/uts/sparc/ibmf/Makefile	Thu Aug  8 11:22:32 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ibp/Makefile	Thu Aug  8 11:22:34 2019
+++ new/usr/src/uts/sparc/ibp/Makefile	Thu Aug  8 11:22:34 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/ibtl/Makefile	Thu Aug  8 11:22:35 2019
+++ new/usr/src/uts/sparc/ibtl/Makefile	Thu Aug  8 11:22:35 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
--- old/usr/src/uts/sparc/idm/Makefile	Thu Aug  8 11:22:35 2019
+++ new/usr/src/uts/sparc/idm/Makefile	Thu Aug  8 11:22:35 2019
@@ -62,7 +62,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Include
 INC_PATH	+= -I$(SRC)/common/hdcrc
--- old/usr/src/uts/sparc/igb/Makefile	Thu Aug  8 11:22:37 2019
+++ new/usr/src/uts/sparc/igb/Makefile	Thu Aug  8 11:22:37 2019
@@ -55,7 +55,7 @@
 	-I$(UTSBASE)/common/io/e1000api
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
 #
--- old/usr/src/uts/sparc/ip/Makefile	Thu Aug  8 11:22:38 2019
+++ new/usr/src/uts/sparc/ip/Makefile	Thu Aug  8 11:22:38 2019
@@ -82,7 +82,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/ipc/Makefile	Thu Aug  8 11:22:39 2019
+++ new/usr/src/uts/sparc/ipc/Makefile	Thu Aug  8 11:22:39 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ipf/Makefile	Thu Aug  8 11:22:40 2019
+++ new/usr/src/uts/sparc/ipf/Makefile	Thu Aug  8 11:22:40 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 #
--- old/usr/src/uts/sparc/ipgpc/Makefile	Thu Aug  8 11:22:41 2019
+++ new/usr/src/uts/sparc/ipgpc/Makefile	Thu Aug  8 11:22:41 2019
@@ -67,7 +67,7 @@
 
 LDFLAGS += -dy -Ndrv/ip 
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/ipsecah/Makefile	Thu Aug  8 11:22:42 2019
+++ new/usr/src/uts/sparc/ipsecah/Makefile	Thu Aug  8 11:22:42 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ipsecesp/Makefile	Thu Aug  8 11:22:44 2019
+++ new/usr/src/uts/sparc/ipsecesp/Makefile	Thu Aug  8 11:22:44 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/iptun/Makefile	Thu Aug  8 11:22:46 2019
+++ new/usr/src/uts/sparc/iptun/Makefile	Thu Aug  8 11:22:46 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/iscsi/Makefile	Thu Aug  8 11:22:47 2019
+++ new/usr/src/uts/sparc/iscsi/Makefile	Thu Aug  8 11:22:47 2019
@@ -72,7 +72,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sparc/iscsit/Makefile	Thu Aug  8 11:22:49 2019
+++ new/usr/src/uts/sparc/iscsit/Makefile	Thu Aug  8 11:22:49 2019
@@ -63,7 +63,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/iser/Makefile	Thu Aug  8 11:22:51 2019
+++ new/usr/src/uts/sparc/iser/Makefile	Thu Aug  8 11:22:51 2019
@@ -43,7 +43,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/ixgbe/Makefile	Thu Aug  8 11:22:52 2019
+++ new/usr/src/uts/sparc/ixgbe/Makefile	Thu Aug  8 11:22:52 2019
@@ -56,7 +56,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
--- old/usr/src/uts/sparc/kaio/Makefile	Thu Aug  8 11:22:53 2019
+++ new/usr/src/uts/sparc/kaio/Makefile	Thu Aug  8 11:22:53 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kb8042/Makefile	Thu Aug  8 11:22:55 2019
+++ new/usr/src/uts/sparc/kb8042/Makefile	Thu Aug  8 11:22:56 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kcf/Makefile	Thu Aug  8 11:22:58 2019
+++ new/usr/src/uts/sparc/kcf/Makefile	Thu Aug  8 11:22:59 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sparc/kgssapi/Makefile	Thu Aug  8 11:23:00 2019
+++ new/usr/src/uts/sparc/kgssapi/Makefile	Thu Aug  8 11:23:00 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kmech_krb5/Makefile	Thu Aug  8 11:23:01 2019
+++ new/usr/src/uts/sparc/kmech_krb5/Makefile	Thu Aug  8 11:23:01 2019
@@ -66,7 +66,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/kssl/Makefile	Thu Aug  8 11:23:01 2019
+++ new/usr/src/uts/sparc/kssl/Makefile	Thu Aug  8 11:23:01 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ksslf/Makefile	Thu Aug  8 11:23:01 2019
+++ new/usr/src/uts/sparc/ksslf/Makefile	Thu Aug  8 11:23:02 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/kstat/Makefile	Thu Aug  8 11:23:02 2019
+++ new/usr/src/uts/sparc/kstat/Makefile	Thu Aug  8 11:23:02 2019
@@ -68,7 +68,7 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ldterm/Makefile	Thu Aug  8 11:23:02 2019
+++ new/usr/src/uts/sparc/ldterm/Makefile	Thu Aug  8 11:23:02 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/llc1/Makefile	Thu Aug  8 11:23:02 2019
+++ new/usr/src/uts/sparc/llc1/Makefile	Thu Aug  8 11:23:03 2019
@@ -63,7 +63,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/lofi/Makefile	Thu Aug  8 11:23:03 2019
+++ new/usr/src/uts/sparc/lofi/Makefile	Thu Aug  8 11:23:03 2019
@@ -58,7 +58,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 INC_PATH	+= -I$(SRC)/common/lzma  
 
--- old/usr/src/uts/sparc/mac/Makefile	Thu Aug  8 11:23:03 2019
+++ new/usr/src/uts/sparc/mac/Makefile	Thu Aug  8 11:23:03 2019
@@ -66,7 +66,7 @@
 LINTTAGS			+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN		 	+= -_gcc=-Wno-unused-label
-CERRWARN		 	+= -_gcc=-Wno-uninitialized
+CERRWARN		 	+= $(CNOWARN_UNINIT)
 CERRWARN		 	+= -_gcc=-Wno-type-limits
 CERRWARN		 	+= -_gcc=-Wno-switch
 CERRWARN		 	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/mii/Makefile	Thu Aug  8 11:23:03 2019
+++ new/usr/src/uts/sparc/mii/Makefile	Thu Aug  8 11:23:03 2019
@@ -55,7 +55,7 @@
 LDFLAGS		+= -dy -N misc/mac
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/mpt_sas/Makefile	Thu Aug  8 11:23:04 2019
+++ new/usr/src/uts/sparc/mpt_sas/Makefile	Thu Aug  8 11:23:04 2019
@@ -63,7 +63,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/mr_sas/Makefile	Thu Aug  8 11:23:04 2019
+++ new/usr/src/uts/sparc/mr_sas/Makefile	Thu Aug  8 11:23:04 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sparc/msgsys/Makefile	Thu Aug  8 11:23:04 2019
+++ new/usr/src/uts/sparc/msgsys/Makefile	Thu Aug  8 11:23:04 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/nfs/Makefile	Thu Aug  8 11:23:05 2019
+++ new/usr/src/uts/sparc/nfs/Makefile	Thu Aug  8 11:23:05 2019
@@ -85,7 +85,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/nfssrv/Makefile	Thu Aug  8 11:23:05 2019
+++ new/usr/src/uts/sparc/nfssrv/Makefile	Thu Aug  8 11:23:05 2019
@@ -79,7 +79,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sparc/objfs/Makefile	Thu Aug  8 11:23:05 2019
+++ new/usr/src/uts/sparc/objfs/Makefile	Thu Aug  8 11:23:05 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/oce/Makefile	Thu Aug  8 11:23:06 2019
+++ new/usr/src/uts/sparc/oce/Makefile	Thu Aug  8 11:23:06 2019
@@ -58,7 +58,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/ohci/Makefile	Thu Aug  8 11:23:06 2019
+++ new/usr/src/uts/sparc/ohci/Makefile	Thu Aug  8 11:23:06 2019
@@ -66,7 +66,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/openeepr/Makefile	Thu Aug  8 11:23:07 2019
+++ new/usr/src/uts/sparc/openeepr/Makefile	Thu Aug  8 11:23:07 2019
@@ -61,7 +61,7 @@
 LDFLAGS +=	-dy -Ndacf/consconfig_dacf
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/pcfs/Makefile	Thu Aug  8 11:23:07 2019
+++ new/usr/src/uts/sparc/pcfs/Makefile	Thu Aug  8 11:23:07 2019
@@ -64,7 +64,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/sparc/pcic/Makefile	Thu Aug  8 11:23:08 2019
+++ new/usr/src/uts/sparc/pcic/Makefile	Thu Aug  8 11:23:08 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/pcicfg/Makefile	Thu Aug  8 11:23:08 2019
+++ new/usr/src/uts/sparc/pcicfg/Makefile	Thu Aug  8 11:23:08 2019
@@ -89,7 +89,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/pcmcia/Makefile	Thu Aug  8 11:23:08 2019
+++ new/usr/src/uts/sparc/pcmcia/Makefile	Thu Aug  8 11:23:08 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/pm/Makefile	Thu Aug  8 11:23:09 2019
+++ new/usr/src/uts/sparc/pm/Makefile	Thu Aug  8 11:23:09 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/pmcs/Makefile	Thu Aug  8 11:23:10 2019
+++ new/usr/src/uts/sparc/pmcs/Makefile	Thu Aug  8 11:23:10 2019
@@ -67,7 +67,7 @@
 	-DPMCS_FIRMWARE_VERSION_STRING=\"${PMCS_FW_VERSION_STRING}\"
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
--- old/usr/src/uts/sparc/poll/Makefile	Thu Aug  8 11:23:11 2019
+++ new/usr/src/uts/sparc/poll/Makefile	Thu Aug  8 11:23:11 2019
@@ -54,7 +54,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # See uts/intel/poll/Makefile for why this is necessary.
--- old/usr/src/uts/sparc/portfs/Makefile	Thu Aug  8 11:23:12 2019
+++ new/usr/src/uts/sparc/portfs/Makefile	Thu Aug  8 11:23:12 2019
@@ -74,7 +74,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/pppt/Makefile	Thu Aug  8 11:23:12 2019
+++ new/usr/src/uts/sparc/pppt/Makefile	Thu Aug  8 11:23:12 2019
@@ -63,7 +63,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/procfs/Makefile	Thu Aug  8 11:23:13 2019
+++ new/usr/src/uts/sparc/procfs/Makefile	Thu Aug  8 11:23:13 2019
@@ -75,7 +75,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ptem/Makefile	Thu Aug  8 11:23:13 2019
+++ new/usr/src/uts/sparc/ptem/Makefile	Thu Aug  8 11:23:13 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/qlc/Makefile	Thu Aug  8 11:23:15 2019
+++ new/usr/src/uts/sparc/qlc/Makefile	Thu Aug  8 11:23:15 2019
@@ -77,7 +77,7 @@
 FWMODULES        = $(FWIMAGES:%=$(MODULE)_fw_%)
 FWMODULES_SRC    = $(FWIMAGES:%=$(CONF_SRCDIR)/ql_fw_%.c)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/qlge/Makefile	Thu Aug  8 11:23:15 2019
+++ new/usr/src/uts/sparc/qlge/Makefile	Thu Aug  8 11:23:16 2019
@@ -64,7 +64,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/qlt/Makefile	Thu Aug  8 11:23:17 2019
+++ new/usr/src/uts/sparc/qlt/Makefile	Thu Aug  8 11:23:17 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rds/Makefile	Thu Aug  8 11:23:18 2019
+++ new/usr/src/uts/sparc/rds/Makefile	Thu Aug  8 11:23:18 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nfs/sockfs -Ndrv/ip
 
--- old/usr/src/uts/sparc/rdsib/Makefile	Thu Aug  8 11:23:18 2019
+++ new/usr/src/uts/sparc/rdsib/Makefile	Thu Aug  8 11:23:18 2019
@@ -62,7 +62,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Ndrv/rds -Nmisc/ibtl -Nmisc/ibcm -Ndrv/ip
 
--- old/usr/src/uts/sparc/rdsv3/Makefile	Thu Aug  8 11:23:18 2019
+++ new/usr/src/uts/sparc/rdsv3/Makefile	Thu Aug  8 11:23:18 2019
@@ -61,7 +61,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/rge/Makefile	Thu Aug  8 11:23:19 2019
+++ new/usr/src/uts/sparc/rge/Makefile	Thu Aug  8 11:23:19 2019
@@ -69,7 +69,7 @@
 LDFLAGS		+= -dy -N misc/mac -N drv/ip
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/rlmod/Makefile	Thu Aug  8 11:23:19 2019
+++ new/usr/src/uts/sparc/rlmod/Makefile	Thu Aug  8 11:23:19 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rpcib/Makefile	Thu Aug  8 11:23:20 2019
+++ new/usr/src/uts/sparc/rpcib/Makefile	Thu Aug  8 11:23:20 2019
@@ -75,7 +75,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rpcmod/Makefile	Thu Aug  8 11:23:21 2019
+++ new/usr/src/uts/sparc/rpcmod/Makefile	Thu Aug  8 11:23:21 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/rpcsec/Makefile	Thu Aug  8 11:23:23 2019
+++ new/usr/src/uts/sparc/rpcsec/Makefile	Thu Aug  8 11:23:23 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rsa/Makefile	Thu Aug  8 11:23:25 2019
+++ new/usr/src/uts/sparc/rsa/Makefile	Thu Aug  8 11:23:25 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/rsm/Makefile	Thu Aug  8 11:23:25 2019
+++ new/usr/src/uts/sparc/rsm/Makefile	Thu Aug  8 11:23:25 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/rtls/Makefile	Thu Aug  8 11:23:25 2019
+++ new/usr/src/uts/sparc/rtls/Makefile	Thu Aug  8 11:23:26 2019
@@ -56,7 +56,7 @@
 #	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on Mac
--- old/usr/src/uts/sparc/s1394/Makefile	Thu Aug  8 11:23:27 2019
+++ new/usr/src/uts/sparc/s1394/Makefile	Thu Aug  8 11:23:27 2019
@@ -84,7 +84,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/sparc/sad/Makefile	Thu Aug  8 11:23:29 2019
+++ new/usr/src/uts/sparc/sad/Makefile	Thu Aug  8 11:23:29 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sata/Makefile	Thu Aug  8 11:23:29 2019
+++ new/usr/src/uts/sparc/sata/Makefile	Thu Aug  8 11:23:29 2019
@@ -90,7 +90,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/sparc/scsa1394/Makefile	Thu Aug  8 11:23:30 2019
+++ new/usr/src/uts/sparc/scsa1394/Makefile	Thu Aug  8 11:23:30 2019
@@ -78,7 +78,7 @@
 LDFLAGS		+= -dy -Nmisc/scsi -Nmisc/s1394 -Nmisc/sbp2
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Default build targets.
 #
--- old/usr/src/uts/sparc/scsa2usb/Makefile	Thu Aug  8 11:23:30 2019
+++ new/usr/src/uts/sparc/scsa2usb/Makefile	Thu Aug  8 11:23:30 2019
@@ -67,7 +67,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/scsi/Makefile	Thu Aug  8 11:23:31 2019
+++ new/usr/src/uts/sparc/scsi/Makefile	Thu Aug  8 11:23:31 2019
@@ -72,7 +72,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/scsi_vhci/Makefile	Thu Aug  8 11:23:31 2019
+++ new/usr/src/uts/sparc/scsi_vhci/Makefile	Thu Aug  8 11:23:31 2019
@@ -49,7 +49,7 @@
 include $(UTSBASE)/sparc/Makefile.sparc
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/semsys/Makefile	Thu Aug  8 11:23:32 2019
+++ new/usr/src/uts/sparc/semsys/Makefile	Thu Aug  8 11:23:32 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sfe/Makefile	Thu Aug  8 11:23:32 2019
+++ new/usr/src/uts/sparc/sfe/Makefile	Thu Aug  8 11:23:32 2019
@@ -76,7 +76,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on MAC & IP
--- old/usr/src/uts/sparc/sgen/Makefile	Thu Aug  8 11:23:33 2019
+++ new/usr/src/uts/sparc/sgen/Makefile	Thu Aug  8 11:23:33 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sparc/sha2/Makefile	Thu Aug  8 11:23:34 2019
+++ new/usr/src/uts/sparc/sha2/Makefile	Thu Aug  8 11:23:34 2019
@@ -72,7 +72,7 @@
 LINTFLAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/smbfs/Makefile	Thu Aug  8 11:23:34 2019
+++ new/usr/src/uts/sparc/smbfs/Makefile	Thu Aug  8 11:23:34 2019
@@ -68,7 +68,7 @@
 # Until CR 4994570 is fixed...
 LINTTAGS	+= -erroff=E_BAD_FORMAT_ARG_TYPE2
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # The mb_put/md_get functions are intentionally used with and without
 # return value checks, so filter those out like LGREP.2 does.
--- old/usr/src/uts/sparc/socal/Makefile	Thu Aug  8 11:23:35 2019
+++ new/usr/src/uts/sparc/socal/Makefile	Thu Aug  8 11:23:35 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sockfs/Makefile	Thu Aug  8 11:23:35 2019
+++ new/usr/src/uts/sparc/sockfs/Makefile	Thu Aug  8 11:23:35 2019
@@ -92,7 +92,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sockpfp/Makefile	Thu Aug  8 11:23:35 2019
+++ new/usr/src/uts/sparc/sockpfp/Makefile	Thu Aug  8 11:23:36 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/socksctp/Makefile	Thu Aug  8 11:23:36 2019
+++ new/usr/src/uts/sparc/socksctp/Makefile	Thu Aug  8 11:23:36 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/socksdp/Makefile	Thu Aug  8 11:23:37 2019
+++ new/usr/src/uts/sparc/socksdp/Makefile	Thu Aug  8 11:23:37 2019
@@ -60,7 +60,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nfs/sockfs -Ndrv/ip -Ndrv/sdpib
 
--- old/usr/src/uts/sparc/softmac/Makefile	Thu Aug  8 11:23:37 2019
+++ new/usr/src/uts/sparc/softmac/Makefile	Thu Aug  8 11:23:38 2019
@@ -62,7 +62,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sparc/sol_ofs/Makefile	Thu Aug  8 11:23:38 2019
+++ new/usr/src/uts/sparc/sol_ofs/Makefile	Thu Aug  8 11:23:38 2019
@@ -59,7 +59,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_CONST_TRUNCATED_BY_ASSIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sparc/sol_umad/Makefile	Thu Aug  8 11:23:39 2019
+++ new/usr/src/uts/sparc/sol_umad/Makefile	Thu Aug  8 11:23:39 2019
@@ -56,7 +56,7 @@
 #
 INCLUDE_PATH += -I$(UTSBASE)/common/sys/ib/clients/of/sol_umad
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/spdsock/Makefile	Thu Aug  8 11:23:39 2019
+++ new/usr/src/uts/sparc/spdsock/Makefile	Thu Aug  8 11:23:39 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/specfs/Makefile	Thu Aug  8 11:23:40 2019
+++ new/usr/src/uts/sparc/specfs/Makefile	Thu Aug  8 11:23:40 2019
@@ -66,7 +66,7 @@
 LDFLAGS 	+= -dy -Nfs/fifofs
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/sppp/Makefile	Thu Aug  8 11:23:40 2019
+++ new/usr/src/uts/sparc/sppp/Makefile	Thu Aug  8 11:23:40 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/spppcomp/Makefile	Thu Aug  8 11:23:42 2019
+++ new/usr/src/uts/sparc/spppcomp/Makefile	Thu Aug  8 11:23:42 2019
@@ -75,7 +75,7 @@
 CLEANLINTFILES  += $(LINT64_FILES)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/sppptun/Makefile	Thu Aug  8 11:23:43 2019
+++ new/usr/src/uts/sparc/sppptun/Makefile	Thu Aug  8 11:23:44 2019
@@ -81,7 +81,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/ssd/Makefile	Thu Aug  8 11:23:45 2019
+++ new/usr/src/uts/sparc/ssd/Makefile	Thu Aug  8 11:23:45 2019
@@ -78,7 +78,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/st/Makefile	Thu Aug  8 11:23:47 2019
+++ new/usr/src/uts/sparc/st/Makefile	Thu Aug  8 11:23:47 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/stmf/Makefile	Thu Aug  8 11:23:47 2019
+++ new/usr/src/uts/sparc/stmf/Makefile	Thu Aug  8 11:23:47 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/sparc/stmf_sbd/Makefile	Thu Aug  8 11:23:48 2019
+++ new/usr/src/uts/sparc/stmf_sbd/Makefile	Thu Aug  8 11:23:48 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/tavor/Makefile	Thu Aug  8 11:23:48 2019
+++ new/usr/src/uts/sparc/tavor/Makefile	Thu Aug  8 11:23:48 2019
@@ -84,7 +84,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/tem/Makefile	Thu Aug  8 11:23:49 2019
+++ new/usr/src/uts/sparc/tem/Makefile	Thu Aug  8 11:23:49 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/tl/Makefile	Thu Aug  8 11:23:49 2019
+++ new/usr/src/uts/sparc/tl/Makefile	Thu Aug  8 11:23:49 2019
@@ -79,7 +79,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/tmpfs/Makefile	Thu Aug  8 11:23:50 2019
+++ new/usr/src/uts/sparc/tmpfs/Makefile	Thu Aug  8 11:23:50 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 #
--- old/usr/src/uts/sparc/tnf/Makefile	Thu Aug  8 11:23:51 2019
+++ new/usr/src/uts/sparc/tnf/Makefile	Thu Aug  8 11:23:51 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/trill/Makefile	Thu Aug  8 11:23:53 2019
+++ new/usr/src/uts/sparc/trill/Makefile	Thu Aug  8 11:23:53 2019
@@ -48,7 +48,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/ttymux/Makefile	Thu Aug  8 11:23:55 2019
+++ new/usr/src/uts/sparc/ttymux/Makefile	Thu Aug  8 11:23:55 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/udfs/Makefile	Thu Aug  8 11:23:56 2019
+++ new/usr/src/uts/sparc/udfs/Makefile	Thu Aug  8 11:23:56 2019
@@ -81,7 +81,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sparc/ufs/Makefile	Thu Aug  8 11:23:57 2019
+++ new/usr/src/uts/sparc/ufs/Makefile	Thu Aug  8 11:23:57 2019
@@ -78,7 +78,7 @@
 LDFLAGS		+= -dy -Nfs/specfs -Nmisc/fssnap_if
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sparc/ugen/Makefile	Thu Aug  8 11:23:57 2019
+++ new/usr/src/uts/sparc/ugen/Makefile	Thu Aug  8 11:23:57 2019
@@ -53,7 +53,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # depends on misc/usba
--- old/usr/src/uts/sparc/uhci/Makefile	Thu Aug  8 11:23:58 2019
+++ new/usr/src/uts/sparc/uhci/Makefile	Thu Aug  8 11:23:58 2019
@@ -66,7 +66,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usb_ac/Makefile	Thu Aug  8 11:23:58 2019
+++ new/usr/src/uts/sparc/usb_ac/Makefile	Thu Aug  8 11:23:58 2019
@@ -66,7 +66,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usb_ah/Makefile	Thu Aug  8 11:23:59 2019
+++ new/usr/src/uts/sparc/usb_ah/Makefile	Thu Aug  8 11:23:59 2019
@@ -64,7 +64,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usba/Makefile	Thu Aug  8 11:23:59 2019
+++ new/usr/src/uts/sparc/usba/Makefile	Thu Aug  8 11:24:00 2019
@@ -51,7 +51,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sparc/usbftdi/Makefile	Thu Aug  8 11:24:01 2019
+++ new/usr/src/uts/sparc/usbftdi/Makefile	Thu Aug  8 11:24:02 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/sparc/usbms/Makefile	Thu Aug  8 11:24:02 2019
+++ new/usr/src/uts/sparc/usbms/Makefile	Thu Aug  8 11:24:02 2019
@@ -66,7 +66,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/usbsacm/Makefile	Thu Aug  8 11:24:02 2019
+++ new/usr/src/uts/sparc/usbsacm/Makefile	Thu Aug  8 11:24:02 2019
@@ -52,7 +52,7 @@
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sparc/usbser/Makefile	Thu Aug  8 11:24:03 2019
+++ new/usr/src/uts/sparc/usbser/Makefile	Thu Aug  8 11:24:03 2019
@@ -70,7 +70,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sparc/usbsksp/Makefile	Thu Aug  8 11:24:04 2019
+++ new/usr/src/uts/sparc/usbsksp/Makefile	Thu Aug  8 11:24:05 2019
@@ -85,4 +85,4 @@
 #
 include $(UTSBASE)/sparc/Makefile.targ
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
--- old/usr/src/uts/sparc/usbsprl/Makefile	Thu Aug  8 11:24:06 2019
+++ new/usr/src/uts/sparc/usbsprl/Makefile	Thu Aug  8 11:24:06 2019
@@ -51,7 +51,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS         += -dy -Nmisc/usba -Nmisc/usbser
 
--- old/usr/src/uts/sparc/usbvc/Makefile	Thu Aug  8 11:24:08 2019
+++ new/usr/src/uts/sparc/usbvc/Makefile	Thu Aug  8 11:24:08 2019
@@ -67,7 +67,7 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Disable this because it is necessary for this driver
--- old/usr/src/uts/sparc/usbwcm/Makefile	Thu Aug  8 11:24:08 2019
+++ new/usr/src/uts/sparc/usbwcm/Makefile	Thu Aug  8 11:24:08 2019
@@ -66,7 +66,7 @@
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sparc/vnic/Makefile	Thu Aug  8 11:24:08 2019
+++ new/usr/src/uts/sparc/vnic/Makefile	Thu Aug  8 11:24:08 2019
@@ -55,7 +55,7 @@
 LDFLAGS		+= -dy -Ndrv/dld -Nmisc/mac -Nmisc/dls
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sparc/vr/Makefile	Thu Aug  8 11:24:09 2019
+++ new/usr/src/uts/sparc/vr/Makefile	Thu Aug  8 11:24:09 2019
@@ -58,7 +58,7 @@
 #
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on GLD
--- old/usr/src/uts/sparc/vuid3ps2/Makefile	Thu Aug  8 11:24:09 2019
+++ new/usr/src/uts/sparc/vuid3ps2/Makefile	Thu Aug  8 11:24:09 2019
@@ -48,7 +48,7 @@
 #
 include $(UTSBASE)/sparc/Makefile.sparc
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sparc/wc/Makefile	Thu Aug  8 11:24:10 2019
+++ new/usr/src/uts/sparc/wc/Makefile	Thu Aug  8 11:24:10 2019
@@ -61,7 +61,7 @@
 $(MODSTUBS_O)	:= AS_CPPFLAGS += -DWC_MODULE
 CLEANFILES	+= $(MODSTUBS_O)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/sparc/xge/Makefile	Thu Aug  8 11:24:10 2019
+++ new/usr/src/uts/sparc/xge/Makefile	Thu Aug  8 11:24:10 2019
@@ -110,7 +110,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-empty-body
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #
--- old/usr/src/uts/sparc/zut/Makefile	Thu Aug  8 11:24:10 2019
+++ new/usr/src/uts/sparc/zut/Makefile	Thu Aug  8 11:24:11 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4/vm/vm_dep.h	Thu Aug  8 11:24:11 2019
+++ new/usr/src/uts/sun4/vm/vm_dep.h	Thu Aug  8 11:24:11 2019
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1995, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -55,7 +56,7 @@
 	mtype = (flags & PG_NORELOC) ? MTYPE_NORELOC : MTYPE_RELOC;
 
 /* mtype init for page_get_replacement_page */
-#define	MTYPE_PGR_INIT(mtype, flags, pp, mnode, pgcnt)			\
+#define	MTYPE_PGR_INIT(mtype, flags, pp, pgcnt)			\
 	mtype = (flags & PG_NORELOC) ? MTYPE_NORELOC : MTYPE_RELOC;
 
 #define	MNODETYPE_2_PFN(mnode, mtype, pfnlo, pfnhi)			\
--- old/usr/src/uts/sun4u/blade/bscv/Makefile	Thu Aug  8 11:24:11 2019
+++ new/usr/src/uts/sun4u/blade/bscv/Makefile	Thu Aug  8 11:24:11 2019
@@ -66,7 +66,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/bootdev/Makefile	Thu Aug  8 11:24:12 2019
+++ new/usr/src/uts/sun4u/bootdev/Makefile	Thu Aug  8 11:24:12 2019
@@ -66,7 +66,7 @@
 #
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/cheetah/Makefile	Thu Aug  8 11:24:13 2019
+++ new/usr/src/uts/sun4u/cheetah/Makefile	Thu Aug  8 11:24:13 2019
@@ -124,6 +124,6 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/cheetahplus/Makefile	Thu Aug  8 11:24:14 2019
+++ new/usr/src/uts/sun4u/cheetahplus/Makefile	Thu Aug  8 11:24:14 2019
@@ -130,7 +130,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/cpr/Makefile	Thu Aug  8 11:24:14 2019
+++ new/usr/src/uts/sun4u/cpr/Makefile	Thu Aug  8 11:24:14 2019
@@ -91,7 +91,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/sun4u/db21554/Makefile	Thu Aug  8 11:24:15 2019
+++ new/usr/src/uts/sun4u/db21554/Makefile	Thu Aug  8 11:24:15 2019
@@ -87,7 +87,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #	Default build targets.
--- old/usr/src/uts/sun4u/des/Makefile	Thu Aug  8 11:24:16 2019
+++ new/usr/src/uts/sun4u/des/Makefile	Thu Aug  8 11:24:16 2019
@@ -90,7 +90,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/ebus/Makefile	Thu Aug  8 11:24:16 2019
+++ new/usr/src/uts/sun4u/ebus/Makefile	Thu Aug  8 11:24:17 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/excalibur/xcalppm/Makefile	Thu Aug  8 11:24:17 2019
+++ new/usr/src/uts/sun4u/excalibur/xcalppm/Makefile	Thu Aug  8 11:24:17 2019
@@ -65,7 +65,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/sun4u/fd/Makefile	Thu Aug  8 11:24:17 2019
+++ new/usr/src/uts/sun4u/fd/Makefile	Thu Aug  8 11:24:18 2019
@@ -83,7 +83,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
--- old/usr/src/uts/sun4u/genunix/Makefile	Thu Aug  8 11:24:18 2019
+++ new/usr/src/uts/sun4u/genunix/Makefile	Thu Aug  8 11:24:18 2019
@@ -117,7 +117,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
--- old/usr/src/uts/sun4u/hummingbird/Makefile	Thu Aug  8 11:24:18 2019
+++ new/usr/src/uts/sun4u/hummingbird/Makefile	Thu Aug  8 11:24:18 2019
@@ -121,4 +121,4 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_FORMAT_STR2
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
--- old/usr/src/uts/sun4u/jalapeno/Makefile	Thu Aug  8 11:24:19 2019
+++ new/usr/src/uts/sun4u/jalapeno/Makefile	Thu Aug  8 11:24:19 2019
@@ -129,6 +129,6 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/javelin/envctrltwo/Makefile	Thu Aug  8 11:24:20 2019
+++ new/usr/src/uts/sun4u/javelin/envctrltwo/Makefile	Thu Aug  8 11:24:20 2019
@@ -59,7 +59,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/lw8/ntwdt/Makefile	Thu Aug  8 11:24:21 2019
+++ new/usr/src/uts/sun4u/lw8/ntwdt/Makefile	Thu Aug  8 11:24:21 2019
@@ -66,7 +66,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS		+= -dy -Ndrv/sgsbbc
 
--- old/usr/src/uts/sun4u/lw8/platmod/Makefile	Thu Aug  8 11:24:22 2019
+++ new/usr/src/uts/sun4u/lw8/platmod/Makefile	Thu Aug  8 11:24:22 2019
@@ -75,7 +75,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/mc-us3i/Makefile	Thu Aug  8 11:24:23 2019
+++ new/usr/src/uts/sun4u/mc-us3i/Makefile	Thu Aug  8 11:24:23 2019
@@ -62,7 +62,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/montecarlo/pcf8574_nct/Makefile	Thu Aug  8 11:24:24 2019
+++ new/usr/src/uts/sun4u/montecarlo/pcf8574_nct/Makefile	Thu Aug  8 11:24:25 2019
@@ -58,7 +58,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE) -DNORDICA_CP1500
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/montecarlo/scsb/Makefile	Thu Aug  8 11:24:26 2019
+++ new/usr/src/uts/sun4u/montecarlo/scsb/Makefile	Thu Aug  8 11:24:26 2019
@@ -64,7 +64,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/nxge/Makefile	Thu Aug  8 11:24:27 2019
+++ new/usr/src/uts/sun4u/nxge/Makefile	Thu Aug  8 11:24:27 2019
@@ -91,7 +91,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4u/opl/dr/Makefile	Thu Aug  8 11:24:28 2019
+++ new/usr/src/uts/sun4u/opl/dr/Makefile	Thu Aug  8 11:24:28 2019
@@ -59,7 +59,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sun4u/opl/drmach/Makefile	Thu Aug  8 11:24:28 2019
+++ new/usr/src/uts/sun4u/opl/drmach/Makefile	Thu Aug  8 11:24:28 2019
@@ -65,7 +65,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # module dependencies
--- old/usr/src/uts/sun4u/opl/mc-opl/Makefile	Thu Aug  8 11:24:29 2019
+++ new/usr/src/uts/sun4u/opl/mc-opl/Makefile	Thu Aug  8 11:24:29 2019
@@ -62,7 +62,7 @@
 #
 CFLAGS += $(CCVERBOSE) -I../sys
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4u/opl/olympus_c/Makefile	Thu Aug  8 11:24:30 2019
+++ new/usr/src/uts/sun4u/opl/olympus_c/Makefile	Thu Aug  8 11:24:30 2019
@@ -75,7 +75,7 @@
 #
 OLYMPUS_C_DEFS	+= -DOLYMPUS_C
 CFLAGS += $(CCVERBOSE) $(OLYMPUS_C_DEFS)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CPPFLAGS += -DCPU_MODULE -DOLYMPUS_C
 AS_CPPFLAGS += -DCPU_MODULE -DOLYMPUS_C
--- old/usr/src/uts/sun4u/opl/oplmsu/Makefile	Thu Aug  8 11:24:32 2019
+++ new/usr/src/uts/sun4u/opl/oplmsu/Makefile	Thu Aug  8 11:24:32 2019
@@ -62,7 +62,7 @@
 LDFLAGS += -dy -Ndrv/su
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/opl/pcicmu/Makefile	Thu Aug  8 11:24:34 2019
+++ new/usr/src/uts/sun4u/opl/pcicmu/Makefile	Thu Aug  8 11:24:34 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE) -I../sys
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/sun4u/opl/unix/Makefile	Thu Aug  8 11:24:35 2019
+++ new/usr/src/uts/sun4u/opl/unix/Makefile	Thu Aug  8 11:24:35 2019
@@ -115,7 +115,7 @@
 CFLAGS += $(CCVERBOSE) -dalign
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4u/opl_cfg/Makefile	Thu Aug  8 11:24:37 2019
+++ new/usr/src/uts/sun4u/opl_cfg/Makefile	Thu Aug  8 11:24:37 2019
@@ -83,7 +83,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/pca9556/Makefile	Thu Aug  8 11:24:38 2019
+++ new/usr/src/uts/sun4u/pca9556/Makefile	Thu Aug  8 11:24:38 2019
@@ -56,7 +56,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sun4u/pcie/Makefile	Thu Aug  8 11:24:39 2019
+++ new/usr/src/uts/sun4u/pcie/Makefile	Thu Aug  8 11:24:39 2019
@@ -63,7 +63,7 @@
 #
 LDFLAGS += -dy -Nmisc/busra
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
--- old/usr/src/uts/sun4u/pcipsy/Makefile	Thu Aug  8 11:24:39 2019
+++ new/usr/src/uts/sun4u/pcipsy/Makefile	Thu Aug  8 11:24:40 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/sun4u/pcisch/Makefile	Thu Aug  8 11:24:40 2019
+++ new/usr/src/uts/sun4u/pcisch/Makefile	Thu Aug  8 11:24:40 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
 
--- old/usr/src/uts/sun4u/pmubus/Makefile	Thu Aug  8 11:24:41 2019
+++ new/usr/src/uts/sun4u/pmubus/Makefile	Thu Aug  8 11:24:41 2019
@@ -77,7 +77,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/ppm/Makefile	Thu Aug  8 11:24:44 2019
+++ new/usr/src/uts/sun4u/ppm/Makefile	Thu Aug  8 11:24:44 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/px/Makefile	Thu Aug  8 11:24:45 2019
+++ new/usr/src/uts/sun4u/px/Makefile	Thu Aug  8 11:24:45 2019
@@ -84,7 +84,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sun4u/rootnex/Makefile	Thu Aug  8 11:24:45 2019
+++ new/usr/src/uts/sun4u/rootnex/Makefile	Thu Aug  8 11:24:45 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/sbd/Makefile	Thu Aug  8 11:24:46 2019
+++ new/usr/src/uts/sun4u/sbd/Makefile	Thu Aug  8 11:24:46 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 
 #
--- old/usr/src/uts/sun4u/sbus/Makefile	Thu Aug  8 11:24:48 2019
+++ new/usr/src/uts/sun4u/sbus/Makefile	Thu Aug  8 11:24:48 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/seeprom/Makefile	Thu Aug  8 11:24:50 2019
+++ new/usr/src/uts/sun4u/seeprom/Makefile	Thu Aug  8 11:24:50 2019
@@ -57,7 +57,7 @@
 #
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/sun4u/serengeti/cheetah/Makefile	Thu Aug  8 11:24:50 2019
+++ new/usr/src/uts/sun4u/serengeti/cheetah/Makefile	Thu Aug  8 11:24:50 2019
@@ -78,7 +78,7 @@
 ASFLAGS +=  -DCHEETAH
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
 
--- old/usr/src/uts/sun4u/serengeti/cheetahplus/Makefile	Thu Aug  8 11:24:51 2019
+++ new/usr/src/uts/sun4u/serengeti/cheetahplus/Makefile	Thu Aug  8 11:24:51 2019
@@ -81,7 +81,7 @@
 	    -DCPU_IMP_ECACHE_ASSOC -DCPU_IMP_DUAL_PAGESIZE -DCPU_IMP_AFSR_EXT
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/serengeti/platmod/Makefile	Thu Aug  8 11:24:53 2019
+++ new/usr/src/uts/sun4u/serengeti/platmod/Makefile	Thu Aug  8 11:24:54 2019
@@ -76,7 +76,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/serengeti/sbdp/Makefile	Thu Aug  8 11:24:54 2019
+++ new/usr/src/uts/sun4u/serengeti/sbdp/Makefile	Thu Aug  8 11:24:54 2019
@@ -70,7 +70,7 @@
 LDFLAGS	+= -dy -Ndrv/sgsbbc
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/sun4u/serengeti/sgcn/Makefile	Thu Aug  8 11:24:54 2019
+++ new/usr/src/uts/sun4u/serengeti/sgcn/Makefile	Thu Aug  8 11:24:54 2019
@@ -69,7 +69,7 @@
 LDFLAGS += -dy -Ndrv/sgsbbc
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/serengeti/sghsc/Makefile	Thu Aug  8 11:24:55 2019
+++ new/usr/src/uts/sun4u/serengeti/sghsc/Makefile	Thu Aug  8 11:24:55 2019
@@ -69,7 +69,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-type-limits
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/serengeti/sgsbbc/Makefile	Thu Aug  8 11:24:55 2019
+++ new/usr/src/uts/sun4u/serengeti/sgsbbc/Makefile	Thu Aug  8 11:24:55 2019
@@ -73,7 +73,7 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/serengeti/unix/Makefile	Thu Aug  8 11:24:56 2019
+++ new/usr/src/uts/sun4u/serengeti/unix/Makefile	Thu Aug  8 11:24:56 2019
@@ -114,7 +114,7 @@
 CFLAGS += $(CCVERBOSE) -dalign
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4u/serrano/Makefile	Thu Aug  8 11:24:57 2019
+++ new/usr/src/uts/sun4u/serrano/Makefile	Thu Aug  8 11:24:57 2019
@@ -129,6 +129,6 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/sf/Makefile	Thu Aug  8 11:24:58 2019
+++ new/usr/src/uts/sun4u/sf/Makefile	Thu Aug  8 11:24:58 2019
@@ -78,7 +78,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/sha1/Makefile	Thu Aug  8 11:24:59 2019
+++ new/usr/src/uts/sun4u/sha1/Makefile	Thu Aug  8 11:24:59 2019
@@ -67,7 +67,7 @@
 CFLAGS += -DVIS_SHA1
 LINTFLAGS	+= -I$(COM_DIR)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/spitfire/Makefile	Thu Aug  8 11:24:59 2019
+++ new/usr/src/uts/sun4u/spitfire/Makefile	Thu Aug  8 11:24:59 2019
@@ -86,7 +86,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_FORMAT_STR2
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/su/Makefile	Thu Aug  8 11:25:00 2019
+++ new/usr/src/uts/sun4u/su/Makefile	Thu Aug  8 11:25:00 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/sunfire/ac/Makefile	Thu Aug  8 11:25:02 2019
+++ new/usr/src/uts/sun4u/sunfire/ac/Makefile	Thu Aug  8 11:25:02 2019
@@ -58,7 +58,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/sunfire/sysctrl/Makefile	Thu Aug  8 11:25:04 2019
+++ new/usr/src/uts/sun4u/sunfire/sysctrl/Makefile	Thu Aug  8 11:25:04 2019
@@ -60,7 +60,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/tazmo/envctrl/Makefile	Thu Aug  8 11:25:06 2019
+++ new/usr/src/uts/sun4u/tazmo/envctrl/Makefile	Thu Aug  8 11:25:07 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4u/todds1287/Makefile	Thu Aug  8 11:25:08 2019
+++ new/usr/src/uts/sun4u/todds1287/Makefile	Thu Aug  8 11:25:08 2019
@@ -67,7 +67,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/unix/Makefile	Thu Aug  8 11:25:08 2019
+++ new/usr/src/uts/sun4u/unix/Makefile	Thu Aug  8 11:25:09 2019
@@ -121,7 +121,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4u/upa64s/Makefile	Thu Aug  8 11:25:09 2019
+++ new/usr/src/uts/sun4u/upa64s/Makefile	Thu Aug  8 11:25:09 2019
@@ -68,7 +68,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/us/Makefile	Thu Aug  8 11:25:09 2019
+++ new/usr/src/uts/sun4u/us/Makefile	Thu Aug  8 11:25:09 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/vis/Makefile	Thu Aug  8 11:25:09 2019
+++ new/usr/src/uts/sun4u/vis/Makefile	Thu Aug  8 11:25:09 2019
@@ -60,7 +60,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sun4u/zs/Makefile	Thu Aug  8 11:25:10 2019
+++ new/usr/src/uts/sun4u/zs/Makefile	Thu Aug  8 11:25:10 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/bge/Makefile	Thu Aug  8 11:25:10 2019
+++ new/usr/src/uts/sun4v/bge/Makefile	Thu Aug  8 11:25:10 2019
@@ -76,7 +76,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sun4v/bootdev/Makefile	Thu Aug  8 11:25:10 2019
+++ new/usr/src/uts/sun4v/bootdev/Makefile	Thu Aug  8 11:25:10 2019
@@ -66,7 +66,7 @@
 #
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/dr_io/Makefile	Thu Aug  8 11:25:11 2019
+++ new/usr/src/uts/sun4v/dr_io/Makefile	Thu Aug  8 11:25:11 2019
@@ -55,7 +55,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4v/ds/Makefile	Thu Aug  8 11:25:11 2019
+++ new/usr/src/uts/sun4v/ds/Makefile	Thu Aug  8 11:25:11 2019
@@ -77,7 +77,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sun4v/ds_pri/Makefile	Thu Aug  8 11:25:12 2019
+++ new/usr/src/uts/sun4v/ds_pri/Makefile	Thu Aug  8 11:25:12 2019
@@ -67,7 +67,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Module Dependencies
--- old/usr/src/uts/sun4v/ebus/Makefile	Thu Aug  8 11:25:12 2019
+++ new/usr/src/uts/sun4v/ebus/Makefile	Thu Aug  8 11:25:12 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/genunix/Makefile	Thu Aug  8 11:25:13 2019
+++ new/usr/src/uts/sun4v/genunix/Makefile	Thu Aug  8 11:25:13 2019
@@ -125,7 +125,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
--- old/usr/src/uts/sun4v/ldc/Makefile	Thu Aug  8 11:25:14 2019
+++ new/usr/src/uts/sun4v/ldc/Makefile	Thu Aug  8 11:25:14 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS        += -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sun4v/n2rng/Makefile	Thu Aug  8 11:25:14 2019
+++ new/usr/src/uts/sun4v/n2rng/Makefile	Thu Aug  8 11:25:14 2019
@@ -68,7 +68,7 @@
 #
 CFLAGS += $(CCVERBOSE) -DN2 -I$(COM_DIR)
 LINTFLAGS += -DN2 -I$(COM_DIR)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # module dependencies
--- old/usr/src/uts/sun4v/niumx/Makefile	Thu Aug  8 11:25:15 2019
+++ new/usr/src/uts/sun4v/niumx/Makefile	Thu Aug  8 11:25:15 2019
@@ -64,7 +64,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4v/nxge/Makefile	Thu Aug  8 11:25:16 2019
+++ new/usr/src/uts/sun4v/nxge/Makefile	Thu Aug  8 11:25:16 2019
@@ -115,7 +115,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4v/ontario/tsalarm/Makefile	Thu Aug  8 11:25:18 2019
+++ new/usr/src/uts/sun4v/ontario/tsalarm/Makefile	Thu Aug  8 11:25:19 2019
@@ -86,7 +86,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/pcie/Makefile	Thu Aug  8 11:25:22 2019
+++ new/usr/src/uts/sun4v/pcie/Makefile	Thu Aug  8 11:25:22 2019
@@ -63,7 +63,7 @@
 #
 LDFLAGS += -dy -Nmisc/busra
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
--- old/usr/src/uts/sun4v/platsvc/Makefile	Thu Aug  8 11:25:24 2019
+++ new/usr/src/uts/sun4v/platsvc/Makefile	Thu Aug  8 11:25:24 2019
@@ -56,7 +56,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4v/px/Makefile	Thu Aug  8 11:25:25 2019
+++ new/usr/src/uts/sun4v/px/Makefile	Thu Aug  8 11:25:25 2019
@@ -88,7 +88,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sun4v/rootnex/Makefile	Thu Aug  8 11:25:25 2019
+++ new/usr/src/uts/sun4v/rootnex/Makefile	Thu Aug  8 11:25:25 2019
@@ -70,7 +70,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sun4v/su/Makefile	Thu Aug  8 11:25:26 2019
+++ new/usr/src/uts/sun4v/su/Makefile	Thu Aug  8 11:25:26 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/unix/Makefile	Thu Aug  8 11:25:26 2019
+++ new/usr/src/uts/sun4v/unix/Makefile	Thu Aug  8 11:25:26 2019
@@ -120,7 +120,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4v/vcc/Makefile	Thu Aug  8 11:25:27 2019
+++ new/usr/src/uts/sun4v/vcc/Makefile	Thu Aug  8 11:25:27 2019
@@ -70,7 +70,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # compiler failes with not reached statements
--- old/usr/src/uts/sun4v/vdc/Makefile	Thu Aug  8 11:25:27 2019
+++ new/usr/src/uts/sun4v/vdc/Makefile	Thu Aug  8 11:25:27 2019
@@ -66,7 +66,7 @@
 CFLAGS += -D_EXTVTOC
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nmisc/ldc -Nmisc/platsvc -Nmisc/scsi
 
--- old/usr/src/uts/sun4v/vds/Makefile	Thu Aug  8 11:25:27 2019
+++ new/usr/src/uts/sun4v/vds/Makefile	Thu Aug  8 11:25:27 2019
@@ -65,7 +65,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS += -D_EXTVTOC
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # module dependencies
--- old/usr/src/uts/sun4v/vis/Makefile	Thu Aug  8 11:25:28 2019
+++ new/usr/src/uts/sun4v/vis/Makefile	Thu Aug  8 11:25:28 2019
@@ -61,7 +61,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sun4v/vnet/Makefile	Thu Aug  8 11:25:28 2019
+++ new/usr/src/uts/sun4v/vnet/Makefile	Thu Aug  8 11:25:28 2019
@@ -92,7 +92,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/vsw/Makefile	Thu Aug  8 11:25:29 2019
+++ new/usr/src/uts/sun4v/vsw/Makefile	Thu Aug  8 11:25:29 2019
@@ -88,7 +88,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
 
